(function($, window) {
	var UnixToDate = function(unixTime, isFull) {
		if(unixTime==null || unixTime ==undefined || unixTime ==""){
			return "";
		}
		if (!isNaN(unixTime)) {
			unixTime = parseFloat(unixTime)
		}
		var time = new Date(unixTime);
		var ymdhis = "";
		ymdhis += time.getFullYear() + "-";
		ymdhis += time.getMonth() + 1 + "-";
		ymdhis += time.getDate();
		if (isFull === true) {
			ymdhis += " " + time.getHours() + ":";
			ymdhis += (time.getMinutes() < 10 ? "0" + time.getMinutes() : time
					.getMinutes())
					+ ":";
			ymdhis += time.getSeconds() < 10 ? "0" + time.getSeconds() : time
					.getSeconds();
		}
		return ymdhis;
	}
	
	$.template.register('UnixToDate', UnixToDate);
	$.template.register('stringify', JSON.stringify);
}(jQuery, window))