(function($){
	$.mobileAa12 = function(config) {
		config = config ? config : {};
		/**页面显示的dom节点的id*/
		var _objid= config.objid ? config.objid : "";
		var maxSelectItem= config.maxSelectItem ? config.maxSelectItem : 5;
		var splitor= config.splitor ? config.splitor : ",";
		var splitor_label= config.splitor_label ? config.splitor_label : ",";
		var obj=$("#"+_objid);//页面显示的dom对象
		if(obj.length<1){alert("id="+_objid+"的对象不存在！");return false;}
		var valueObj=$("#"+obj.attr("valueid"));
		if(valueObj.length<1){alert("存放代码的隐藏域不存在，或者"+"id="+obj.attr("valueid")+"的对象不存在！");return false;}
		var labelObj=$("#"+obj.attr("labelid"));
		if(labelObj.length<1){alert("存放代码名称的隐藏域不存在，或者"+"id="+obj.attr("labelid")+"的对象不存在！");return false;}
		var viewObj=$("#"+obj.attr("viewid"));
		if(viewObj.length<1){alert("存放显示的dom节点不存在，或者"+"id="+obj.attr("viewid")+"的对象不存在！");return false;}
		
		var initValue=valueObj.val();//取页面隐藏域的代码值（+分割）
		var labelValue=labelObj.val();//取页面隐藏域中文值（+分割）
		var valueArray=new Array();
		var labelArray=new Array();
		if(initValue==""){
			valueArray=[];labelArray=[];
		}else{
			valueArray=initValue.split(splitor);labelArray=labelValue.split(splitor_label);//数组赋值
		}
		var areaArray=window["ca11Array"];var cityArray=window["cityArray"];
		var height=document.body.scrollHeight;
		if (document.body.scrollHeight<window.screen.height){
			height=document.body.clientWidth/2;
		}
		
		
		
		/**打开窗口的回调函数*/
		var _onOpen = config.onOpen ? config.onOpen : function() {return true;};
		/**点击自带的关闭按钮或者esc键的关闭回调，如果返回false，不允许关闭*/
		var _onClose = config.onClose ? config.onClose : function() {return true;};
		
		var self = this;
		var pageHeight,head,headb,headc;
		var container,haschosebox,list_box,haschose_con,close_Btn,yourchose,ul,l_con,l_right,header,backBtn,chose_length,openBtn,ols;//定义容器
		this._aa12SelectorInit=function() {
		
			if (false === _onOpen()) {return false;}
			this._creatContainerBox();//初始化选择器html框架
			this._initTopValue();//初始化选中值
			_initAll(); //初始化地区树
			
		};
	
		this._creatContainerBox=function(){
			container=$("<div id='wmaa_county' class='ui-page' ></div>");
			backBtn=$("<div class='button backindex' id='wmaa_countyback'><span>返回</span></div>");
			okBtn=$("<div class='button ok' ><span>确定</span></div>").bind("tap",function(e){
				e.stopPropagation();
				_ok();
			});
			header=$("<header class='ui-header'><h1 class='ui-title'>选择地点</h1></header>").append(backBtn).append(okBtn).appendTo(container);
			var chose_box=$("<article class='hasc_box'></article>").appendTo(container);
			
			list_box=$("<article class='box pad0 area'></article>").appendTo(container);
			haschosebox=$("<section ><span class='left'>已选城市</span></section>").appendTo(chose_box);
			var clearChose=$("<div class='open'>清除</div>").bind("tap",function(){
				_clearItem();
			}).appendTo(haschosebox);
			openBtn=$("<span id='chose_length'></span>").appendTo(haschosebox);
			haschose_con=$("<div class='haschose_con'></div>").appendTo(chose_box);
			yourchose=$("<div class='yourchose'></div>");
			haschose_con.append(yourchose);
			chose_list=$("<section class='resume_ptitle'><span class='left'>选择城市</span></section>").appendTo(list_box);
			l_right=$("<div class='myresume_info'></div>");
			container.appendTo(document.body).show();
		};	
		var _initAll=function(){
			l_right.empty().remove();
			l_right.appendTo(list_box);
			for (var f in provinceArray){  
				var bid=provinceArray[f].id;
				var bLabel=provinceArray[f].label;
				//self._postTree(bid,bLabel);
				 ols=$("<p>"+bLabel+"</p>")
				if(bid==recommendId){
					ols.addClass("fB");
				}
				 var ol=$(ols.bind("tap",function(i_,l_){return function(e){
						self._postTree(i_,l_);
						 e.preventDefault();
					}
				 }(bid,bLabel))).appendTo(l_right);
			}
			pageHeight=$(window).height();
    		head=$(".ui-header").height();
    		headb=$(".hasc_box").height();
    		headc=$(".resume_ptitle").height();

			backBtn.bind("tap",function(e){
				self._close();
			});
			$(l_right).height(pageHeight-head-headb-headc).css("overflow","scroll");
	//	$(l_right).height(pageHeight-head-headb-headc).scrollview();
		}
		//构建右侧地区树
		this._postTree=function(key,v){
			l_right.empty().unbind().remove();
			l_right.appendTo(list_box);
			var postArray;
			if(this._getCodeType(key)=="1"){
				postArray=cityArray;
				backBtn.unbind().bind("tap",function(e){
					_initAll();
				})
			}
			else if(this._getCodeType(key)=="2"){
				postArray=countyArray;
				for(var i in cityArray)
					{
					if(key==cityArray[i].id)
						{
						backBtn.unbind().bind("tap",function(key,v){return(function(){
							self._postTree(key,v);
						})
						}(cityArray[i].parentsid, cityArray[i].parentslabel))
						}
					}
				
			}
			var input=$("<input type='checkbox' style='cursor: pointer;' value='"+v+"' id='c_"+key+"'>").unbind().bind("vclick",function(i_,l_){								
				return function(e){
				
					 if(self._getCodeType(key)=="1"){
							_selectItem_type(i_,l_);
						}
	                if(self._getCodeType(key)=="2"){
	                	
						_selectItem_type1(i_,l_);
					}
					else if(self._getCodeType(key)=="3"){
						_selectItem_type2(i_,l_);
					}
	            	e.stopPropagation();
	            };}(key,v));
			var lv=$("<label for='c_"+key+"'  class='isleaf'>"+v+"</label>");
			l_right.append(input,lv);
			for (var i in postArray){
				k=postArray[i].id;
				l=postArray[i].label;
				if (key==postArray[i].parentsid){
					var lkv;
					if(postArray[i].isleaf=="false"){
						lkv=$("<p>"+l+"</p>").bind("tap",function(i_,l_){								
							return function(e){
								self._postTree(i_,l_);
								 e.preventDefault();
			                };}(k,l)).appendTo(l_right);
					}
					else{
						lkv=$("<label for='c_"+postArray[i].id+"' class='isleaf'>"+l+"</label>");
						var input=$("<input type='checkbox' style='cursor: pointer;' value='"+postArray[i].label+"' id='c_"+postArray[i].id+"'>");
						if(postArray[i].label.substring(4,6)!="00")
							{
							input.unbind("click").bind("click",function(i_,l_){								
								return function(e){
									_selectItem_type2(i_,l_,e);
									e.stopPropagation();
				                };}(k,l));
							}
						else{
							input.unbind().bind("click",function(i_,l_){								
								return function(e){
									_selectItem_type1(i_,l_);
									e.stopPropagation();
				                };}(k,l));
						}
						l_right.append(input,lkv);
					
					}
				}
			}
		
			pageHeight=$(window).height();
    		head=$(".ui-header").height();
    		headb=$(".hasc_box").height();
    		headc=$(".resume_ptitle").height();
    		_setItemSelected();
    		$(l_right).height(pageHeight-head-headb-headc).css("overflow","scroll");
		//	$(l_right).height(pageHeight-head-headb-headc).scrollview();
			
		};
		//根据顶部值给选择区的checkbox赋值
		var _setItemSelected=function(){
			for(var i in valueArray){
				var selectObj=$("#c_"+valueArray[i]);
				selectObj.attr("checked",true);
			}
		};
		//选中省的动作哦
	var _selectItem_type=function(k,v){
		var checkObj=$("#c_"+k);
		var codeType=self._getCodeType(k);
		if(checkObj.attr("checked")){
			var array_v=new Array();
			var array_l=new Array();
			for(var i=0;i<valueArray.length;i++){
				if(valueArray[i].substring(0,2)!=k.substring(0,2)){
					array_v.push(valueArray[i]);
					array_l.push(labelArray[i]);
				}
			}
			valueArray=array_v;
			labelArray=array_l;
			if(valueArray.length>=maxSelectItem){
				alert("最多选择"+maxSelectItem+"个选项！");
				checkObj.attr("checked",false);
				return;
			}
		}
		//处理"子"节点checkbox的互斥状态
		if(checkObj.attr("checked")){
			var kf;
			for(var i in cityArray){
				kf=cityArray[i].id;
				if(kf.substring(0,2)==k.substring(0,2)){
					var obj_=$("#c_"+kf);
					obj_.attr("checked",false);
				}
			}
		}
	
		//根据增加/删除设置顶部区域
		if(checkObj.attr("checked")){
			self._addItem(k,v);
		}else{
			self._removeItem(k);
		}
	}
	//选中市的动作哦
	var _selectItem_type1=function(k,v){
		var checkObj=$("#c_"+k);
		var codeType=self._getCodeType(k);
		var parentObjId=k.substring(0,2)+"0000000000";
		var childObjectId=k.substring(0,4)+"00000000";
		//判断最大数
		if(checkObj.attr("checked")){
			var array_v=new Array();
			var array_l=new Array();
			for(var i in valueArray){
				if(valueArray[i]==parentObjId  ){
					valueArray.splice(i,1);//删除数组valueArray元素
					labelArray.splice(i,1);//删除数组labelArray元素
				}
			}
			
			var array_v=new Array();
			var array_l=new Array();
			for(var i=0;i<valueArray.length;i++){
				if(valueArray[i].substring(0,4)+"00000000"!=childObjectId){
					array_v.push(valueArray[i]);
					array_l.push(labelArray[i]);
				}
			}
			valueArray=array_v;
			labelArray=array_l;
			
			if(valueArray.length>=maxSelectItem){
				alert("最多选择"+maxSelectItem+"个选项！");
				checkObj.attr("checked",false);
				return;
			}
		}
		//处理"父"节点checkbox的互斥状态
		if(checkObj.attr("checked")){
			var parentObj=$("#c_"+parentObjId);
			parentObj.attr("checked",false);
			var kf;
			for(var i in countyArray){
				kf=countyArray[i].id;
				if(kf.substring(0,4)==k.substring(0,4)&&kf.substring(4,6)!=k.substring(4,6)){
					var obj_=$("#c_"+kf);
					obj_.attr("checked",false);
				}
			}
		}
		
		//根据增加/删除设置顶部区域
		if(checkObj.attr("checked")){
			self._addItem(k,v);
		}else{
			self._removeItem(k);
		}
	}
	//选中区的动作
	var _selectItem_type2=function(k,v,e){
	
		var checkObj=$("#c_"+k);
		var codeType=self._getCodeType(k);
		var parentObjId=k.substring(0,2)+"0000000000";
		var childObjId=k.substring(0,4)+"00000000";
		var siblingObjId=k.substring(4,6)
		//判断最大数
		if(checkObj.prop("checked")){
			for(var i in valueArray){
				if(valueArray[i]==parentObjId || valueArray[i]==childObjId&&valueArray[i].substring(4,6)!=siblingObjId){
					valueArray.splice(i,1)//删除数组valueArray元素
					labelArray.splice(i,1)//删除数组labelArray元素
				}
			}
			if(valueArray.length>=maxSelectItem){
				alert("最多选择"+maxSelectItem+"个选项！");
				checkObj.attr("checked",false);
				return;
			}
		}
		//处理"父"节点checkbox的互斥状态
		if(checkObj.attr("checked")=="checked"){
	
			var parentObj=$("#c_"+parentObjId);
			var childObj=$("#c_"+childObjId);
			parentObj.attr("checked",false);
			childObj.attr("checked",false);
		}
		//根据增加/删除设置顶部区域
		if(checkObj.attr("checked")){
			self._addItem(k,v);
			return true;
		}else{
			self._removeItem(k);
		}
	}	
	//顶部选择区增加一个选项
	this._addItem=function(key,label){
		valueArray.push(key);
		labelArray.push(label);
		this._initTopValue();
		return false;
	};
	//删除顶部选择区选项
	this._removeItem=function(key){
		
		for(i in valueArray){
			if(valueArray[i]==key){
				valueArray.splice(i,1)//删除数组valueArray元素
				labelArray.splice(i,1)//删除数组labelArray元素
				break;
			}
		}
		this._initTopValue();//重新初始化顶部菜单
	};

		//初始化顶部选中值
		this._initTopValue=function(){
		$(".chose_point").remove();
		var l=valueArray.length;
			for(var i=0;i<l;i++){
				var key=valueArray[i];
				var divbox_=$("<div id='"+valueArray[i]+"' class='chose_point'></div>");
				var spanbox_=$("<span  title='"+labelArray[i]+"'>"+labelArray[i]+"</span>");
				var removeImg=$("<a class='point_close' href='javascript:void(0)'>X</a>").bind("tap",function(i_){
	                return function(e){
	                    var key = valueArray[i_];
	                    _removeTopItem(key);
	                };}(i));
				divbox_.append(spanbox_).append(removeImg);
				yourchose.append(divbox_);
			}
			$("#chose_length").text(""+l+"/"+maxSelectItem+"");
		};
		//删除顶部某个已经选择的数据触发的事件
		var _removeTopItem=function(key){
			//遍历工作区，是否有删除的选项，如果有这同步取消选择
			var selectObj=$("#c_"+key);
			selectObj.attr("checked",false);
			self._removeItem(key);//删除顶部选择区选项
		};
		//判断代码类别（返回值1=省，2=市，3=区,4=街道,5=社区,0=错误代码）
		this._getCodeType=function(key){var r="0";if(key.substring(2,4)=="00")r="1";else if(key.substring(4,6)=="00")r="2";else r="3";return r;};
//		alert(this._getCodeType("210504"));
		
		
		//清除按钮动作
		var _clearItem = function() {
			valueObj.val("");
			labelObj.val("");
			//viewObj.val("选择区域");
			viewObj.attr("title", "");
			if(viewObj[0].tagName == "INPUT") {
	                viewObj.val("选择区域");//赋值
	            }else {
	                viewObj.text("选择区域");//赋值
	            }
			self._close();
		};
		//确定按钮动作
		var _ok=function(){
			if(labelArray.join(splitor_label)==""){
				_clearItem();
			}else{
				valueObj.val(valueArray.join(splitor));//赋值
				labelObj.val(labelArray.join(splitor_label));//赋值
				if(viewObj[0].tagName == "INPUT") {
					viewObj.val(labelArray.join(splitor_label));//赋值
				}else {
					viewObj.text(labelArray.join(splitor_label));//赋值
				}
				viewObj.attr("title",labelArray.join(splitor_label));//赋值
			}
			viewObj.blur();
			self._close();
		};
		//关闭容器
		this._close=function(){
			if (false === _onClose()) {return false;}
			valueObj,labelObj,viewObj,valueArray,labelArray=null;
			container.remove();
			
			$(document.body).unbind("keyup", onKeyEvent);
		};
		this._aa12SelectorInit();//初始化容器
		onKeyEvent = function(e) {if (e.keyCode == 27) {self._close();return false;}};
		$(document.body).bind("keyup", onKeyEvent);
	 	
	}
})(jQuery);  