
(function($, window) {
	/*就业服务地图*/
	cordova.define("agile/wmad", function(require, exports, module) {
		exports.open = function(e) {
			!e.latitude && (e.latitude = 39.914889);
			!e.longitude && (e.longitude = 116.403874);
			!e.zoomLevel && (e.zoomLevel = 14);
			!e.mapType && (e.mapType = 1);
			!e.formVal && (e.formVal = "{}");
			cordova.exec(function() {
				alert("amad call error")
			}, function() {
			}, "AGILE_WMAD", "openMap", [e]);
		}
	});
	
	/*定位服务*/
	cordova.define("agile/location", function(require, exports, module) {
		exports.getLocatoin = function(data, success, error) {
			success = jQuery.isFunction(success) ? success : jQuery.noop;
			error = jQuery.isFunction(error) ? error : jQuery.noop;
			cordova.exec(success, error, "AGILE_LOCAL", "localtion", []);
		}
	});
	
	/*工种树*/
	cordova.define("agile/worktype", function(require, exports, module) {
		exports.open = function(data, success, error) {
			!data.size && (data.size = 5);
			!data.code && (data.code = "");
			!data.name && (data.name = "");
			success = jQuery.isFunction(success) ? success : jQuery.noop;
			error = jQuery.isFunction(error) ? error : jQuery.noop;
			cordova.exec(success, error, "AGILE_WORKTYPE", "open", [data]);
		}
	});
	
	/*区划树*/
	cordova.define("agile/region", function(require, exports, module) {
		exports.open = function(data, success, error) {
			!data.size && (data.size = 5);
			!data.code && (data.code = "");
			!data.name && (data.name = "");
			success = jQuery.isFunction(success) ? success : jQuery.noop;
			error = jQuery.isFunction(error) ? error : jQuery.noop;
			cordova.exec(success, error, "AGILE_REGION", "open", [data]);
		}
	});
	
	/*湖北区划树*/
	cordova.define("agile/hbregion", function(require, exports, module) {
		exports.open = function(data, success, error) {
			!data.size && (data.size = 5);
			!data.code && (data.code = "");
			!data.name && (data.name = "");
			success = jQuery.isFunction(success) ? success : jQuery.noop;
			error = jQuery.isFunction(error) ? error : jQuery.noop;
			cordova.exec(success, error, "AGILE_HB_REGION", "open", [data]);
		}
	});
	
	/*地图搜索*/
	cordova.define("agile/groupMap", function(require, exports, module) {
		exports.open = function(data, success, error) {
			success = jQuery.isFunction(success) ? success : jQuery.noop;
			error = jQuery.isFunction(error) ? error : jQuery.noop;
			cordova.exec(success, error, "AGILE_GROUPMAP", "openMap", []);
		}
	});
	
	/*选择地区*/
	cordova.define("agile/selectCity", function(require, exports, module) {
		exports.open = function(data, success, error) {
			(!data.Regioncode || data.Regioncode == "undefined") && (data.Regioncode = "420000");
			success = jQuery.isFunction(success) ? success : jQuery.noop;
			error = jQuery.isFunction(error) ? error : jQuery.noop;
			cordova.exec(success, error, "AGILE_SelectCity", "open", [data]);
		}
	});
}(jQuery, window));
(function($, window) {
	window.AGILE_PLUGINS = {
		wmad : cordova.require("agile/wmad"),
		location : cordova.require("agile/location"),
		worktype : cordova.require("agile/worktype"),
		region : cordova.require("agile/region"),
		hbregion : cordova.require("agile/hbregion"),
		groupMap : cordova.require("agile/groupMap"),
		selectCity : cordova.require("agile/selectCity")
	};
}(jQuery, window));