(function(e, d, f) {
	var c = {};
	e.mobile = e.extend({}, {
		version : "1.2.0",
		ns : "",
		subPageUrlKey : "ui-page",
		activePageClass : "ui-page-active",
		activeBtnClass : "ui-btn-active",
		focusClass : "ui-focus",
		ajaxEnabled : true,
		hashListeningEnabled : true,
		linkBindingEnabled : true,
		defaultPageTransition : "fade",
		maxTransitionWidth : false,
		minScrollBack : 250,
		touchOverflowEnabled : false,
		defaultDialogTransition : "pop",
		pageLoadErrorMessage : "Error Loading Page",
		pageLoadErrorMessageTheme : "e",
		phonegapNavigationEnabled : false,
		autoInitializePage : true,
		pushStateEnabled : false,
		ignoreContentEnabled : false,
		orientationChangeEnabled : true,
		buttonMarkup : {
			hoverDelay : 200
		},
		keyCode : {
			ALT : 18,
			BACKSPACE : 8,
			CAPS_LOCK : 20,
			COMMA : 188,
			COMMAND : 91,
			COMMAND_LEFT : 91,
			COMMAND_RIGHT : 93,
			CONTROL : 17,
			DELETE : 46,
			DOWN : 40,
			END : 35,
			ENTER : 13,
			ESCAPE : 27,
			HOME : 36,
			INSERT : 45,
			LEFT : 37,
			MENU : 93,
			NUMPAD_ADD : 107,
			NUMPAD_DECIMAL : 110,
			NUMPAD_DIVIDE : 111,
			NUMPAD_ENTER : 108,
			NUMPAD_MULTIPLY : 106,
			NUMPAD_SUBTRACT : 109,
			PAGE_DOWN : 34,
			PAGE_UP : 33,
			PERIOD : 190,
			RIGHT : 39,
			SHIFT : 16,
			SPACE : 32,
			TAB : 9,
			UP : 38,
			WINDOWS : 91
		},
		behaviors : {},
		silentScroll : function(g) {
			if (e.type(g) !== "number") {
				g = e.mobile.defaultHomeScroll
			}
			e.event.special.scrollstart.enabled = false;
			setTimeout(function() {
				d.scrollTo(0, g);
				e(document).trigger("silentscroll", {
					x : 0,
					y : g
				})
			}, 20);
			setTimeout(function() {
				e.event.special.scrollstart.enabled = true
			}, 150)
		},
		nsNormalizeDict : c,
		nsNormalize : function(g) {
			if (!g) {
				return
			}
			return c[g] || (c[g] = e.camelCase(e.mobile.ns + g))
		},
		getInheritedTheme : function(k, h) {
			var l = k[0], i = "", j = /ui-(bar|body|overlay)-([a-z])\b/, n, g;
			while (l) {
				n = l.className || "";
				if (n && (g = j.exec(n)) && (i = g[2])) {
					break
				}
				l = l.parentNode
			}
			return i || h || "a"
		},
		closestPageData : function(g) {
			return g.closest(':jqmData(role="page"), :jqmData(role="dialog")')
					.data("page")
		},
		enhanceable : function(g) {
			return this.haveParents(g, "enhance")
		},
		hijackable : function(g) {
			return this.haveParents(g, "ajax")
		},
		haveParents : function(j, n) {
			if (!e.mobile.ignoreContentEnabled) {
				return j
			}
			var k = j.length, g = e(), m, p, l;
			for ( var h = 0; h < k; h++) {
				p = j.eq(h);
				l = false;
				m = j[h];
				while (m) {
					var o = m.getAttribute ? m.getAttribute("data-"
							+ e.mobile.ns + n) : "";
					if (o === "false") {
						l = true;
						break
					}
					m = m.parentNode
				}
				if (!l) {
					g = g.add(p)
				}
			}
			return g
		},
		getScreenHeight : function() {
			return d.innerHeight || e(d).height()
		}
	}, e.mobile);
	e.fn.jqmData = function(i, h) {
		var g;
		if (typeof i !== "undefined") {
			if (i) {
				i = e.mobile.nsNormalize(i)
			}
			if (arguments.length < 2 || h === f) {
				g = this.data(i)
			} else {
				g = this.data(i, h)
			}
		}
		return g
	};
	e.jqmData = function(h, j, i) {
		var g;
		if (typeof j !== "undefined") {
			g = e.data(h, j ? e.mobile.nsNormalize(j) : j, i)
		}
		return g
	};
	e.fn.jqmRemoveData = function(g) {
		return this.removeData(e.mobile.nsNormalize(g))
	};
	e.jqmRemoveData = function(g, h) {
		return e.removeData(g, e.mobile.nsNormalize(h))
	};
	e.fn.removeWithDependents = function() {
		e.removeWithDependents(this)
	};
	e.removeWithDependents = function(h) {
		var g = e(h);
		(g.jqmData("dependents") || e()).remove();
		g.remove()
	};
	e.fn.addDependents = function(g) {
		e.addDependents(e(this), g)
	};
	e.addDependents = function(g, h) {
		var i = e(g).jqmData("dependents") || e();
		e(g).jqmData("dependents", e.merge(i, h))
	};
	e.fn.getEncodedText = function() {
		return e("<div/>").text(e(this).text()).html()
	};
	e.fn.jqmEnhanceable = function() {
		return e.mobile.enhanceable(this)
	};
	e.fn.jqmHijackable = function() {
		return e.mobile.hijackable(this)
	};
	var b = e.find, a = /:jqmData\(([^)]*)\)/g;
	e.find = function(h, j, i, g) {
		h = h.replace(a, "[data-" + (e.mobile.ns || "") + "$1]");
		return b.call(this, h, j, i, g)
	};
	e.extend(e.find, b);
	e.find.matches = function(g, h) {
		return e.find(g, null, null, h)
	};
	e.find.matchesSelector = function(g, h) {
		return e.find(h, null, null, [ g ]).length > 0
	}
})(jQuery, this);
(function(b, e) {
	var a = 0, d = Array.prototype.slice, c = b.cleanData;
	b.cleanData = function(f) {
		for ( var g = 0, h; (h = f[g]) != null; g++) {
			try {
				b(h).triggerHandler("remove")
			} catch (j) {
			}
		}
		c(f)
	};
	b.widget = function(g, j, f) {
		var m, l, i, k, h = g.split(".")[0];
		g = g.split(".")[1];
		m = h + "-" + g;
		if (!f) {
			f = j;
			j = b.Widget
		}
		b.expr[":"][m] = function(n) {
			return !!b.data(n, m)
		};
		b[h] = b[h] || {};
		l = b[h][g];
		i = b[h][g] = function(n, o) {
			if (!this._createWidget) {
				return new i(n, o)
			}
			if (arguments.length) {
				this._createWidget(n, o)
			}
		};
		b.extend(i, l, {
			version : f.version,
			_proto : b.extend({}, f),
			_childConstructors : []
		});
		k = new j();
		k.options = b.widget.extend({}, k.options);
		b.each(f, function(o, n) {
			if (b.isFunction(n)) {
				f[o] = (function() {
					var p = function() {
						return j.prototype[o].apply(this, arguments)
					}, q = function(r) {
						return j.prototype[o].apply(this, r)
					};
					return function() {
						var t = this._super, r = this._superApply, s;
						this._super = p;
						this._superApply = q;
						s = n.apply(this, arguments);
						this._super = t;
						this._superApply = r;
						return s
					}
				})()
			}
		});
		i.prototype = b.widget.extend(k, {
			widgetEventPrefix : g
		}, f, {
			constructor : i,
			namespace : h,
			widgetName : g,
			widgetBaseClass : m,
			widgetFullName : m
		});
		if (l) {
			b.each(l._childConstructors, function(o, p) {
				var n = p.prototype;
				b.widget(n.namespace + "." + n.widgetName, i, p._proto)
			});
			delete l._childConstructors
		} else {
			j._childConstructors.push(i)
		}
		b.widget.bridge(g, i)
	};
	b.widget.extend = function(k) {
		var g = d.call(arguments, 1), j = 0, f = g.length, h, i;
		for (; j < f; j++) {
			for (h in g[j]) {
				i = g[j][h];
				if (g[j].hasOwnProperty(h) && i !== e) {
					k[h] = b.isPlainObject(i) ? b.widget.extend({}, k[h], i)
							: i
				}
			}
		}
		return k
	};
	b.widget.bridge = function(g, f) {
		var h = f.prototype.widgetFullName;
		b.fn[g] = function(k) {
			var i = typeof k === "string", j = d.call(arguments, 1), l = this;
			k = !i && j.length ? b.widget.extend.apply(null, [ k ].concat(j))
					: k;
			if (i) {
				this
						.each(function() {
							var n, m = b.data(this, h);
							if (!m) {
								return b
										.error("cannot call methods on "
												+ g
												+ " prior to initialization; attempted to call method '"
												+ k + "'")
							}
							if (!b.isFunction(m[k]) || k.charAt(0) === "_") {
								return b.error("no such method '" + k
										+ "' for " + g + " widget instance")
							}
							n = m[k].apply(m, j);
							if (n !== m && n !== e) {
								l = n && n.jquery ? l.pushStack(n.get()) : n;
								return false
							}
						})
			} else {
				this.each(function() {
					var m = b.data(this, h);
					if (m) {
						m.option(k || {})._init()
					} else {
						new f(k, this)
					}
				})
			}
			return l
		}
	};
	b.Widget = function(f, g) {
	};
	b.Widget._childConstructors = [];
	b.Widget.prototype = {
		widgetName : "widget",
		widgetEventPrefix : "",
		defaultElement : "<div>",
		options : {
			disabled : false,
			create : null
		},
		_createWidget : function(f, g) {
			g = b(g || this.defaultElement || this)[0];
			this.element = b(g);
			this.uuid = a++;
			this.eventNamespace = "." + this.widgetName + this.uuid;
			this.options = b.widget.extend({}, this.options, this
					._getCreateOptions(), f);
			this.bindings = b();
			this.hoverable = b();
			this.focusable = b();
			if (g !== this) {
				b.data(g, this.widgetName, this);
				b.data(g, this.widgetFullName, this);
				this._on({
					remove : "destroy"
				});
				this.document = b(g.style ? g.ownerDocument : g.document || g);
				this.window = b(this.document[0].defaultView
						|| this.document[0].parentWindow)
			}
			this._create();
			this._trigger("create", null, this._getCreateEventData());
			this._init()
		},
		_getCreateOptions : b.noop,
		_getCreateEventData : b.noop,
		_create : b.noop,
		_init : b.noop,
		destroy : function() {
			this._destroy();
			this.element.unbind(this.eventNamespace)
					.removeData(this.widgetName)
					.removeData(this.widgetFullName).removeData(
							b.camelCase(this.widgetFullName));
			this.widget().unbind(this.eventNamespace).removeAttr(
					"aria-disabled").removeClass(
					this.widgetFullName + "-disabled ui-state-disabled");
			this.bindings.unbind(this.eventNamespace);
			this.hoverable.removeClass("ui-state-hover");
			this.focusable.removeClass("ui-state-focus")
		},
		_destroy : b.noop,
		widget : function() {
			return this.element
		},
		option : function(j, k) {
			var f = j, l, h, g;
			if (arguments.length === 0) {
				return b.widget.extend({}, this.options)
			}
			if (typeof j === "string") {
				f = {};
				l = j.split(".");
				j = l.shift();
				if (l.length) {
					h = f[j] = b.widget.extend({}, this.options[j]);
					for (g = 0; g < l.length - 1; g++) {
						h[l[g]] = h[l[g]] || {};
						h = h[l[g]]
					}
					j = l.pop();
					if (k === e) {
						return h[j] === e ? null : h[j]
					}
					h[j] = k
				} else {
					if (k === e) {
						return this.options[j] === e ? null : this.options[j]
					}
					f[j] = k
				}
			}
			this._setOptions(f);
			return this
		},
		_setOptions : function(f) {
			var g;
			for (g in f) {
				this._setOption(g, f[g])
			}
			return this
		},
		_setOption : function(f, g) {
			this.options[f] = g;
			if (f === "disabled") {
				this.widget().toggleClass(
						this.widgetFullName + "-disabled ui-state-disabled",
						!!g).attr("aria-disabled", g);
				this.hoverable.removeClass("ui-state-hover");
				this.focusable.removeClass("ui-state-focus")
			}
			return this
		},
		enable : function() {
			return this._setOption("disabled", false)
		},
		disable : function() {
			return this._setOption("disabled", true)
		},
		_on : function(h, g) {
			if (!g) {
				g = h;
				h = this.element
			} else {
				h = b(h);
				this.bindings = this.bindings.add(h)
			}
			var f = this;
			b.each(g,
					function(n, m) {
						function k() {
							if (f.options.disabled === true
									|| b(this).hasClass("ui-state-disabled")) {
								return
							}
							return (typeof m === "string" ? f[m] : m).apply(f,
									arguments)
						}
						if (typeof m !== "string") {
							k.guid = m.guid = m.guid || k.guid || b.guid++
						}
						var l = n.match(/^(\w+)\s*(.*)$/), j = l[1]
								+ f.eventNamespace, i = l[2];
						if (i) {
							f.widget().delegate(i, j, k)
						} else {
							h.bind(j, k)
						}
					})
		},
		_off : function(g, f) {
			f = (f || "").split(" ").join(this.eventNamespace + " ")
					+ this.eventNamespace;
			g.unbind(f).undelegate(f)
		},
		_delay : function(i, h) {
			function g() {
				return (typeof i === "string" ? f[i] : i).apply(f, arguments)
			}
			var f = this;
			return setTimeout(g, h || 0)
		},
		_hoverable : function(f) {
			this.hoverable = this.hoverable.add(f);
			this._on(f, {
				mouseenter : function(g) {
					b(g.currentTarget).addClass("ui-state-hover")
				},
				mouseleave : function(g) {
					b(g.currentTarget).removeClass("ui-state-hover")
				}
			})
		},
		_focusable : function(f) {
			this.focusable = this.focusable.add(f);
			this._on(f, {
				focusin : function(g) {
					b(g.currentTarget).addClass("ui-state-focus")
				},
				focusout : function(g) {
					b(g.currentTarget).removeClass("ui-state-focus")
				}
			})
		},
		_trigger : function(f, g, h) {
			var k, j, i = this.options[f];
			h = h || {};
			g = b.Event(g);
			g.type = (f === this.widgetEventPrefix ? f : this.widgetEventPrefix
					+ f).toLowerCase();
			g.target = this.element[0];
			j = g.originalEvent;
			if (j) {
				for (k in j) {
					if (!(k in g)) {
						g[k] = j[k]
					}
				}
			}
			this.element.trigger(g, h);
			return !(b.isFunction(i)
					&& i.apply(this.element[0], [ g ].concat(h)) === false || g
					.isDefaultPrevented())
		}
	};
	b.each({
		show : "fadeIn",
		hide : "fadeOut"
	}, function(g, f) {
		b.Widget.prototype["_" + g] = function(j, i, l) {
			if (typeof i === "string") {
				i = {
					effect : i
				}
			}
			var k, h = !i ? g : i === true || typeof i === "number" ? f
					: i.effect || f;
			i = i || {};
			if (typeof i === "number") {
				i = {
					duration : i
				}
			}
			k = !b.isEmptyObject(i);
			i.complete = l;
			if (i.delay) {
				j.delay(i.delay)
			}
			if (k
					&& b.effects
					&& (b.effects.effect[h] || b.uiBackCompat !== false
							&& b.effects[h])) {
				j[g](i)
			} else {
				if (h !== g && j[h]) {
					j[h](i.duration, i.easing, l)
				} else {
					j.queue(function(m) {
						b(this)[g]();
						if (l) {
							l.call(j[0])
						}
						m()
					})
				}
			}
		}
	});
	if (b.uiBackCompat !== false) {
		b.Widget.prototype._getCreateOptions = function() {
			return b.metadata
					&& b.metadata.get(this.element[0])[this.widgetName]
		}
	}
})(jQuery);
(function(a, b) {
	a.widget("mobile.widget", {
		_createWidget : function() {
			a.Widget.prototype._createWidget.apply(this, arguments);
			this.element.data("widgetName", this.widgetFullName);
			this._trigger("init")
		},
		_getCreateOptions : function() {
			var d = this.element, c = {};
			a.each(this.options, function(e) {
				var f = d.jqmData(e.replace(/[A-Z]/g, function(g) {
					return "-" + g.toLowerCase()
				}));
				if (f !== b) {
					c[e] = f
				}
			});
			return c
		},
		enhanceWithin : function(d, c) {
			this.enhance(a(this.options.initSelector, a(d)), c)
		},
		enhance : function(e, d) {
			var h, g, c = a(e), f = this;
			if (c.length == 0) {
				return
			}
			c = a.mobile.enhanceable(c);
			if (d && c.length) {
				h = a.mobile.closestPageData(c);
				g = (h && h.keepNativeSelector()) || "";
				c = c.not(g)
			}
			c.length > 0 && c[this.widgetName]()
		},
		raise : function(c) {
			throw "Widget [" + this.widgetName + "]: " + c
		}
	})
})(jQuery);
(function(c) {
	c.maf = c.mobile;
	c.maf.version = "1.2";
	c.maf.release = "2013-08-01";
	c.version = c.fn.jquery;
	function a() {
		var d = c.Deferred();
		c(function() {
			d.resolve()
		});
		return d.promise()
	}
	function b() {
		var d = c.Deferred();
		if (typeof (cordova) !== "undefined") {
			cordova.require("cordova/channel").onCordovaReady
					.subscribe(function() {
						d.resolve()
					})
		} else {
			d.resolve()
		}
		return d.promise()
	}
	c.maf.ready = function(d) {
		c.when(a(), b()).done(d)
	}
})(jQuery, this);
(function(d, c, f) {
	function a(j) {
		var h = {}, g = ((j || "").replace(/^\?/, "").split(/&/)), m, o, p, k;
		for (m = 0; m < g.length; m++) {
			var l = g[m];
			if (l) {
				o = l.split(/=/);
				p = o[0];
				k = o[1];
				if (h[p] === f) {
					h[p] = k
				} else {
					if (typeof h[p] !== "object") {
						h[p] = [ h[p] ]
					}
					h[p].push(k)
				}
			}
		}
		return h
	}
	d(document).bind("pagebeforechange", function(j, i) {
		if (typeof i.toPage === "string") {
			var g = d.mobile.path.parseUrl(i.toPage);
			if (d.mobile.path.isEmbeddedPage(g)) {
				var h = d.mobile.path.parseUrl(g.hash.replace(/^#/, ""));
				if (h.search) {
					i.options.pageData = a(h.search);
					i.toPage = g.hrefNoHash + "#" + h.pathname
				}
			} else {
				if (g.search) {
					i.options.pageData = a(g.search);
					i.toPage = g.hrefNoSearch
				}
			}
		}
	});
	var b = function(g) {
		if (typeof (g) !== "string" || d.trim(g) === "") {
			return g
		}
		return d.map(g.split("_"), function(h) {
			return h[0].toUpperCase() + h.substring(1)
		}).join("")
	}, e = "Util";
	d(document).bind(
			"pageshow pagehide",
			function(h) {
				var j = h.target, i = j.id, g = c[b(i) + e];
				if (!g) {
					return
				}
				d.maf.ready(function() {
					h.type === "pageshow" ? g.update && g.update() : g.destroy
							&& g.destroy()
				})
			});
	d(document).bind("pagechange", function(g, l) {
		var k = l.toPage, i = l.options, h = k.attr("id");
		var j = d.maf.pubsub && d.maf.pubsub.publish;
		c[b(h) + e] && j && j(h, k, i)
	});
	d.maf.ready(function() {
		d.maf.versionControl && setTimeout(function() {
			cordova.require("maf/downloader").update(true)
		}, 4000);
		var g;
		typeof (cordova) !== "undefined" && cordova.exec(function(h) {
			g = h
		}, null, "MAF_Device", "getDownloadPath", []);
		d.maf.getDownloadPath = function() {
			return g
		}
	});
	d.mobile.defaultPageTransition = "none";
	d.mobile.allowCrossDomainPages = true;
	d.support.cors = true;
	d.mobile.pushStateEnabled = false;
	d.mobile.buttonMarkup.hoverDelay = 100
})(jQuery, window);
(function(d, c) {
	d.extend(d.mobile, {
		loadingMessageTextVisible : undefined,
		loadingMessageTheme : undefined,
		loadingMessage : undefined,
		showPageLoadingMsg : function(g, f, h) {
			d.mobile.loading("show", g, f, h)
		},
		hidePageLoadingMsg : function() {
			d.mobile.loading("hide")
		},
		loading : function() {
			this.loaderWidget.loader.apply(this.loaderWidget, arguments)
		}
	});
	var b = "ui-loader", a = d("html"), e = d(c);
	d
			.widget(
					"mobile.loader",
					{
						options : {
							theme : "a",
							textVisible : false,
							html : "",
							text : "loading"
						},
						defaultHtml : "<div class='"
								+ b
								+ "'><span class='ui-icon ui-icon-loading'></span><h1></h1></div>",
						fakeFixLoader : function() {
							var f = d("." + d.mobile.activeBtnClass).first();
							this.element.css({
								top : d.support.scrollTop && e.scrollTop()
										+ e.height() / 2 || f.length
										&& f.offset().top || 100
							})
						},
						checkLoaderPosition : function() {
							var g = this.element.offset(), f = e.scrollTop(), h = d.mobile
									.getScreenHeight();
							if (g.top < f || (g.top - f) > h) {
								this.element.addClass("ui-loader-fakefix");
								this.fakeFixLoader();
								e.unbind("scroll", this.checkLoaderPosition)
										.bind(
												"scroll",
												d.proxy(this.fakeFixLoader,
														this))
							}
						},
						resetHtml : function() {
							this.element.html(d(this.defaultHtml).html())
						},
						show : function(k, g, l) {
							var j, h, f, i;
							this.resetHtml();
							if (d.type(k) === "object") {
								i = d.extend({}, this.options, k);
								k = i.theme || d.mobile.loadingMessageTheme
							} else {
								i = this.options;
								k = k || d.mobile.loadingMessageTheme
										|| i.theme
							}
							h = g || d.mobile.loadingMessage || i.text;
							a.addClass("ui-loading");
							if (d.mobile.loadingMessage !== false || i.html) {
								if (d.mobile.loadingMessageTextVisible !== undefined) {
									j = d.mobile.loadingMessageTextVisible
								} else {
									j = i.textVisible
								}
								this.element
										.attr(
												"class",
												b
														+ " ui-corner-all ui-body-"
														+ k
														+ " ui-loader-"
														+ (j || g || k.text ? "verbose"
																: "default")
														+ (i.textonly || l ? " ui-loader-textonly"
																: ""));
								if (i.html) {
									this.element.html(i.html)
								} else {
									this.element.find("h1").text(h)
								}
								this.element.appendTo(d.mobile.pageContainer);
								this.checkLoaderPosition();
								e.bind("scroll", d.proxy(
										this.checkLoaderPosition, this))
							}
						},
						hide : function() {
							a.removeClass("ui-loading");
							if (d.mobile.loadingMessage) {
								this.element.removeClass("ui-loader-fakefix")
							}
							d(c).unbind("scroll", this.fakeFixLoader);
							d(c).unbind("scroll", this.checkLoaderPosition)
						}
					});
	e.bind("pagecontainercreate", function() {
		d.mobile.loaderWidget = d.mobile.loaderWidget
				|| d(d.mobile.loader.prototype.defaultHtml).loader()
	})
})(jQuery, this);
(function(x, G, e, m) {
	var F = "virtualMouseBindings", b = "virtualTouchID", a = "vmouseover vmousedown vmousemove vmouseup vclick vmouseout vmousecancel"
			.split(" "), w = "clientX clientY pageX pageY screenX screenY"
			.split(" "), C = x.event.mouseHooks ? x.event.mouseHooks.props : [], y = x.event.props
			.concat(C), A = {}, H = 0, s = 0, r = 0, p = false, K = [], g = false, R = false, u = "addEventListener" in e, t = x(e), E = 1, N = 0, c;
	x.vmouse = {
		moveDistanceThreshold : 10,
		clickDistanceThreshold : 10,
		resetTimerDuration : 1500
	};
	function q(i) {
		while (i && typeof i.originalEvent !== "undefined") {
			i = i.originalEvent
		}
		return i
	}
	function h(T, U) {
		var ac = T.type, ad, ab, V, S, Z, Y, X, W, aa;
		T = x.Event(T);
		T.type = U;
		ad = T.originalEvent;
		ab = x.event.props;
		if (ac.search(/^(mouse|click)/) > -1) {
			ab = y
		}
		if (ad) {
			for (X = ab.length, S; X;) {
				S = ab[--X];
				T[S] = ad[S]
			}
		}
		if (ac.search(/mouse(down|up)|click/) > -1 && !T.which) {
			T.which = 1
		}
		if (ac.search(/^touch/) !== -1) {
			V = q(ad);
			ac = V.touches;
			Z = V.changedTouches;
			Y = (ac && ac.length) ? ac[0] : ((Z && Z.length) ? Z[0] : m);
			if (Y) {
				for (W = 0, aa = w.length; W < aa; W++) {
					S = w[W];
					T[S] = Y[S]
				}
			}
		}
		return T
	}
	function P(U) {
		var S = {}, i, T;
		while (U) {
			i = x.data(U, F);
			for (T in i) {
				if (i[T]) {
					S[T] = S.hasVirtualBinding = true
				}
			}
			U = U.parentNode
		}
		return S
	}
	function B(T, S) {
		var i;
		while (T) {
			i = x.data(T, F);
			if (i && (!S || i[S])) {
				return T
			}
			T = T.parentNode
		}
		return null
	}
	function J() {
		R = false
	}
	function k() {
		R = true
	}
	function Q() {
		N = 0;
		K.length = 0;
		g = false;
		k()
	}
	function o() {
		J()
	}
	function v() {
		z();
		H = setTimeout(function() {
			H = 0;
			Q()
		}, x.vmouse.resetTimerDuration)
	}
	function z() {
		if (H) {
			clearTimeout(H);
			H = 0
		}
	}
	function n(T, U, i) {
		var S;
		if ((i && i[T]) || (!i && B(U.target, T))) {
			S = h(U, T);
			x(U.target).trigger(S)
		}
		return S
	}
	function j(S) {
		var T = x.data(S.target, b);
		if (!g && (!N || N !== T)) {
			var i = n("v" + S.type, S);
			if (i) {
				if (i.isDefaultPrevented()) {
					S.preventDefault()
				}
				if (i.isPropagationStopped()) {
					S.stopPropagation()
				}
				if (i.isImmediatePropagationStopped()) {
					S.stopImmediatePropagation()
				}
			}
		}
	}
	function O(T) {
		var V = q(T).touches, U, i;
		if (V && V.length === 1) {
			U = T.target;
			i = P(U);
			if (i.hasVirtualBinding) {
				N = E++;
				x.data(U, b, N);
				z();
				o();
				p = false;
				var S = q(T).touches[0];
				s = S.pageX;
				r = S.pageY;
				n("vmouseover", T, i);
				n("vmousedown", T, i)
			}
		}
	}
	function I(i) {
		if (R) {
			return
		}
		if (!p) {
			n("vmousecancel", i, P(i.target))
		}
		p = true;
		v()
	}
	function d(V) {
		if (R) {
			return
		}
		var T = q(V).touches[0], S = p, U = x.vmouse.moveDistanceThreshold, i = P(V.target);
		p = p || (Math.abs(T.pageX - s) > U || Math.abs(T.pageY - r) > U);
		if (p && !S) {
			n("vmousecancel", V, i)
		}
		n("vmousemove", V, i);
		v()
	}
	function f(U) {
		if (R) {
			return
		}
		k();
		var i = P(U.target), T;
		n("vmouseup", U, i);
		if (!p) {
			var S = n("vclick", U, i);
			if (S && S.isDefaultPrevented()) {
				T = q(U).changedTouches[0];
				K.push({
					touchID : N,
					x : T.clientX,
					y : T.clientY
				});
				g = true
			}
		}
		n("vmouseout", U, i);
		p = false;
		v()
	}
	function D(S) {
		var T = x.data(S, F), i;
		if (T) {
			for (i in T) {
				if (T[i]) {
					return true
				}
			}
		}
		return false
	}
	function M() {
	}
	function l(i) {
		var S = i.substr(1);
		return {
			setup : function(U, T) {
				if (!D(this)) {
					x.data(this, F, {})
				}
				var V = x.data(this, F);
				V[i] = true;
				A[i] = (A[i] || 0) + 1;
				if (A[i] === 1) {
					t.bind(S, j)
				}
				x(this).bind(S, M);
				if (u) {
					A.touchstart = (A.touchstart || 0) + 1;
					if (A.touchstart === 1) {
						t.bind("touchstart", O).bind("touchend", f).bind(
								"touchmove", d).bind("scroll", I)
					}
				}
			},
			teardown : function(U, T) {
				--A[i];
				if (!A[i]) {
					t.unbind(S, j)
				}
				if (u) {
					--A.touchstart;
					if (!A.touchstart) {
						t.unbind("touchstart", O).unbind("touchmove", d)
								.unbind("touchend", f).unbind("scroll", I)
					}
				}
				var V = x(this), W = x.data(this, F);
				if (W) {
					W[i] = false
				}
				V.unbind(S, M);
				if (!D(this)) {
					V.removeData(F)
				}
			}
		}
	}
	for ( var L = 0; L < a.length; L++) {
		x.event.special[a[L]] = l(a[L])
	}
	if (u) {
		e.addEventListener("click", function(W) {
			var T = K.length, X = W.target, Z, Y, aa, V, S, U;
			if (T) {
				Z = W.clientX;
				Y = W.clientY;
				c = x.vmouse.clickDistanceThreshold;
				aa = X;
				while (aa) {
					for (V = 0; V < T; V++) {
						S = K[V];
						U = 0;
						if ((aa === X && Math.abs(S.x - Z) < c && Math.abs(S.y
								- Y) < c)
								|| x.data(aa, b) === S.touchID) {
							W.preventDefault();
							W.stopPropagation();
							return
						}
					}
					aa = aa.parentNode
				}
			}
		}, true)
	}
})(jQuery, window, document);
(function(b, c) {
	var a = {
		touch : "ontouchend" in document
	};
	b.mobile = b.mobile || {};
	b.mobile.support = b.mobile.support || {};
	b.extend(b.support, a);
	b.extend(b.mobile.support, a)
}(jQuery));
(function(c, h, a) {
	c
			.each(
					("touchstart touchmove touchend tap taphold swipe swipeleft swiperight scrollstart scrollstop")
							.split(" "), function(k, j) {
						c.fn[j] = function(l) {
							return l ? this.bind(j, l) : this.trigger(j)
						};
						if (c.attrFn) {
							c.attrFn[j] = true
						}
					});
	var d = c.mobile.support.touch, e = "touchmove scroll", i = d ? "touchstart"
			: "mousedown", g = d ? "touchend" : "mouseup", b = d ? "touchmove"
			: "mousemove";
	function f(m, j, l) {
		var k = l.type;
		l.type = j;
		c.event.handle.call(m, l);
		l.type = k
	}
	c.event.special.scrollstart = {
		enabled : true,
		setup : function() {
			var j = this, m = c(j), l, n;
			function k(o, p) {
				l = p;
				f(j, l ? "scrollstart" : "scrollstop", o)
			}
			m.bind(e, function(o) {
				if (!c.event.special.scrollstart.enabled) {
					return
				}
				if (!l) {
					k(o, true)
				}
				clearTimeout(n);
				n = setTimeout(function() {
					k(o, false)
				}, 50)
			})
		}
	};
	c.event.special.tap = {
		tapholdThreshold : 750,
		setup : function() {
			var j = this, k = c(j);
			k.bind("vmousedown", function(o) {
				if (o.which && o.which !== 1) {
					return false
				}
				var n = o.target, l = o.originalEvent, r;
				function m() {
					clearTimeout(r)
				}
				function q() {
					m();
					k.unbind("vclick", p).unbind("vmouseup", m);
					c(document).unbind("vmousecancel", q)
				}
				function p(s) {
					q();
					if (n === s.target) {
						f(j, "tap", s)
					}
				}
				k.bind("vmouseup", m).bind("vclick", p);
				c(document).bind("vmousecancel", q);
				r = setTimeout(function() {
					//修复haphold tap同时触发
					q();
					f(j, "taphold", c.Event("taphold", {
						target : n
					}))
				}, c.event.special.tap.tapholdThreshold)
			})
		}
	};
	c.event.special.swipe = {
		scrollSupressionThreshold : 30,
		durationThreshold : 1000,
		horizontalDistanceThreshold : 30,
		verticalDistanceThreshold : 75,
		setup : function() {
			var j = this, k = c(j);
			k
					.bind(
							i,
							function(m) {
								var o = m.originalEvent.touches ? m.originalEvent.touches[0]
										: m, p = {
									time : (new Date()).getTime(),
									coords : [ o.pageX, o.pageY ],
									origin : c(m.target)
								}, l;
								function n(q) {
									if (!p) {
										return
									}
									var r = q.originalEvent.touches ? q.originalEvent.touches[0]
											: q;
									l = {
										time : (new Date()).getTime(),
										coords : [ r.pageX, r.pageY ]
									};
									if (Math.abs(p.coords[0] - l.coords[0]) > c.event.special.swipe.scrollSupressionThreshold) {
										q.preventDefault()
									}
								}
								k
										.bind(b, n)
										.one(
												g,
												function(q) {
													k.unbind(b, n);
													if (p && l) {
														if (l.time - p.time < c.event.special.swipe.durationThreshold
																&& Math
																		.abs(p.coords[0]
																				- l.coords[0]) > c.event.special.swipe.horizontalDistanceThreshold
																&& Math
																		.abs(p.coords[1]
																				- l.coords[1]) < c.event.special.swipe.verticalDistanceThreshold) {
															p.origin
																	.trigger(
																			"swipe")
																	.trigger(
																			p.coords[0] > l.coords[0] ? "swipeleft"
																					: "swiperight")
														}
													}
													p = l = a
												})
							})
		}
	};
	c.each({
		scrollstop : "scrollstart",
		taphold : "tap",
		swipeleft : "swipe",
		swiperight : "swipe"
	}, function(k, j) {
		c.event.special[k] = {
			setup : function() {
				c(this).bind(j, c.noop)
			}
		}
	})
})(jQuery, this);
(function(a, b) {
	a.extend(a.support, {
		orientation : "orientation" in window
				&& "onorientationchange" in window
	})
}(jQuery));
(function(e) {
	e.event.special.throttledresize = {
		setup : function() {
			e(this).bind("resize", c)
		},
		teardown : function() {
			e(this).unbind("resize", c)
		}
	};
	var d = 250, c = function() {
		g = (new Date()).getTime();
		f = g - b;
		if (f >= d) {
			b = g;
			e(this).trigger("throttledresize")
		} else {
			if (a) {
				clearTimeout(a)
			}
			a = setTimeout(c, d - f)
		}
	}, b = 0, a, g, f
})(jQuery);
(function(g, l) {
	var j = g(l), i = "orientationchange", a, c, h, d, m, k = {
		"0" : true,
		"180" : true
	};
	if (g.support.orientation) {
		var f = l.innerWidth || g(l).width(), b = l.innerHeight
				|| g(l).height(), e = 50;
		d = f > b && (f - b) > e;
		m = k[l.orientation];
		if ((d && m) || (!d && !m)) {
			k = {
				"-90" : true,
				"90" : true
			}
		}
	}
	g.event.special.orientationchange = g.extend({},
			g.event.special.orientationchange, {
				setup : function() {
					if (g.support.orientation
							&& !g.event.special.orientationchange.disabled) {
						return false
					}
					h = c();
					j.bind("throttledresize", n)
				},
				teardown : function() {
					if (g.support.orientation
							&& !g.event.special.orientationchange.disabled) {
						return false
					}
					j.unbind("throttledresize", n)
				},
				add : function(o) {
					var p = o.handler;
					o.handler = function(q) {
						q.orientation = c();
						return p.apply(this, arguments)
					}
				}
			});
	function n() {
		var o = c();
		if (o !== h) {
			h = o;
			j.trigger(i)
		}
	}
	g.event.special.orientationchange.orientation = c = function() {
		var p = true, o = document.documentElement;
		if (g.support.orientation) {
			p = k[l.orientation]
		} else {
			p = o && o.clientWidth / o.clientHeight < 1.1
		}
		return p ? "portrait" : "landscape"
	};
	g.fn[i] = function(o) {
		return o ? this.bind(i, o) : this.trigger(i)
	};
	if (g.attrFn) {
		g.attrFn[i] = true
	}
}(jQuery, this));
(function(b, d) {
	var c = b(window), a = b("html");
	b.mobile.media = (function() {
		var e = {}, f = b("<div id='jquery-mediatest'></div>"), g = b("<body>")
				.append(f);
		return function(j) {
			if (!(j in e)) {
				var h = document.createElement("style"), i = "@media " + j
						+ " { #jquery-mediatest { position:absolute; } }";
				h.type = "text/css";
				if (h.styleSheet) {
					h.styleSheet.cssText = i
				} else {
					h.appendChild(document.createTextNode(i))
				}
				a.prepend(g).prepend(h);
				e[j] = f.css("position") === "absolute";
				g.add(h).remove()
			}
			return e[j]
		}
	})()
})(jQuery);
(function(i, e) {
	function c(s) {
		var r = s.charAt(0).toUpperCase() + s.substr(1), q = (s + " "
				+ m.join(r + " ") + r).split(" ");
		for ( var p in q) {
			if (k[q[p]] !== e) {
				return true
			}
		}
	}
	var f = i("<body>").prependTo("html"), k = f[0].style, m = [ "Webkit",
			"Moz", "O" ], o = "palmGetResource" in window, d = window.opera, l = window.operamini
			&& ({}).toString.call(window.operamini) === "[object OperaMini]", j = window.blackberry
			&& !c("-webkit-transform");
	function h(p, v, r) {
		var q = document.createElement("div"), y = function(z) {
			return z.charAt(0).toUpperCase() + z.substr(1)
		}, x = function(z) {
			return "-" + z.charAt(0).toLowerCase() + z.substr(1) + "-"
		}, w = function(C) {
			var z = x(C) + p + ": " + v + ";", B = y(C), A = B + y(p);
			q.setAttribute("style", z);
			if (!!q.style[A]) {
				u = true
			}
		}, t = r ? [ r ] : m, u;
		for ( var s = 0; s < t.length; s++) {
			w(t[s])
		}
		return !!u
	}
	function g() {
		var p = "transform-3d";
		return h("perspective", "10px", "webkit")
				|| i.mobile.media("(-" + m.join("-" + p + "),(-") + "-" + p
						+ "),(" + p + ")")
	}
	function b() {
		var t = location.protocol + "//" + location.host + location.pathname
				+ "ui-dir/", s = i("head base"), u = null, p = "", r, q;
		if (!s.length) {
			s = u = i("<base>", {
				href : t
			}).appendTo("head")
		} else {
			p = s.attr("href")
		}
		r = i("<a href='testurl' />").prependTo(f);
		q = r[0].href;
		s[0].href = p || location.pathname;
		if (u) {
			u.remove()
		}
		return q.indexOf(t) === 0
	}
	function n() {
		var q = document.createElement("x"), r = document.documentElement, s = window.getComputedStyle, p;
		if (!("pointerEvents" in q.style)) {
			return false
		}
		q.style.pointerEvents = "auto";
		q.style.pointerEvents = "x";
		r.appendChild(q);
		p = s && s(q, "").pointerEvents === "auto";
		r.removeChild(q);
		return !!p
	}
	function a() {
		var p = document.createElement("div");
		return typeof p.getBoundingClientRect !== "undefined"
	}
	i.extend(i.mobile, {
		browser : {}
	});
	i.mobile.browser.ie = (function() {
		var q = 3, r = document.createElement("div"), p = r.all || [];
		do {
			r.innerHTML = "<!--[if gt IE " + (++q) + "]><br><![endif]-->"
		} while (p[0]);
		return q > 4 ? q : !q
	})();
	i
			.extend(
					i.support,
					{
						cssTransitions : "WebKitTransitionEvent" in window
								|| h("transition", "height 100ms linear") && !d,
						pushState : "pushState" in history
								&& "replaceState" in history,
						mediaquery : i.mobile.media("only all"),
						cssPseudoElement : !!c("content"),
						touchOverflow : !!c("overflowScrolling"),
						cssTransform3d : g(),
						boxShadow : !!c("boxShadow") && !j,
						scrollTop : ("pageXOffset" in window
								|| "scrollTop" in document.documentElement || "scrollTop" in f[0])
								&& !o && !l,
						dynamicBaseTag : b(),
						cssPointerEvents : n(),
						boundingRect : a()
					});
	f.remove();
	i.mobile.gradeA = function() {
		return (i.support.mediaquery || i.mobile.browser.ie
				&& i.mobile.browser.ie >= 7)
				&& (i.support.boundingRect || i.fn.jquery
						.match(/1\.[0-7+]\.[0-9+]?/) !== null)
	};
	if (!i.support.boxShadow) {
		i("html").addClass("ui-mobile-nosupport-boxshadow")
	}
})(jQuery);
(function(a, b) {
	a.widget("mobile.page", a.mobile.widget, {
		options : {
			theme : "c",
			domCache : false,
			keepNativeDefault : ":jqmData(role='none'), :jqmData(role='nojs')"
		},
		_create : function() {
			var c = this;
			if (c._trigger("beforecreate") === false) {
				return false
			}
			c.element.attr("tabindex", "0").addClass(
					"ui-page ui-body-" + c.options.theme).bind(
					"pagebeforehide", function() {
						c.removeContainerBackground()
					}).bind("pagebeforeshow", function() {
				c.setContainerBackground()
			})
		},
		removeContainerBackground : function() {
			a.mobile.pageContainer.removeClass("ui-overlay-"
					+ a.mobile.getInheritedTheme(this.element.parent()))
		},
		setContainerBackground : function(c) {
			if (this.options.theme) {
				a.mobile.pageContainer.addClass("ui-overlay-"
						+ (c || this.options.theme))
			}
		},
		keepNativeSelector : function() {
			var c = this.options, d = c.keepNative && a.trim(c.keepNative);
			if (d && c.keepNative !== c.keepNativeDefault) {
				return [ c.keepNative, c.keepNativeDefault ].join(", ")
			}
			return c.keepNativeDefault
		}
	})
})(jQuery);
(function(d, f, b) {
	var c = "hashchange", i = document, g, h = d.event.special, j = i.documentMode, e = "on"
			+ c in f
			&& (j === b || j > 7);
	function a(k) {
		k = k || location.href;
		return "#" + k.replace(/^[^#]*#?(.*)$/, "$1")
	}
	d.fn[c] = function(k) {
		return k ? this.bind(c, k) : this.trigger(c)
	};
	d.fn[c].delay = 50;
	h[c] = d.extend(h[c], {
		setup : function() {
			if (e) {
				return false
			}
			d(g.start)
		},
		teardown : function() {
			if (e) {
				return false
			}
			d(g.stop)
		}
	});
	g = (function() {
		var k = {}, q, n = a(), l = function(r) {
			return r
		}, m = l, p = l;
		k.start = function() {
			q || o()
		};
		k.stop = function() {
			q && clearTimeout(q);
			q = b
		};
		function o() {
			var s = a(), r = p(n);
			if (s !== n) {
				m(n = s, r);
				d(f).trigger(c)
			} else {
				if (r !== n) {
					location.href = location.href.replace(/#.*/, "") + r
				}
			}
			q = setTimeout(o, d.fn[c].delay)
		}
		return k
	})()
})(jQuery, this);
(function(f, c, g) {
	var b = function(h) {
		if (h === g) {
			h = true
		}
		return function(A, r, j, y) {
			var z = new f.Deferred(), i = r ? " reverse" : "", p = f.mobile.urlHistory
					.getActive(), v = p.lastScroll
					|| f.mobile.defaultHomeScroll, x = f.mobile
					.getScreenHeight(), m = f.mobile.maxTransitionWidth !== false
					&& f(c).width() > f.mobile.maxTransitionWidth, l = !f.support.cssTransitions
					|| m
					|| !A
					|| A === "none"
					|| Math.max(f(c).scrollTop(), v) > f.mobile
							.getMaxScrollForTransition(), k = " ui-page-pre-in", n = function() {
				f.mobile.pageContainer
						.toggleClass("ui-mobile-viewport-transitioning viewport-"
								+ A)
			}, w = function() {
				f.event.special.scrollstart.enabled = false;
				c.scrollTo(0, v);
				setTimeout(function() {
					f.event.special.scrollstart.enabled = true
				}, 150)
			}, o = function() {
				y
						.removeClass(
								f.mobile.activePageClass + " out in reverse "
										+ A).height("")
			}, t = function() {
				if (!h) {
					u()
				} else {
					y.animationComplete(u)
				}
				y.height(x + f(c).scrollTop()).addClass(A + " out" + i)
			}, u = function() {
				if (y && h) {
					o()
				}
				q()
			}, q = function() {
				j.css("z-index", -10);
				j.addClass(f.mobile.activePageClass + k);
				f.mobile.focusPage(j);
				j.height(x + v);
				w();
				j.css("z-index", "");
				if (!l) {
					j.animationComplete(s)
				}
				j.removeClass(k).addClass(A + " in" + i);
				if (l) {
					s()
				}
			}, s = function() {
				if (!h) {
					if (y) {
						o()
					}
				}
				j.removeClass("out in reverse " + A).height("");
				n();
				if (f(c).scrollTop() !== v) {
					w()
				}
				z.resolve(A, r, j, y, true)
			};
			n();
			if (y && !l) {
				t()
			} else {
				u()
			}
			return z.promise()
		}
	};
	var e = b(), d = b(false), a = function() {
		return f.mobile.getScreenHeight() * 3
	};
	f.mobile.defaultTransitionHandler = e;
	f.mobile.transitionHandlers = {
		"default" : f.mobile.defaultTransitionHandler,
		sequential : e,
		simultaneous : d
	};
	f.mobile.transitionFallbacks = {};
	f.mobile._maybeDegradeTransition = function(h) {
		if (h && !f.support.cssTransform3d && f.mobile.transitionFallbacks[h]) {
			h = f.mobile.transitionFallbacks[h]
		}
		return h
	};
	f.mobile.getMaxScrollForTransition = f.mobile.getMaxScrollForTransition
			|| a
})(jQuery, this);
(function(g, i) {
	var p = g(window), s = g("html"), m = g("head"), r = {
		urlParseRE : /^(((([^:\/#\?]+:)?(?:(\/\/)((?:(([^:@\/#\?]+)(?:\:([^:@\/#\?]+))?)@)?(([^:\/#\?\]\[]+|\[[^\/\]@#?]+\])(?:\:([0-9]+))?))?)?)?((\/?(?:[^\/\?#]+\/+)*)([^\?#]*)))?(\?[^#]+)?)(#.*)?/,
		getLocation : function(C) {
			var D = C ? this.parseUrl(C) : location, E = this.parseUrl(C
					|| location.href).hash;
			E = E === "#" ? "" : E;
			return D.protocol + "//" + D.host + D.pathname + D.search + E
		},
		parseLocation : function() {
			return this.parseUrl(this.getLocation())
		},
		parseUrl : function(C) {
			if (g.type(C) === "object") {
				return C
			}
			var D = r.urlParseRE.exec(C || "") || [];
			return {
				href : D[0] || "",
				hrefNoHash : D[1] || "",
				hrefNoSearch : D[2] || "",
				domain : D[3] || "",
				protocol : D[4] || "",
				doubleSlash : D[5] || "",
				authority : D[6] || "",
				username : D[8] || "",
				password : D[9] || "",
				host : D[10] || "",
				hostname : D[11] || "",
				port : D[12] || "",
				pathname : D[13] || "",
				directory : D[14] || "",
				filename : D[15] || "",
				search : D[16] || "",
				hash : D[17] || ""
			}
		},
		makePathAbsolute : function(F, E) {
			if (F && F.charAt(0) === "/") {
				return F
			}
			F = F || "";
			E = E ? E.replace(/^\/|(\/[^\/]*|[^\/]+)$/g, "") : "";
			var C = E ? E.split("/") : [], H = F.split("/");
			for ( var D = 0; D < H.length; D++) {
				var G = H[D];
				switch (G) {
				case ".":
					break;
				case "..":
					if (C.length) {
						C.pop()
					}
					break;
				default:
					C.push(G);
					break
				}
			}
			return "/" + C.join("/")
		},
		isSameDomain : function(D, C) {
			return r.parseUrl(D).domain === r.parseUrl(C).domain
		},
		isRelativeUrl : function(C) {
			return r.parseUrl(C).protocol === ""
		},
		isAbsoluteUrl : function(C) {
			return r.parseUrl(C).protocol !== ""
		},
		makeUrlAbsolute : function(D, F) {
			if (!r.isRelativeUrl(D)) {
				return D
			}
			if (F === i) {
				F = v
			}
			var H = r.parseUrl(D), K = r.parseUrl(F), L = H.protocol
					|| K.protocol, E = H.protocol ? H.doubleSlash
					: (H.doubleSlash || K.doubleSlash), I = H.authority
					|| K.authority, J = H.pathname !== "", C = r
					.makePathAbsolute(H.pathname || K.filename, K.pathname), M = H.search
					|| (!J && K.search) || "", G = H.hash;
			return L + E + I + C + M + G
		},
		addSearchParams : function(D, G) {
			var C = r.parseUrl(D), F = (typeof G === "object") ? g.param(G) : G, E = C.search
					|| "?";
			return C.hrefNoSearch + E
					+ (E.charAt(E.length - 1) !== "?" ? "&" : "") + F
					+ (C.hash || "")
		},
		convertUrlToDataUrl : function(D) {
			var C = r.parseUrl(D);
			if (r.isEmbeddedPage(C)) {
				return C.hash.split(A)[0].replace(/^#/, "")
			} else {
				if (r.isSameDomain(C, v)) {
					return C.hrefNoHash.replace(v.domain, "").split(A)[0]
				}
			}
			return window.decodeURIComponent(D)
		},
		get : function(C) {
			if (C === i) {
				C = r.parseLocation().hash
			}
			return r.stripHash(C).replace(/[^\/]*\.[^\/*]+$/, "")
		},
		getFilePath : function(D) {
			var C = "&" + g.mobile.subPageUrlKey;
			return D && D.split(C)[0].split(A)[0]
		},
		set : function(C) {
			location.hash = C
		},
		isPath : function(C) {
			return (/\//).test(C)
		},
		clean : function(C) {
			return C.replace(v.domain, "")
		},
		stripHash : function(C) {
			return C.replace(/^#/, "")
		},
		cleanHash : function(C) {
			return r.stripHash(C.replace(/\?.*$/, "").replace(A, ""))
		},
		isHashValid : function(C) {
			return (/^#[^#]+$/).test(C)
		},
		isExternal : function(D) {
			var C = r.parseUrl(D);
			return C.protocol && C.domain !== f.domain ? true : false
		},
		hasProtocol : function(C) {
			return (/^(:?\w+:)/).test(C)
		},
		isFirstPageUrl : function(E) {
			var D = r.parseUrl(r.makeUrlAbsolute(E, v)), G = D.hrefNoHash === f.hrefNoHash
					|| (b && D.hrefNoHash === v.hrefNoHash), C = g.mobile.firstPage, F = C
					&& C[0] ? C[0].id : i;
			return G
					&& (!D.hash || D.hash === "#" || (F && D.hash.replace(/^#/,
							"") === F))
		},
		isEmbeddedPage : function(D) {
			var C = r.parseUrl(D);
			if (C.protocol !== "") {
				return (C.hash && (C.hrefNoHash === f.hrefNoHash || (b && C.hrefNoHash === v.hrefNoHash)))
			}
			return (/^#/).test(C.href)
		},
		isPermittedCrossDomainRequest : function(D, C) {
			return g.mobile.allowCrossDomainPages && D.protocol === "file:"
					&& C.search(/^https?:/) !== -1
		}
	}, B = null, e = {
		stack : [],
		activeIndex : 0,
		getActive : function() {
			return e.stack[e.activeIndex]
		},
		getPrev : function() {
			return e.stack[e.activeIndex - 1]
		},
		getNext : function() {
			return e.stack[e.activeIndex + 1]
		},
		addNew : function(C, F, E, D, G) {
			if (e.getNext()) {
				e.clearForward()
			}
			e.stack.push({
				url : C,
				transition : F,
				title : E,
				pageUrl : D,
				role : G
			});
			e.activeIndex = e.stack.length - 1
		},
		clearForward : function() {
			e.stack = e.stack.slice(0, e.activeIndex + 1)
		},
		directHashChange : function(F) {
			var C, D, G, E = this.getActive();
			g
					.each(
							e.stack,
							function(H, I) {
								if (decodeURIComponent(F.currentUrl) === decodeURIComponent(I.url)) {
									C = H < e.activeIndex;
									D = !C;
									G = H
								}
							});
			this.activeIndex = G !== i ? G : this.activeIndex;
			if (C) {
				(F.either || F.isBack)(true)
			} else {
				if (D) {
					(F.either || F.isForward)(false)
				}
			}
		},
		ignoreNextHashChange : false
	}, u = "[tabindex],a,button:visible,select:visible,input", o = [], w = false, A = "&ui-state=dialog", l = m
			.children("base"), f = r.parseLocation(), v = l.length ? r
			.parseUrl(r.makeUrlAbsolute(l.attr("href"), f.href)) : f, b = (f.hrefNoHash !== v.hrefNoHash), k = g.mobile.getScreenHeight;
	var h = g.support.dynamicBaseTag ? {
		element : (l.length ? l : g("<base>", {
			href : v.hrefNoHash
		}).prependTo(m)),
		set : function(C) {
			h.element.attr("href", r.makeUrlAbsolute(C, v))
		},
		reset : function() {
			h.element.attr("href", v.hrefNoHash)
		}
	} : i;
	g.mobile.back = function() {
		var C = window.navigator;
		if (this.phonegapNavigationEnabled && C && C.app && C.app.backHistory) {
			C.app.backHistory()
		} else {
			window.history.back()
		}
	};
	g.mobile.focusPage = function(D) {
		var E = D.find("[autofocus]"), C = D.find(".ui-title:eq(0)");
		if (E.length) {
			E.focus();
			return
		}
		if (C.length) {
			C.focus()
		} else {
			D.focus()
		}
	};
	function y(C) {
		if (!!B && (!B.closest("." + g.mobile.activePageClass).length || C)) {
			B.removeClass(g.mobile.activeBtnClass)
		}
		B = null
	}
	function q() {
		w = false;
		if (o.length > 0) {
			g.mobile.changePage.apply(null, o.pop())
		}
	}
	var n = true, c, z;
	c = function() {
		if (!n) {
			return
		}
		var D = g.mobile.urlHistory.getActive();
		if (D) {
			var C = p.scrollTop();
			D.lastScroll = C < g.mobile.minScrollBack ? g.mobile.defaultHomeScroll
					: C
		}
	};
	z = function() {
		setTimeout(c, 100)
	};
	p.bind(g.support.pushState ? "popstate" : "hashchange", function() {
		n = false
	});
	p.one(g.support.pushState ? "popstate" : "hashchange", function() {
		n = true
	});
	p.one("pagecontainercreate", function() {
		g.mobile.pageContainer.bind("pagechange", function() {
			n = true;
			p.unbind("scrollstop", z);
			p.bind("scrollstop", z)
		})
	});
	p.bind("scrollstop", z);
	g.mobile._maybeDegradeTransition = g.mobile._maybeDegradeTransition
			|| function(C) {
				return C
			};
	function x(E, F, H, C) {
		if (F) {
			F.data("page")._trigger("beforehide", null, {
				nextPage : E
			})
		}
		E.data("page")._trigger("beforeshow", null, {
			prevPage : F || g("")
		});
		g.mobile.hidePageLoadingMsg();
		H = g.mobile._maybeDegradeTransition(H);
		var D = g.mobile.transitionHandlers[H || "default"]
				|| g.mobile.defaultTransitionHandler, G = D(H, C, E, F);
		G.done(function() {
			if (F) {
				F.data("page")._trigger("hide", null, {
					nextPage : E
				})
			}
			E.data("page")._trigger("show", null, {
				prevPage : F || g("")
			})
		});
		return G
	}
	function a() {
		var E = g("." + g.mobile.activePageClass), F = parseFloat(E
				.css("padding-top")), C = parseFloat(E.css("padding-bottom")), D = parseFloat(E
				.css("border-top-width")), G = parseFloat(E
				.css("border-bottom-width"));
		E.css("min-height", k() - F - C - D - G)
	}
	function t(C, D) {
		if (D) {
			C.attr("data-" + g.mobile.ns + "role", D)
		}
		C.page()
	}
	g.fn.animationComplete = function(C) {
		if (g.support.cssTransitions) {
			return g(this).one("webkitAnimationEnd animationend", C)
		} else {
			setTimeout(C, 0);
			return g(this)
		}
	};
	g.mobile.path = r;
	g.mobile.base = h;
	g.mobile.urlHistory = e;
	g.mobile.dialogHashKey = A;
	g.mobile.allowCrossDomainPages = false;
	g.mobile.getDocumentUrl = function(C) {
		return C ? g.extend({}, f) : f.href
	};
	g.mobile.getDocumentBase = function(C) {
		return C ? g.extend({}, v) : v.href
	};
	g.mobile._bindPageRemove = function() {
		var C = g(this);
		if (!C.data("page").options.domCache
				&& C.is(":jqmData(external-page='true')")) {
			C.bind("pagehide.remove", function() {
				var E = g(this), D = new g.Event("pageremove");
				E.trigger(D);
				if (!D.isDefaultPrevented()) {
					E.removeWithDependents()
				}
			})
		}
	};
	g.mobile.loadPage = function(D, Q) {
		var P = g.Deferred(), E = g.extend({}, g.mobile.loadPage.defaults, Q), I = null, N = null, H = function() {
			var R = (g.mobile.activePage && d(g.mobile.activePage));
			return R || v.hrefNoHash
		}, F = r.makeUrlAbsolute(D, H());
		if (E.data && E.type === "get") {
			F = r.addSearchParams(F, E.data);
			E.data = i
		}
		if (E.data && E.type === "post") {
			E.reloadPage = true
		}
		var M = r.getFilePath(F), J = r.convertUrlToDataUrl(F);
		E.pageContainer = E.pageContainer || g.mobile.pageContainer;
		I = E.pageContainer.children("[data-" + g.mobile.ns + "url='" + J
				+ "']");
		if (I.length === 0 && J && !r.isPath(J)) {
			I = E.pageContainer.children("#" + J).attr(
					"data-" + g.mobile.ns + "url", J).jqmData("url", J)
		}
		if (I.length === 0) {
			if (g.mobile.firstPage && r.isFirstPageUrl(M)) {
				if (g.mobile.firstPage.parent().length) {
					I = g(g.mobile.firstPage)
				}
			} else {
				if (r.isEmbeddedPage(M)) {
					P.reject(F, Q);
					return P.promise()
				}
			}
		}
		if (I.length) {
			if (!E.reloadPage) {
				t(I, E.role);
				P.resolve(F, Q, I);
				return P.promise()
			}
			N = I
		}
		var G = E.pageContainer, O = new g.Event("pagebeforeload"), C = {
			url : D,
			absUrl : F,
			dataUrl : J,
			deferred : P,
			options : E
		};
		G.trigger(O, C);
		if (O.isDefaultPrevented()) {
			return P.promise()
		}
		if (E.showLoadMsg) {
			var L = setTimeout(function() {
				g.mobile.showPageLoadingMsg()
			}, E.loadMsgDelay), K = function() {
				clearTimeout(L);
				g.mobile.hidePageLoadingMsg()
			}
		}
		if (h) {
			h.reset()
		}
		if (!(g.mobile.allowCrossDomainPages || r.isSameDomain(f, F))) {
			P.reject(F, Q)
		} else {
			g
					.ajax({
						url : M,
						type : E.type,
						data : E.data,
						dataType : "html",
						success : function(T, Y, X) {
							var U = g("<div></div>"), R = T
									.match(/<title[^>]*>([^<]*)/)
									&& RegExp.$1, W = new RegExp(
									"(<[^>]+\\bdata-" + g.mobile.ns
											+ "role=[\"']?page[\"']?[^>]*>)"), S = new RegExp(
									"\\bdata-" + g.mobile.ns
											+ "url=[\"']?([^\"'>]*)[\"']?");
							if (W.test(T) && RegExp.$1 && S.test(RegExp.$1)
									&& RegExp.$1) {
								D = M = r.getFilePath(g(
										"<div>" + RegExp.$1 + "</div>").text())
							}
							if (h) {
								h.set(M)
							}
							U.get(0).innerHTML = T;
							I = U
									.find(
											":jqmData(role='page'), :jqmData(role='dialog')")
									.first();
							if (!I.length) {
								I = g("<div data-" + g.mobile.ns
										+ "role='page'>"
										+ T.split(/<\/?body[^>]*>/gmi)[1]
										+ "</div>")
							}
							if (R && !I.jqmData("title")) {
								if (~R.indexOf("&")) {
									R = g("<div>" + R + "</div>").text()
								}
								I.jqmData("title", R)
							}
							if (!g.support.dynamicBaseTag) {
								var V = r.get(M);
								I
										.find(
												"[src], link[href], a[rel='external'], :jqmData(ajax='false'), a[target]")
										.each(
												function() {
													var aa = g(this).is(
															"[href]") ? "href"
															: g(this).is(
																	"[src]") ? "src"
																	: "action", Z = g(
															this).attr(aa);
													Z = Z
															.replace(
																	location.protocol
																			+ "//"
																			+ location.host
																			+ location.pathname,
																	"");
													if (!/^(\w+:|#|\/)/.test(Z)) {
														g(this).attr(aa, V + Z)
													}
												})
							}
							I.attr("data-" + g.mobile.ns + "url",
									r.convertUrlToDataUrl(M)).attr(
									"data-" + g.mobile.ns + "external-page",
									true).appendTo(E.pageContainer);
							I.one("pagecreate", g.mobile._bindPageRemove);
							t(I, E.role);
							if (F.indexOf("&" + g.mobile.subPageUrlKey) > -1) {
								I = E.pageContainer.children("[data-"
										+ g.mobile.ns + "url='" + J + "']")
							}
							if (E.showLoadMsg) {
								K()
							}
							C.xhr = X;
							C.textStatus = Y;
							C.page = I;
							E.pageContainer.trigger("pageload", C);
							P.resolve(F, Q, I, N)
						},
						error : function(T, U, R) {
							if (h) {
								h.set(r.get())
							}
							C.xhr = T;
							C.textStatus = U;
							C.errorThrown = R;
							var S = new g.Event("pageloadfailed");
							E.pageContainer.trigger(S, C);
							if (S.isDefaultPrevented()) {
								return
							}
							if (E.showLoadMsg) {
								K();
								g.mobile.showPageLoadingMsg(
										g.mobile.pageLoadErrorMessageTheme,
										g.mobile.pageLoadErrorMessage, true);
								setTimeout(g.mobile.hidePageLoadingMsg, 1500)
							}
							P.reject(F, Q)
						}
					})
		}
		return P.promise()
	};
	g.mobile.loadPage.defaults = {
		type : "get",
		data : i,
		reloadPage : false,
		role : i,
		showLoadMsg : false,
		pageContainer : i,
		loadMsgDelay : 50
	};
	g.mobile.changePage = function(G, E) {
		if (w) {
			o.unshift(arguments);
			return
		}
		var Q = g.extend({}, g.mobile.changePage.defaults, E);
		Q.pageContainer = Q.pageContainer || g.mobile.pageContainer;
		Q.fromPage = Q.fromPage || g.mobile.activePage;
		var L = Q.pageContainer, F = new g.Event("pagebeforechange"), C = {
			toPage : G,
			options : Q
		};
		L.trigger(F, C);
		if (F.isDefaultPrevented()) {
			return
		}
		G = C.toPage;
		w = true;
		if (typeof G === "string") {
			g.mobile.loadPage(G, Q).done(function(W, V, X, U) {
				w = false;
				V.duplicateCachedPage = U;
				g.mobile.changePage(X, V)
			}).fail(function(V, U) {
				w = false;
				y(true);
				q();
				Q.pageContainer.trigger("pagechangefailed", C)
			});
			return
		}
		if (G[0] === g.mobile.firstPage[0] && !Q.dataUrl) {
			Q.dataUrl = f.hrefNoHash
		}
		var T = Q.fromPage, H = (Q.dataUrl && r.convertUrlToDataUrl(Q.dataUrl))
				|| G.jqmData("url"), O = H, N = r.getFilePath(H), K = e
				.getActive(), D = e.activeIndex === 0, M = 0, I = document.title, J = Q.role === "dialog"
				|| G.jqmData("role") === "dialog";
		if (T && T[0] === G[0] && !Q.allowSamePageTransition) {
			w = false;
			L.trigger("pagechange", C);
			if (Q.fromHashChange) {
				e.directHashChange({
					currentUrl : H,
					isBack : function() {
					},
					isForward : function() {
					}
				})
			}
			return
		}
		t(G, Q.role);
		if (Q.fromHashChange) {
			e.directHashChange({
				currentUrl : H,
				isBack : function() {
					M = -1
				},
				isForward : function() {
					M = 1
				}
			})
		}
		try {
			if (document.activeElement
					&& document.activeElement.nodeName.toLowerCase() !== "body") {
				g(document.activeElement).blur()
			} else {
				g("input:focus, textarea:focus, select:focus").blur()
			}
		} catch (P) {
		}
		var S = false;
		if (J && K) {
			if (K.url.indexOf(A) > -1 && !g.mobile.activePage.is(".ui-dialog")) {
				Q.changeHash = false;
				S = true
			}
			H = (K.url || "") + (S ? "" : A);
			if (e.activeIndex === 0 && H === e.initialDst) {
				H += A
			}
		}
		if (Q.changeHash !== false && H) {
			e.ignoreNextHashChange = true;
			r.set(H)
		}
		var R = (!K) ? I : G.jqmData("title")
				|| G.children(":jqmData(role='header')").find(".ui-title")
						.getEncodedText();
		if (!!R && I === document.title) {
			I = R
		}
		if (!G.jqmData("title")) {
			G.jqmData("title", I)
		}
		Q.transition = Q.transition
				|| ((M && !D) ? K.transition : i)
				|| (J ? g.mobile.defaultDialogTransition
						: g.mobile.defaultPageTransition);
		if (!M) {
			if (S) {
				e.activeIndex = Math.max(0, e.activeIndex - 1)
			}
			e.addNew(H, Q.transition, I, O, Q.role)
		}
		document.title = e.getActive().title;
		g.mobile.activePage = G;
		Q.reverse = Q.reverse || M < 0;
		x(G, T, Q.transition, Q.reverse).done(function(V, U, Y, X, W) {
			y();
			if (Q.duplicateCachedPage) {
				Q.duplicateCachedPage.remove()
			}
			if (!W) {
				g.mobile.focusPage(G)
			}
			q();
			L.trigger("pagechange", C)
		})
	};
	g.mobile.changePage.defaults = {
		transition : i,
		reverse : false,
		changeHash : true,
		fromHashChange : false,
		role : i,
		duplicateCachedPage : i,
		pageContainer : i,
		showLoadMsg : true,
		dataUrl : i,
		fromPage : i,
		allowSamePageTransition : false
	};
	function j(C) {
		while (C) {
			if ((typeof C.nodeName === "string")
					&& C.nodeName.toLowerCase() === "a") {
				break
			}
			C = C.parentNode
		}
		return C
	}
	function d(E) {
		var C = g(E).closest(".ui-page").jqmData("url"), D = v.hrefNoHash;
		if (!C || !r.isPath(C)) {
			C = D
		}
		return r.makeUrlAbsolute(C, D)
	}
	g.mobile.navreadyDeferred = g.Deferred();
	g.mobile.navreadyDeferred
			.done(function() {
				g(document)
						.delegate(
								"form",
								"submit",
								function(E) {
									var G = g(this);
									if (!g.mobile.ajaxEnabled
											|| G.is(":jqmData(ajax='false')")
											|| !G.jqmHijackable().length) {
										return
									}
									var D = G.attr("method"), F = G
											.attr("target"), C = G
											.attr("action");
									if (!C) {
										C = d(G);
										if (C === v.hrefNoHash) {
											C = f.hrefNoSearch
										}
									}
									C = r.makeUrlAbsolute(C, d(G));
									if ((r.isExternal(C) && !r
											.isPermittedCrossDomainRequest(f, C))
											|| F) {
										return
									}
									g.mobile
											.changePage(
													C,
													{
														type : D
																&& D.length
																&& D
																		.toLowerCase()
																|| "get",
														data : G.serialize(),
														transition : G
																.jqmData("transition"),
														reverse : G
																.jqmData("direction") === "reverse",
														reloadPage : true
													});
									E.preventDefault()
								});
				g(document)
						.bind(
								"vclick",
								function(D) {
									if (D.which > 1
											|| !g.mobile.linkBindingEnabled) {
										return
									}
									var C = j(D.target);
									if (!g(C).jqmHijackable().length) {
										return
									}
									if (C) {
										if (r.parseUrl(C.getAttribute("href")
												|| "#").hash !== "#") {
											y(true);
											B = g(C).closest(".ui-btn").not(
													".ui-disabled");
											B.addClass(g.mobile.activeBtnClass)
										}
									}
								});
				g(document)
						.bind(
								"click",
								function(C) {
									if (!g.mobile.linkBindingEnabled) {
										return
									}
									var M = j(C.target), K = g(M), G;
									if (!M || C.which > 1
											|| !K.jqmHijackable().length) {
										return
									}
									G = function() {
										window.setTimeout(function() {
											y(true)
										}, 200)
									};
									if (K.is(":jqmData(rel='back')")) {
										g.mobile.back();
										return false
									}
									var J = d(K), E = r.makeUrlAbsolute(K
											.attr("href")
											|| "#", J);
									if (!g.mobile.ajaxEnabled
											&& !r.isEmbeddedPage(E)) {
										G();
										return
									}
									if (E.search("#") !== -1) {
										E = E.replace(/[^#]*#/, "");
										if (!E) {
											C.preventDefault();
											return
										} else {
											if (r.isPath(E)) {
												E = r.makeUrlAbsolute(E, J)
											} else {
												E = r.makeUrlAbsolute("#" + E,
														f.hrefNoHash)
											}
										}
									}
									var F = K.is("[rel='external']")
											|| K.is(":jqmData(ajax='false')")
											|| K.is("[target]"), D = F
											|| (r.isExternal(E) && !r
													.isPermittedCrossDomainRequest(
															f, E));
									if (D) {
										G();
										return
									}
									var L = K.jqmData("transition"), I = K
											.jqmData("direction") === "reverse"
											|| K.jqmData("back"), H = K
											.attr("data-" + g.mobile.ns + "rel")
											|| i;
									g.mobile.changePage(E, {
										transition : L,
										reverse : I,
										role : H,
										link : K
									});
									C.preventDefault()
								});
				g(document).delegate(
						".ui-page",
						"pageshow.prefetch",
						function() {
							var C = [];
							g(this).find("a:jqmData(prefetch)").each(
									function() {
										var D = g(this), E = D.attr("href");
										if (E && g.inArray(E, C) === -1) {
											C.push(E);
											g.mobile.loadPage(E, {
												role : D.attr("data-"
														+ g.mobile.ns + "rel")
											})
										}
									})
						});
				g.mobile._handleHashChange = function(E) {
					var G = r.stripHash(E), F = g.mobile.urlHistory.stack.length === 0 ? "none"
							: i, D = new g.Event("navigate"), C = {
						transition : F,
						changeHash : false,
						fromHashChange : true
					};
					if (0 === e.stack.length) {
						e.initialDst = G
					}
					g.mobile.pageContainer.trigger(D);
					if (D.isDefaultPrevented()) {
						return
					}
					if (!g.mobile.hashListeningEnabled
							|| e.ignoreNextHashChange) {
						e.ignoreNextHashChange = false;
						return
					}
					if (e.stack.length > 1 && G.indexOf(A) > -1
							&& e.initialDst !== G) {
						if (!g.mobile.activePage.is(".ui-dialog")) {
							e.directHashChange({
								currentUrl : G,
								isBack : function() {
									g.mobile.back()
								},
								isForward : function() {
									window.history.forward()
								}
							});
							return
						} else {
							e.directHashChange({
								currentUrl : G,
								either : function(H) {
									var I = g.mobile.urlHistory.getActive();
									G = I.pageUrl;
									g.extend(C, {
										role : I.role,
										transition : I.transition,
										reverse : H
									})
								}
							})
						}
					}
					if (G) {
						G = (typeof G === "string" && !r.isPath(G)) ? (r
								.makeUrlAbsolute("#" + G, v)) : G;
						if (G === r.makeUrlAbsolute("#" + e.initialDst, v)
								&& e.stack.length
								&& e.stack[0].url !== e.initialDst.replace(A,
										"")) {
							G = g.mobile.firstPage
						}
						g.mobile.changePage(G, C)
					} else {
						g.mobile.changePage(g.mobile.firstPage, C)
					}
				};
				p.bind("hashchange", function(D, C) {
					g.mobile._handleHashChange(r.parseLocation().hash)
				});
				g(document).bind("pageshow", a);
				g(window).bind("throttledresize", a)
			})
})(jQuery);
(function(f, e) {
	var d = {}, b = d, h = f(e), c = f.mobile.path.parseLocation(), a = f
			.Deferred(), g = f.Deferred();
	f(document).ready(f.proxy(g, "resolve"));
	f(document).one("mobileinit", f.proxy(a, "resolve"));
	f
			.extend(
					d,
					{
						initialFilePath : (function() {
							return c.pathname + c.search
						})(),
						hashChangeTimeout : 200,
						hashChangeEnableTimer : undefined,
						initialHref : c.hrefNoHash,
						state : function() {
							return {
								hash : f.mobile.path.parseLocation().hash
										|| "#" + b.initialFilePath,
								title : document.title,
								initialHref : b.initialHref
							}
						},
						resetUIKeys : function(j) {
							var k = f.mobile.dialogHashKey, i = "&"
									+ f.mobile.subPageUrlKey, l = j.indexOf(k);
							if (l > -1) {
								j = j.slice(0, l) + "#" + j.slice(l)
							} else {
								if (j.indexOf(i) > -1) {
									j = j.split(i).join("#" + i)
								}
							}
							return j
						},
						nextHashChangePrevented : function(i) {
							f.mobile.urlHistory.ignoreNextHashChange = i;
							b.onHashChangeDisabled = i
						},
						onHashChange : function(m) {
							if (b.onHashChangeDisabled) {
								return
							}
							var i, j, l = f.mobile.path.parseLocation().hash, n = f.mobile.path
									.isPath(l), k = n ? f.mobile.path
									.getLocation() : f.mobile.getDocumentUrl();
							l = n ? l.replace("#", "") : l;
							j = b.state();
							i = f.mobile.path.makeUrlAbsolute(l, k);
							if (n) {
								i = b.resetUIKeys(i)
							}
							history.replaceState(j, document.title, i)
						},
						onPopState : function(l) {
							var j = l.originalEvent.state, m, k, i;
							if (j) {
								clearTimeout(b.hashChangeEnableTimer);
								b.nextHashChangePrevented(false);
								f.mobile._handleHashChange(j.hash);
								b.nextHashChangePrevented(true);
								b.hashChangeEnableTimer = setTimeout(
										function() {
											b.nextHashChangePrevented(false)
										}, b.hashChangeTimeout)
							}
						},
						init : function() {
							h.bind("hashchange", b.onHashChange);
							h.bind("popstate", b.onPopState);
							if (location.hash === "") {
								history.replaceState(b.state(), document.title,
										f.mobile.path.getLocation())
							}
						}
					});
	f.when(g, a, f.mobile.navreadyDeferred).done(function() {
		if (f.mobile.pushStateEnabled && f.support.pushState) {
			d.init()
		}
	})
})(jQuery, this);
(function(b, a, c) {
	b.mobile.transitionFallbacks.flip = "fade";
	b.mobile.transitionFallbacks.flow = "fade";
	b.mobile.transitionFallbacks.pop = "fade";
	b.mobile.transitionHandlers.slide = b.mobile.transitionHandlers.simultaneous;
	b.mobile.transitionHandlers.slideup = b.mobile.transitionHandlers.simultaneous;
	b.mobile.transitionHandlers.slidedown = b.mobile.transitionHandlers.simultaneous;
	b.mobile.transitionFallbacks.slide = "fade";
	b.mobile.transitionFallbacks.slidefade = "fade";
	b.mobile.transitionFallbacks.turn = "fade"
})(jQuery, this);
(function(a, b) {
	a.mobile.page.prototype.options.backBtnText = "Back";
	a.mobile.page.prototype.options.addBackBtn = false;
	a.mobile.page.prototype.options.backBtnTheme = null;
	a.mobile.page.prototype.options.headerTheme = "a";
	a.mobile.page.prototype.options.footerTheme = "a";
	a.mobile.page.prototype.options.contentTheme = null;
	a(document)
			.bind(
					"pagecreate",
					function(g) {
						var c = a(g.target), h = c.data("page").options, f = c
								.jqmData("role"), d = h.theme;
						a(
								":jqmData(role='header'), :jqmData(role='footer'), :jqmData(role='content')",
								c)
								.jqmEnhanceable()
								.each(
										function() {
											var m = a(this), i = m
													.jqmData("role"), j = m
													.jqmData("theme"), e = j
													|| h.contentTheme
													|| (f === "dialog" && d), l, n, p, k;
											m.addClass("ui-" + i);
											if (i === "header"
													|| i === "footer") {
												var o = j
														|| (i === "header" ? h.headerTheme
																: h.footerTheme)
														|| d;
												m
														.addClass("ui-bar-" + o)
														.attr(
																"role",
																i === "header" ? "banner"
																		: "contentinfo");
												if (i === "header") {
													l = m.children("a, button");
													n = l
															.hasClass("ui-btn-left");
													p = l
															.hasClass("ui-btn-right");
													n = n
															|| l
																	.eq(0)
																	.not(
																			".ui-btn-right")
																	.addClass(
																			"ui-btn-left").length;
													p = p
															|| l
																	.eq(1)
																	.addClass(
																			"ui-btn-right").length
												}
												if (h.addBackBtn
														&& i === "header"
														&& a(".ui-page").length > 1
														&& c.jqmData("url") !== a.mobile.path
																.stripHash(location.hash)
														&& !n) {
													k = a(
															"<a href='javascript:void(0);' class='ui-btn-left' data-"
																	+ a.mobile.ns
																	+ "rel='back' data-"
																	+ a.mobile.ns
																	+ "icon='arrow-l'>"
																	+ h.backBtnText
																	+ "</a>")
															.attr(
																	"data-"
																			+ a.mobile.ns
																			+ "theme",
																	h.backBtnTheme
																			|| o)
															.prependTo(m)
												}
												m
														.children(
																"h1, h2, h3, h4, h5, h6")
														.addClass("ui-title")
														.attr({
															role : "heading",
															"aria-level" : "1"
														})
											} else {
												if (i === "content") {
													if (e) {
														m.addClass("ui-body-"
																+ (e))
													}
													m.attr("role", "main")
												}
											}
										})
					})
})(jQuery);
(function(a, b) {
	a(document)
			.bind(
					"pagecreate create",
					function(c) {
						a(c.target)
								.find("a")
								.jqmEnhanceable()
								.not(
										".ui-btn, .ui-link-inherit, :jqmData(role='none'), :jqmData(role='nojs')")
								.addClass("ui-link")
					})
})(jQuery);
(function(c) {
	var d = c("meta[name=viewport]"), b = d.attr("content"), f = b
			+ ",maximum-scale=1, user-scalable=no", e = b
			+ ",maximum-scale=10, user-scalable=yes", a = /(user-scalable[\s]*=[\s]*no)|(maximum-scale[\s]*=[\s]*1)[$,\s]/
			.test(b);
	c.mobile.zoom = c.extend({}, {
		enabled : !a,
		locked : false,
		disable : function(g) {
			if (!a && !c.mobile.zoom.locked) {
				d.attr("content", f);
				c.mobile.zoom.enabled = false;
				c.mobile.zoom.locked = g || false
			}
		},
		enable : function(g) {
			if (!a && (!c.mobile.zoom.locked || g === true)) {
				d.attr("content", e);
				c.mobile.zoom.enabled = true;
				c.mobile.zoom.locked = false
			}
		},
		restore : function() {
			if (!a) {
				d.attr("content", b);
				c.mobile.zoom.enabled = true
			}
		}
	})
}(jQuery));
(function(d, c, g) {
	var b = d("html"), a = d("head"), f = d(c);
	function e() {
		b.removeClass("ui-mobile-rendering")
	}
	d(c.document).trigger("mobileinit");
	if (!d.mobile.gradeA()) {
		return
	}
	if (d.mobile.ajaxBlacklist) {
		d.mobile.ajaxEnabled = false
	}
	b.addClass("ui-mobile ui-mobile-rendering");
	setTimeout(e, 5000);
	d
			.extend(
					d.mobile,
					{
						initializePage : function() {
							var j = d(":jqmData(role='page'), :jqmData(role='dialog')"), i = d.mobile.path
									.parseLocation().hash.replace("#", ""), h = document
									.getElementById(i);
							if (!j.length) {
								j = d("body").wrapInner(
										"<div data-" + d.mobile.ns
												+ "role='page'></div>")
										.children(0)
							}
							j.each(function() {
								var k = d(this);
								if (!k.jqmData("url")) {
									k.attr("data-" + d.mobile.ns + "url", k
											.attr("id")
											|| location.pathname
											+ location.search)
								}
							});
							d.mobile.firstPage = j.first();
							d.mobile.pageContainer = j.first().parent()
									.addClass("ui-mobile-viewport");
							f.trigger("pagecontainercreate");
							d.mobile.showPageLoadingMsg();
							e();
							if (!(d.mobile.hashListeningEnabled
									&& d.mobile.path.isHashValid(location.hash) && (d(
									h).is(':jqmData(role="page")')
									|| d.mobile.path.isPath(i) || i === d.mobile.dialogHashKey))) {
								if (d.mobile.path.isHashValid(location.hash)) {
									d.mobile.urlHistory.initialDst = i.replace(
											"#", "")
								}
								d.mobile.changePage(d.mobile.firstPage, {
									transition : "none",
									reverse : true,
									changeHash : false,
									fromHashChange : true
								})
							} else {
								f.trigger("hashchange", [ true ])
							}
						}
					});
	d.mobile.navreadyDeferred.resolve();
	d(function() {
		c.scrollTo(0, 1);
		d.mobile.defaultHomeScroll = (!d.support.scrollTop || d(c).scrollTop() === 1) ? 0
				: 1;
		if (d.fn.controlgroup) {
			d(document).bind(
					"pagecreate create",
					function(h) {
						d(":jqmData(role='controlgroup')", h.target)
								.jqmEnhanceable().controlgroup({
									excludeInvisible : false
								})
					})
		}
		if (d.mobile.autoInitializePage) {
			d.mobile.initializePage()
		}
		f.load(d.mobile.silentScroll);
		if (!d.support.cssPointerEvents) {
			d(document).delegate(".ui-disabled", "vclick", function(h) {
				h.preventDefault();
				h.stopImmediatePropagation()
			})
		}
	})
}(jQuery, this));
(function(f, c) {
	var h = c.navigator.language.replace("-", "_"), a = "i18n", e = f.maf;
	e.i18n = {
		getText : function(l, k) {
			if (!l || typeof (l) !== "string") {
				return
			}
			var o = l.split("."), n = k || c.i18n || c;
			if (typeof (n) !== "object") {
				return
			}
			for ( var j = 0, m; m = o[j]; j++) {
				n = (m in n) ? n[m] : undefined;
				if (n === undefined) {
					return
				}
			}
			return n
		},
		applyI18n : function(l) {
			var k = f(l), j = this.getText;
			if (k.length === 0) {
				return
			}
			var m = function() {
				var n = "input,textarea,select", r = f(this), o = r
						.attr("data-i18n"), q = j(o), p = new RegExp("\\b"
						+ this.nodeName.toLowerCase() + "\\b");
				n.match(p) ? r.val(q) : r.text(q)
			};
			var i = function(n) {
				n.children().length === 0 ? n.each(m) : n.find("[data-i18n]")
						.each(m)
			};
			return k
					.each(function() {
						var p = f(this), o = p[0].tagName.toLowerCase() === "script", q = p[0].type, n = f("<div></div>");
						if (q === "" || q === "text/javascript") {
							return
						}
						i(o ? n.html(p.html()) : p);
						o && p.html(n.html())
					})
		},
		getLanguage : function() {
			return h.replace("_", "-")
		}
	};
	var b = function(j) {
		var i = j + "/" + h + ".json";
		f.ajax({
			url : i,
			async : false,
			dataType : "json",
			success : function(k) {
				c.i18n = k
			},
			error : function() {
				console.error("error: Could not find file " + i)
			}
		})
	}, d = e.i18n;
	if (e.i18nEnabled) {
		var g = f("script").filter(function() {
			return this.src.match(/maf-core/)
		})[0].src;
		g = g.match(/(.*?)\/\w+\/maf-core.js$/)[1];
		b(g + "/" + (e.i18nFolder || a));
		f(document).bind("pagebeforecreate", function(i) {
			var j = f(i.target);
			d.applyI18n(f().add(j).add(j.find("script")))
		})
	}
})(jQuery, this);