(function(a) {
    a.DATATYPES = {
        TINYINT: -6,
        SMALLINT: 5,
        INTEGER: 4,
        BIGINT: -5,
        FLOAT: 6,
        REAL: 7,
        DOUBLE: 8,
        NUMERIC: 2,
        DECIMAL: 3,
        VARCHAR: 12,
        STRING: 12,
        LONGVARCHAR: -1,
        DATE: 91,
        TIME: 92,
        TIMESTAMP: 93,
        BOOLEAN: 16
    };
    a.isUseClientCache = true;
    a.environ = typeof(cordova) === "object" && cordova.exec ? "hybrid": "web"
})($.maf); (function(d, c) {
    var a = "maf_cache_",
    b = c.localStorage;
    function e(f) {
        this.DB_NAME = f || a
    }
    e.getInstance = function(f) {
        return new e(f)
    };
    e.prototype = {
        isAvailable: function() {
            return !! ($.maf.isUseClientCache && (c.localStorage || 0).constructor.name === "Storage")
        },
        clear: function() {
            if (!this.isAvailable()) {
                return
            }
            var h = this.DB_NAME;
            for (var g = 0,
            f = b.length; g < f; g++) {
                key = b.key(f - g - 1);
                key.indexOf(h) > -1 && b.removeItem(key)
            }
            return this
        },
        put: function(f, h, g) {
            if (!this.isAvailable() || $.type(f) !== "string" || $.type(h) === "undefined") {
                return
            }
            b.setItem(this.DB_NAME + f, JSON.stringify({
                value: h,
                timestamp: g || 1
            }));
            return this
        },
        remove: function(f) {
            $.type(f) === "string" && b.removeItem(this.DB_NAME + f);
            return this
        },
        putMultiple: function(i, h, f) {
            if (!this.isAvailable()) {
                return
            }
            if ($.type(i) !== "array" || $.type(h) !== "array" || i.length !== h.length) {
                return
            }
            var g = this;
            f = f || new Array(1, 1, 1);
            $.each(i,
            function(j, k) {
                var m = h[j],
                l = f[j];
                g.put(k, m, l)
            });
            return this
        },
        get: function(f) {
            if (!this.isAvailable() || $.type(f) !== "string") {
                return
            }
            var g = b.getItem(this.DB_NAME + f);
            return g === null ? null: JSON.parse(g)["value"]
        },
        getKeys: function() {
            if (!this.isAvailable()) {
                return
            }
            var k = this.DB_NAME,
            j = k.length,
            h = [];
            for (var g = 0,
            f = b.length; g < f; g++) {
                key = b.key(g);
                key.indexOf(k) > -1 && (key = key.substring(j)) && h.push(key)
            }
            return h
        },
        getCount: function() {
            if (!this.isAvailable()) {
                return
            }
            var j = this.DB_NAME,
            h = 0;
            for (var g = 0,
            f = b.length; g < f; g++) { (b.key(g).indexOf(j) || "") > -1 && h++
            }
            return h
        },
        getAllTimeStamps: function() {
            if (!this.isAvailable()) {
                return
            }
            var n = this.DB_NAME,
            f = n.length,
            k, o, m, p = {};
            for (var j = 0,
            g = b.length; j < g; j++) {
                var k = b.key(j);
                if (k.indexOf(n) > -1 && (o = k.substring(f))) {
                    var h = b.getItem(k);
                    m = JSON.parse(h)["timestamp"];
                    m > 2649600000 && (p[o] = m)
                }
            }
            return p
        }
    };
    d.cache = new e();
    d.cache.getInstance = e.getInstance
})($.maf, this); (function(a, b) {
    a.widget("maf.binding", a.mobile.widget, {
        options: {
            bind: null,
            initSelector: ":jqmData(role='binding')"
        },
        _create: function() {
            var e = this.options.bind,
            c = e.store,
            d = e.bindIndex;
            if (!c) {
                return
            }
            this.setDataStore(c, d)
        },
        setDataStore: function(c, d) { ! d && (d = 0);
            a.type(c) === "string" && (c = dataCenter.getDataStore(c));
            if (! (c instanceof DataStore)) {
                return
            }
            this._storeName = c.getName();
            this._bindIndex = d;
            this._dataStore = c;
            var f = c.getRowSet().getRow(d),
            e = a.extend({},
            f.getData());
            this._row = f;
            return this._bindWidgets(e)
        },
        getDataStore: function() {
            this.syncDataStore();
            return this._dataStore
        },
        getBindingIndex: function() {
            return this._bindIndex
        },
        refresh: function() {
            return this.setDataStore(this._dataStore, this.options.bind.bindIndex)
        },
        _bindWidgets: function(c) {
            this._$elements = this.element.find("[data-bind]").each(function() {
                var e = a(this).data("widgetName"),
                d = a(this).data(e);
                d && d._bind && d._bind(c)
            });
            return this
        },
        syncDataStore: function() {
            var f = this._row,
            d = f._o || f.getData(),
            e = this.collect(),
            c = function(g) {
                g == null && (g == "");
                return String(g).split(",").sort().join(",") || ""
            };
            a.each(e,
            function(g, h) {
                typeof(d[g]) !== "undefined" && c(d[g]) !== c(h) && f.setItemValue(g, e[g])
            });
            return this
        },
        _destroy: function() {},
        collect: function() {
            var c = {};
            this._$elements && this._$elements.each(function() {
                var e = a(this).data(a(this).data("widgetName")),
                d = e.options.bind; ! c[d] && (c[d] = e.val())
            });
            return c
        },
        clear: function() {
            var c = this,
            g = c._row,
            d = "",
            e = g.getRowSet(),
            f;
            this._$elements.each(function() {
                var i = a(this).data("widgetName"),
                h = a(this).data(i);
                h._bind && h._bind({});
                d = h.options.bind;
                if (i === "maf-selectmenu") {
                    g.setItemValue(d, a(this).data(i)._getFirstOptionValue())
                } else {
                    g.setItemValue(d, "")
                }
            });
            return this
        },
        isModified: function() { ! this._row.isModified() && this.syncDataStore();
            return this._row.isModified()
        }
    });
    a(document).bind("pageshow create",
    function(c) {
        a.maf.binding.prototype.enhanceWithin(c.target, true)
    })
})(jQuery); (function(f, g) {
    f.mobile.getAttribute = function(j, i) {
        var l;
        j = j.jquery ? j[0] : j;
        if (j && j.getAttribute) {
            l = j.getAttribute("data-" + f.mobile.ns + i)
        }
        try {
            l = l === "true" ? true: l === "false" ? false: l === "null" ? null: +l + "" === l ? +l: rbrace.test(l) ? JSON.parse(l) : l
        } catch(k) {}
        return l
    };
    var h = {
        "ui-shadow": "shadow",
        "ui-corner-all": "corners",
        "ui-btn-inline": "inline",
        "ui-shadow-icon": "iconshadow",
        "ui-mini": "mini"
    },
    d = function() {
        var i = f.maf.getAttribute.apply(this, arguments);
        return (i == null ? g: i)
    },
    c = /[A-Z]/g;
    function b(i, k) {
        var j = k ? k: [];
        j.push("ui-btn");
        if (i.theme) {
            j.push("ui-btn-" + i.theme)
        }
        if (i.icon) {
            j = j.concat(["ui-icon", "ui-icon-" + i.icon, "ui-btn-icon-" + i.iconpos]);
            if (i.iconshadow) {
                j.push("ui-shadow-icon")
            }
        }
        if (i.inline) {
            j.push("ui-btn-inline")
        }
        if (i.shadow) {
            j.push("ui-shadow")
        }
        if (i.corners) {
            j.push("ui-corner-all")
        }
        if (i.mini) {
            j.push("ui-mini")
        }
        return j
    }
    function e(l) {
        var i, n, k, j = false,
        q = true,
        p = {
            icon: "",
            inline: false,
            shadow: false,
            corners: false,
            iconshadow: false,
            mini: false
        },
        m = [];
        l = l.split(" ");
        for (i = 0; i < l.length; i++) {
            k = true;
            n = h[l[i]];
            if (n !== g) {
                k = false;
                p[n] = true
            } else {
                if (l[i].indexOf("ui-btn-icon-") === 0) {
                    k = false;
                    q = false;
                    p.iconpos = l[i].substring(12)
                } else {
                    if (l[i].indexOf("ui-icon-") === 0) {
                        k = false;
                        p.icon = l[i].substring(8)
                    } else {
                        if (l[i].indexOf("ui-btn-") === 0 && l[i].length === 8) {
                            k = false;
                            p.theme = l[i].substring(7)
                        } else {
                            if (l[i] === "ui-btn") {
                                k = false;
                                j = true
                            }
                        }
                    }
                }
            }
            if (k) {
                m.push(l[i])
            }
        }
        if (q) {
            p.icon = ""
        }
        return {
            options: p,
            unknownClasses: m,
            alreadyEnhanced: j
        }
    }
    function a(i) {
        return "-" + i.toLowerCase()
    }
    f.fn.buttonMarkup = function(l, k) {
        var i, o, n, m, j, p = f.fn.buttonMarkup.defaults;
        for (i = 0; i < this.length; i++) {
            n = this[i];
            o = k ? {
                alreadyEnhanced: false,
                unknownClasses: []
            }: e(n.className);
            m = f.extend({},
            (o.alreadyEnhanced ? o.options: {}), l);
            if (!o.alreadyEnhanced) {
                for (j in p) {
                    if (m[j] === g) {
                        m[j] = d(n, j.replace(c, a))
                    }
                }
            }
            n.className = b(f.extend({},
            p, m), o.unknownClasses).join(" ");
            n.setAttribute("role", "button");
            f(n).removeClass("ui-link")
        }
        return this
    };
    f.fn.buttonMarkup.defaults = {
        icon: "",
        iconpos: "left",
        theme: null,
        inline: false,
        shadow: false,
        corners: true,
        iconshadow: false,
        mini: false
    };
    f(document).bind("pagecreate create",
    function(i) {
        f(".ui-bar > a, .ui-header > a, .ui-footer > a, .ui-bar > :jqmData(role='controlgroup') > a", i.target).buttonMarkup()
    })
})(jQuery); (function(a, b) {
    a.fn.grid = function(c) {
        return this.each(function() {
            var h = a(this),
            i = a.extend({
                grid: null
            },
            c),
            j = h.children(),
            f = {
                alone: 1,
                a: 2,
                b: 3,
                c: 4,
                d: 5
            },
            d = i.grid,
            e;
            if (!d) {
                if (j.length <= 5) {
                    for (var g in f) {
                        if (f[g] === j.length) {
                            d = g
                        }
                    }
                } else {
                    d = "a";
                    h.addClass("ui-grid-duo")
                }
            }
            e = f[d];
            h.addClass("ui-grid-" + d);
            j.filter(":nth-child(" + e + "n+1)").addClass("ui-block-a");
            if (e > 1) {
                j.filter(":nth-child(" + e + "n+2)").addClass("ui-block-b")
            }
            if (e > 2) {
                j.filter(":nth-child(3n+3)").addClass("ui-block-c")
            }
            if (e > 3) {
                j.filter(":nth-child(4n+4)").addClass("ui-block-d")
            }
            if (e > 4) {
                j.filter(":nth-child(5n+5)").addClass("ui-block-e")
            }
        })
    }
})(jQuery); (function(a, b) {
    a.widget("maf.button", a.mobile.widget, {
        options: {
            theme: null,
            icon: null,
            iconpos: "left",
            corners: true,
            back: false,
            next: false,
            inline: false,
            initSelector: ":jqmData(role='button')"
        },
        _create: function() {
            this.refresh();
            var c = a(this.element)[0].parentNode,
            d = this.options;
            if (d.back && !d.icon && (this.element.jqmData("mini") || c.getAttribute("data-role") == "header")) {
                this.element.addClass("ui-btn-back")
            }
            if (d.next && !d.icon && (this.element.jqmData("mini") || c.getAttribute("data-role") == "header")) {
                this.element.addClass("ui-btn-next")
            }
        },
        text: function(d) {
            var c = this.element;
            if (d) {
                c.text(d);
                return this
            } else {
                return c.text()
            }
        },
        enable: function() {
            this.element.removeClass("ui-disabled");
            return this._setOption("disabled", false)
        },
        disable: function() {
            this.element.addClass("ui-disabled");
            return this._setOption("disabled", true)
        },
        refresh: function() {
            var c = this.element;
            c.buttonMarkup(this.options)
        }
    });
    a(document).bind("pagecreate create",
    function(c) {
        a.maf.button.prototype.enhanceWithin(c.target, true)
    })
})(jQuery); (function(a, b) {
    a.widget("maf.collapsible", a.mobile.widget, {
        options: {
            collapsed: true,
            expandIcon: "arrow-d",
            collapsedIcon: "arrow-r",
            heading: "h1,h2,h3,h4,h5,h6,legend",
            theme: null,
            contentTheme: null,
            mini: false,
            initSelector: ":jqmData(role='collapsible')"
        },
        _create: function() {
            var e = this.element,
            g = this.options,
            f = e.addClass("ui-collapsible"),
            c = e.children(g.heading).first(),
            h = f.wrapInner("<div class='ui-collapsible-content'></div>").find(".ui-collapsible-content"),
            d = e.closest(":jqmData(role='collapsible-set')").addClass("ui-collapsible-set");
            if (c.is("legend")) {
                c = a("<div role='heading'>" + c.html() + "</div>").insertBefore(c);
                c.next().remove()
            }
            if (!g.theme) {
                g.theme = d.jqmData("theme") || a.mobile.getInheritedTheme(d, "c")
            }
            if (!g.mini) {
                g.mini = d.jqmData("mini")
            }
            if (!g.contentTheme) {
                g.contentTheme = d.jqmData("content-theme") || a.mobile.getInheritedTheme(d, "c")
            }
            h.addClass((g.contentTheme) ? ("ui-body-" + g.contentTheme) : "");
            c.insertBefore(h).addClass("ui-collapsible-heading").append("<span class='ui-collapsible-heading-status'></span>").wrapInner("<a href='#' class='ui-collapsible-heading-toggle'></a>").find("a").first().buttonMarkup({
                corners: false,
                iconpos: e.jqmData("iconpos") || g.iconPos || "left",
                icon: g.collapsedIcon,
                mini: g.mini,
                theme: g.theme
            }).addClass("ui-corner-top ui-corner-bottom");
            c.bind("vclick",
            function(j) {
                var i = c.is(".ui-collapsible-heading-collapsed") ? "expand": "collapse";
                if (i == "collapse" && d.jqmData("single")) {
                    return
                }
                f.trigger(i);
                j.preventDefault();
                j.stopPropagation()
            });
            f.bind("expand collapse",
            function(j) {
                if (!j.isDefaultPrevented()) {
                    j.preventDefault();
                    var l = a(this),
                    k = (j.type === "collapse"),
                    i = g.contentTheme;
                    c.toggleClass("ui-collapsible-heading-collapsed", k).find(".ui-collapsible-heading-status").end().find(".ui-icon").toggleClass("ui-icon-" + g.expandIcon, !k).toggleClass("ui-icon-" + g.collapsedIcon, k).end();
                    l.toggleClass("ui-collapsible-collapsed", k);
                    h.toggleClass("ui-collapsible-content-collapsed", k).attr("aria-hidden", k);
                    if (i && (!d.length || f.jqmData("collapsible-last"))) {
                        c.find("a").first().toggleClass("ui-corner-bottom", k);
                        h.toggleClass("ui-corner-bottom", !k)
                    }
                }
            }).trigger(g.collapsed ? "collapse": "expand")
        }
    });
    a(document).bind("pagecreate create",
    function(c) {
        a.maf.collapsible.prototype.enhanceWithin(c.target)
    })
})(jQuery); (function(a, b) {
    a.widget("maf.collapsibleset", a.mobile.widget, {
        options: {
            single: false,
            theme: null,
            contentTheme: null,
            corners: true,
            mini: false,
            initSelector: ":jqmData(role='collapsible-set')"
        },
        _create: function() {
            var c = this.element.addClass("ui-collapsible-set"),
            d = this.options;
            if (!d.theme) {
                d.theme = a.mobile.getInheritedTheme(c, "c")
            }
            if (!d.contentTheme) {
                d.contentTheme = c.jqmData("content-theme")
            }
            if (d.single) {
                c.jqmData("collapsiblebound", true).bind("expand",
                function(e) {
                    a(e.target).closest(".ui-collapsible").siblings(".ui-collapsible").trigger("collapse")
                })
            }
        },
        _init: function() {
            this.refresh()
        },
        refresh: function() {
            var d = this.element,
            f = this.options,
            e = d.children(":jqmData(role='collapsible')");
            a.maf.collapsible.prototype.enhance(e.not(".ui-collapsible"));
            e.each(function() {
                a(this).find(a.maf.collapsible.prototype.options.heading).find("a").first().removeClass("ui-corner-top ui-corner-bottom").find(".ui-btn-inner").removeClass("ui-corner-top ui-corner-bottom")
            });
            e.first().find("a").first().addClass(f.corners ? "ui-corner-top": "");
            var c = e.last().jqmData("collapsible-last", true);
            if (c.data("collapsible") && c.data("collapsible").options.collapsed) {
                c.find("a").first().addClass(f.corners ? "ui-corner-bottom": "")
            } else {
                c.find(".ui-collapsible-content").addClass("ui-corner-bottom")
            }
        }
    });
    a(document).bind("pagecreate create",
    function(c) {
        a.maf.collapsibleset.prototype.enhanceWithin(c.target)
    })
})(jQuery); (function(a, b) {
    a.widget("maf.checkboxradio", a.mobile.widget, {
        options: {
            theme: null,
            type: null,
            mini: false,
            initSelector: ":jqmData(type='checkbox')"
        },
        _create: function() {
            var s = this,
            o = this.element,
            j = function(t, u) {
                return t.jqmData(u) || t.closest("form,fieldset").jqmData(u)
            },
            i = a(o).closest("label"),
            n = i.length ? i: a(o).closest("form,fieldset,:jqmData(role='page'),:jqmData(role='dialog')").find("label").filter("[for='" + o[0].id + "']"),
            q = this.options.type || o.parents(":jqmData(type='checkbox')").length ? "checkbox": "radio",
            h = j(o, "mini"),
            r = q + "-on",
            p = q + "-off",
            l = o.parents(":jqmData(direction='horizontal')").length ? b: p,
            k = j(o, "iconpos"),
            d = l ? "": " " + a.mobile.activeBtnClass,
            g = "ui-" + r + d,
            f = "ui-" + p,
            m = "ui-icon-" + r,
            c = "ui-icon-" + p;
            if (q !== "checkbox" && q !== "radio") {
                return
            }
            a.extend(this, {
                label: n,
                inputtype: q,
                checkedClass: g,
                uncheckedClass: f,
                checkedicon: m,
                uncheckedicon: c
            });
            if (!this.options.theme) {
                this.options.theme = a.mobile.getInheritedTheme(this.element, "c")
            }
            n.buttonMarkup({
                theme: this.options.theme,
                icon: l,
                shadow: false,
                mini: h,
                corners: false,
                iconpos: k,
                iconshadow: false
            });
            this.options.type && n.bind("vclick",
            function() {
                var u;
                if (typeof(o.attr("checkval")) == "undefined") {
                    o.attr("checkval", 1);
                    o.prop("checked", true);
                    u = true
                } else {
                    u = o.attr("checkval") == "1" ? false: true;
                    o.prop("checked", u ? 1 : 0);
                    o.attr("checkval", u ? 1 : 0)
                }
                var t = a.Event("singleCheckboxChecked");
                o.trigger(t, [u]);
                if (t.isDefaultPrevented()) {
                    return
                }
                s.refresh()
            });
            var e = document.createElement("div");
            e.className = "ui-" + q;
            o.add(n).wrapAll(e);
            this.refresh()
        },
        val: function() {
            var e = arguments[0],
            d = this.element;
            if (a.type(e) === "undefined") {
                return d.attr("checkval") == "1" ? true: false
            } else {
                d.prop("checked", e);
                d.attr("checkval", e ? 1 : 0);
                var c = a.Event("singleCheckboxChecked");
                d.trigger(c, [e]);
                if (c.isDefaultPrevented()) {
                    return
                }
                this.refresh()
            }
        },
        refresh: function() {
            var c = this.element[0],
            d = this.label,
            e = d.find(".ui-icon");
            if (a(c).prop("checked")) {
                d.addClass(this.checkedClass).removeClass(this.uncheckedClass);
                d.addClass(this.checkedicon).removeClass(this.uncheckedicon)
            } else {
                d.removeClass(this.checkedClass).addClass(this.uncheckedClass);
                d.removeClass(this.checkedicon).addClass(this.uncheckedicon)
            }
            if (c.disabled) {
                this.disable()
            } else {
                this.enable()
            }
        },
        disable: function() {
            this.element.prop("disabled", true).parent().addClass("ui-disabled")
        },
        enable: function() {
            this.element.prop("disabled", false).parent().removeClass("ui-disabled")
        }
    });
    a(document).bind("pagecreate create",
    function(c) {
        a.maf.checkboxradio.prototype.enhanceWithin(c.target, true)
    })
})(jQuery); (function(a, b) {
    a.widget("maf.controlgroup", a.mobile.widget, {
        options: {
            direction: "vertical",
            bind: "",
            provider: "",
            theme: "",
            mini: false,
            type: "radio",
            initSelector: ":jqmData(role='controlgroup')"
        },
        _create: function() {
            var d = this;
            d.inputs = {};
            if (!this.options.theme) {
                this.options.theme = a.mobile.getInheritedTheme(this.element, "c")
            }
            var e = this.element,
            f = a.extend({
                direction: e.jqmData("type") || "vertical",
                excludeInvisible: false,
                mini: e.jqmData("mini")
            },
            this.options),
            g = e.children("legend"),
            c = f.direction == "horizontal" ? ["ui-corner-left", "ui-corner-right"] : ["ui-corner-top", "ui-corner-bottom"];
            if (f.provider) {
                this._createChild(e, f)
            }
            d._initChild(this.element);
            e.wrapInner("<div class='ui-controlgroup-controls'></div>");
            if (g.length) {
                a("<div role='heading' class='ui-controlgroup-label'>" + g.html() + "</div>").insertBefore(e.children(0));
                g.remove()
            }
            e.addClass("ui-corner-all ui-controlgroup ui-controlgroup-" + f.direction);
            d.flipClasses(e.find(".ui-btn" + (f.excludeInvisible ? ":visible": "")).not(".ui-slider-handle"), c);
            d.flipClasses(e.find(".ui-btn-inner"), c);
            if (f.mini) {
                e.addClass("ui-mini")
            }
        },
        _bind: function(f) {
            var g = this.options.bind;
            if (a.type(g) !== "string") {
                return
            }
            var d = f[g];
            if (typeof(d) == "object") {
                for (var e = 0,
                c = d.length; e < c; e++) {
                    this._setValue(d[e])
                }
                return
            }
            this._setValue(d)
        },
        _createChild: function(d, h) {
            d.empty();
            var e = dataCenter.getDataStore(h.provider),
            c = e && e.getRowSet() && e.getRowSet().getData();
            if (c) {
                for (var g = 0,
                j = c.length,
                f; g < j; g++) {
                    f = c[g]; ! f.id && (f.id = h.provider + "-" + g);
                    var l = document.createElement("input");
                    l.setAttribute("type", h.type);
                    f.name && l.setAttribute("name", f.name);
                    l.setAttribute("id", f.id);
                    f.value && l.setAttribute("value", f.value);
                    var k = document.createElement("label");
                    k.setAttribute("for", f.id);
                    f.label && (k.innerHTML = f.label);
                    d.append(l);
                    d.append(k)
                }
            }
        },
        _initChild: function(d) {
            var c = this;
            d.children().each(function(f) {
                var h = a(this).attr("type");
                if (h && (h == "radio" || h == "checkbox")) {
                    var e = a(this).closest("label");
                    var g = e.length ? e: c.element.find("label").filter("[for='" + this.id + "']");
                    c.inputs[g.attr("for")] = a(this);
                    a(this).checkboxradio({
                        theme: c.options.theme
                    })
                }
            });
            d.undelegate("vclick");
            d.delegate("label", "vclick",
            function(e) {
                e.preventDefault();
                if (a(this).is(":disabled")) {
                    return
                }
                var f = this;
                a.each(c.inputs,
                function(i) {
                    var h = this;
                    if (h.attr("type") == "checkbox") {
                        if (i == a(f).attr("for")) {
                            if (typeof(h.attr("checkval")) == "undefined") {
                                h.attr("checkval", 1);
                                h.prop("checked", true)
                            } else {
                                var j = h.attr("checkval") == "1" ? true: false;
                                if (j == h.prop("checked")) {
                                    h.prop("checked", !j ? 1 : 0)
                                }
                                h.attr("checkval", !j ? 1 : 0)
                            }
                            var g = a.Event("checkboxChecked");
                            c.element.trigger(g, [i, h.attr("checkval") == "1" ? true: false]);
                            if (g.isDefaultPrevented()) {
                                return
                            }
                            h.checkboxradio("refresh")
                        }
                    } else {
                        if (i != a(f).attr("for")) {
                            h.prop("checked", false)
                        } else {
                            if (!h.prop("checked")) {
                                h.prop("checked", true);
                                var g = a.Event("radioChecked");
                                c.element.trigger(g, [i]);
                                if (g.isDefaultPrevented()) {
                                    return
                                }
                            }
                        }
                        h.checkboxradio("refresh")
                    }
                })
            })
        },
        enable: function() {
            this.element.removeClass("ui-disabled")
        },
        disable: function() {
            this.element.addClass("ui-disabled")
        },
        refresh: function() {
            var f = this.options,
            e = this.element,
            d = e.find(".ui-controlgroup-controls");
            if (f.provider) {
                this.inputs = {};
                this._createChild(d, f)
            }
            this._initChild(d);
            var c = f.direction == "horizontal" ? ["ui-corner-left", "ui-corner-right"] : ["ui-corner-top", "ui-corner-bottom"];
            this.flipClasses(e.find(".ui-btn" + (f.excludeInvisible ? ":visible": "")).not(".ui-slider-handle"), c)
        },
        val: function() {
            var e = arguments[0];
            if (a.type(e) === "undefined") {
                return this._getValue()
            } else {
                var f = e.split(",");
                for (var d = 0,
                c = f.length; d < c; d++) {
                    this._setValue(f[d])
                }
            }
        },
        setDataProvider: function(d) {
            if (!d || !dataCenter.getDataStore(d)) {
                return
            }
            var c = this.options;
            c.provider = d;
            this.refresh()
        },
        checkedAll: function(c) {
            var d = this.element.data().type;
            if (d == "checkbox") {
                a.each(this.inputs,
                function(e) {
                    this.prop("checked", c);
                    this.attr("checkval", c ? 1 : 0);
                    this.checkboxradio("refresh")
                })
            }
        },
        _setValue: function(c) {
            a.each(this.inputs,
            function(e) {
                var d = a(this),
                f = d.attr("value");
                if (d.attr("type") == "checkbox") {
                    if (f == c && !d.prop("checked")) {
                        d.prop("checked", true);
                        d.attr("checkval", 1);
                        d.checkboxradio("refresh")
                    }
                } else {
                    if (f == c) {
                        d.prop("checked", true)
                    } else {
                        d.prop("checked", false)
                    }
                    d.checkboxradio("refresh")
                }
            })
        },
        _getValue: function() {
            var c = [];
            a.each(this.inputs,
            function(e) {
                var d = a(this);
                d.prop("checked") && (c.push(d.attr("value")))
            });
            return c.join(",")
        },
        flipClasses: function(d, c) {
            d.removeClass("ui-btn-corner-all ui-corner-top ui-corner-bottom ui-corner-left ui-corner-right ui-controlgroup-last").eq(0).addClass(c[0]).end().last().addClass(c[1]).addClass("ui-controlgroup-last")
        },
        _destroy: function() {
            this.element.undelegate("vclick")
        }
    });
    a(document).bind("pagecreate create",
    function(c) {
        a.maf.controlgroup.prototype.enhanceWithin(c.target, true)
    })
})(jQuery); (function(b, c) {
    var a = b.mobile.getAttribute;
    b.widget("maf.listview", b.mobile.widget, {
        options: {
            theme: null,
            countTheme: null,
            dividerTheme: null,
            inset: false,
            tpl: null,
            icon: "arrow-r",
            corners: true,
            initSelector: ":jqmData(role='listview')"
        },
        _create: function() {
            var e = this,
            d = "";
            if (e.options.inset) {
                d = " ui-listview-inset";
                d += e.options.corners ? " ui-corner-all": "";
                d += e.options.shadow ? " ui-shadow": ""
            }
            e.element.addClass(" ui-listview" + d);
            e.options.tpl ? e.element.empty() : e.refresh(true)
        },
        _findFirstElementByTagName: function(g, e, d, f) {
            var h = {};
            h[d] = h[f] = true;
            while (g) {
                if (h[g.nodeName]) {
                    return g
                }
                g = g[e]
            }
            return null
        },
        _getChildrenByTagName: function(g, e, f) {
            var d = [],
            h = {};
            h[e] = h[f] = true;
            g = g.firstChild;
            while (g) {
                if (h[g.nodeName]) {
                    d.push(g)
                }
                g = g.nextSibling
            }
            return b(d)
        },
        _addThumbClasses: function(g) {
            var f, e, d = g.length;
            for (f = 0; f < d; f++) {
                e = b(this._findFirstElementByTagName(g[f].firstChild, "nextSibling", "img", "IMG"));
                if (e.length) {
                    e.addClass("ui-li-thumb");
                    b(this._findFirstElementByTagName(e[0].parentNode, "parentNode", "li", "LI")).addClass(e.is(".ui-li-icon") ? "ui-li-has-icon": "ui-li-has-thumb")
                }
            }
        },
        initTemplate: function(o) {
            var o = b.extend(this.options, (b.type(o) == "object" && o) || {}),
            j = this.element,
            i = o.tpl,
            e = o.dataSource,
            d = o.method || "GET",
            h = o.params || {},
            l = o.dataType || "json",
            g = o.cb,
            n = this;
            if (!i) {
                return
            }
            var f = document.getElementById(i);
            f && (i = f.innerHTML);
            if (i) {
                var k = b.type(e),
                m = function(q) {
                    var p = b.type(q) == "array" ? b.template(i, {
                        list: q
                    }) : b.template(i, q || {});
                    j.html(p);
                    n.refresh(true);
                    b.type(g) == "function" && g.call(n, q)
                };
                if (k == "string") {
                    b.ajax({
                        dataType: l,
                        url: e,
                        type: d,
                        data: b.param(h),
                        error: function(p) {},
                        success: function(p) {
                            b.type(p) === "string" && (p = JSON.parse(p));
                            m(p)
                        }
                    })
                } else {
                    m(e)
                }
            }
        },
        refresh: function(p) {
            var r, j, f, z, e, m, u, y, A, t, i, x, w, l, h, v = this.options,
            d = this.element,
            q = this._getChildrenByTagName(d[0], "li", "LI"),
            n = {},
            k = d.find(".ui-li-count"),
            s = a(d[0], "counttheme") || v.countTheme,
            g = s ? "ui-body-" + s: "ui-body-inherit";
            if (v.theme) {
                d.addClass("ui-group-theme-" + v.theme)
            }
            for (j = 0, f = q.length; j < f; j++) {
                z = q.eq(j);
                e = "";
                if (p || z[0].className.search(/\bui-li-static\b|\bui-li-divider\b/) < 0) {
                    A = this._getChildrenByTagName(z[0], "a", "A");
                    t = (a(z[0], "role") === "list-divider");
                    w = z.attr("value");
                    m = a(z[0], "theme");
                    if (A.length === 1 && A[0].className.search(/\bui-btn\b/) < 0 && !t) {
                        u = a(z[0], "icon");
                        y = (u === false) ? false: (u || v.icon);
                        A.removeClass("ui-link");
                        r = "ui-btn";
                        if (m) {
                            r += " ui-btn-" + m
                        }
                        r += " ui-btn-icon-right ui-icon ui-icon-" + y;
                        A.first().addClass(r)
                    } else {
                        if (t) {
                            h = (a(z[0], "theme") || v.dividerTheme || v.theme);
                            e = "ui-li-divider ui-bar-" + (h ? h: "inherit")
                        } else {
                            if (A.length <= 0) {
                                e = "ui-li-static ui-body-" + (m ? m: "inherit")
                            }
                        }
                    }
                }
                if (!n[e]) {
                    n[e] = []
                }
                n[e].push(z[0])
            }
            for (e in n) {
                b(n[e]).addClass(e)
            }
            k.each(function() {
                b(this).closest("li").addClass("ui-li-has-count")
            });
            k.addClass(g);
            this._addThumbClasses(q);
            this._addThumbClasses(q.find(".ui-btn"));
            this._addFirstLastClasses(q, this._getVisibles(q, p), p);
            this._trigger("afterrefresh")
        },
        _getVisibles: function(e, d) {
            var f;
            if (d) {
                f = e.not(".ui-screen-hidden")
            } else {
                f = e.filter(":visible");
                f.length === 0 && (f = e.not(".ui-screen-hidden"))
            }
            return f
        },
        _addFirstLastClasses: function(f, e, d) {
            f.removeClass("ui-first-child ui-last-child");
            e.eq(0).addClass("ui-first-child").end().last().addClass("ui-last-child");
            if (!d) {
                this.element.trigger("updatelayout")
            }
        }
    });
    b(document).bind("pagecreate create",
    function(d) {
        b.maf.listview.prototype.enhanceWithin(d.target)
    })
})(jQuery); (function(b, c) {
    var a = function(e, d) {
        return e.toString().toLowerCase().indexOf(d) === -1
    };
    b.widget("maf.listview", b.maf.listview, {
        options: {
            filter: false,
            filterPlaceholder: "Filter items...",
            filterTheme: "c",
            filterReveal: false,
            filterCallback: a
        },
        _onKeyUp: function() {
            var q = this._search,
            f = this.options,
            m = this.element,
            g = q[0].value.toLowerCase(),
            h = null,
            n = m.children(),
            e = q.jqmData("lastval") + "",
            l = false,
            k = "",
            p,
            j,
            d = f.filterCallback !== a;
            if (e && e === g) {
                return
            }
            this._trigger("beforefilter", "beforefilter", {
                input: q[0]
            });
            q.jqmData("lastval", g);
            if (d || g.length < e.length || g.indexOf(e) !== 0) {
                h = m.children()
            } else {
                h = m.children(":not(.ui-screen-hidden)");
                if (!h.length && f.filterReveal) {
                    h = m.children(".ui-screen-hidden")
                }
            }
            if (g) {
                for (j = h.length - 1; j >= 0; j--) {
                    p = b(h[j]);
                    k = p.jqmData("filtertext") || p.text();
                    if (p.is("li:jqmData(role=list-divider)")) {
                        p.toggleClass("ui-filter-hidequeue", !l);
                        l = false
                    } else {
                        if (f.filterCallback(k, g, p)) {
                            p.toggleClass("ui-filter-hidequeue", true)
                        } else {
                            l = true
                        }
                    }
                }
                h.filter(":not(.ui-filter-hidequeue)").toggleClass("ui-screen-hidden", false);
                h.filter(".ui-filter-hidequeue").toggleClass("ui-screen-hidden", true).toggleClass("ui-filter-hidequeue", false)
            } else {
                h.toggleClass("ui-screen-hidden", !!f.filterReveal)
            }
        },
        _create: function() {
            var e, g, d, f = this.options;
            this._super();
            if (!f.filter) {
                return
            }
            e = this.element;
            if (f.filterReveal) {
                e.children().addClass("ui-screen-hidden")
            }
            g = b("<form>", {
                "class": "ui-listview-filter ui-bar-" + f.filterTheme,
                role: "search"
            }).submit(function() {
                d.blur();
                return false
            });
            d = b("<input>", {
                placeholder: f.filterPlaceholder
            }).attr("type", "search").jqmData("lastval", "").appendTo(g).textinput();
            this._on(d, {
                keyup: "_onKeyUp",
                change: "_onKeyUp",
                input: "_onKeyUp"
            });
            b.extend(this, {
                _search: d
            });
            g.insertBefore(e)
        }
    })
})(jQuery); (function(a, b) {
    a.widget("maf.navbar", a.mobile.widget, {
        options: {
            iconpos: "top",
            grid: null,
            initSelector: ":jqmData(role='navbar')"
        },
        _create: function() {
            var e = this.element,
            c = e.find("a"),
            d = c.filter(":jqmData(icon)").length ? this.options.iconpos: b;
            e.addClass("ui-navbar ui-mini").attr("role", "navigation").find("ul").jqmEnhanceable().grid({
                grid: this.options.grid
            });
            c.buttonMarkup({
                corners: false,
                shadow: false,
                inline: true,
                iconpos: d
            });
            e.delegate("a", "vclick",
            function(f) {
                if (!a(f.target).hasClass("ui-disabled")) {
                    c.removeClass(a.mobile.activeBtnClass);
                    a(this).addClass(a.mobile.activeBtnClass)
                }
            });
            e.closest(".ui-page").bind("pagebeforeshow",
            function() {
                c.filter(".ui-state-persist").addClass(a.mobile.activeBtnClass)
            })
        }
    });
    a(document).bind("pagecreate create",
    function(c) {
        a.maf.navbar.prototype.enhanceWithin(c.target)
    })
})(jQuery); (function(a, b) {
    a.widget("maf.selectmenu", a.mobile.widget, {
        options: {
            theme: null,
            disabled: false,
            icon: "arrow-d",
            iconpos: "right",
            inline: false,
            corners: true,
            placeholder: "请选择",
            bind: "",
            provider: "",
            preventFocusZoom: /iPhone|iPad|iPod/.test(navigator.platform) && navigator.userAgent.indexOf("AppleWebKit") > -1,
            initSelector: "select",
            mini: false
        },
        _button: function() {
            return a("<div/>")
        },
        _setDisabled: function(c) {
            this.element.attr("disabled", c);
            return this._setOption("disabled", c)
        },
        _selectOptions: function() {
            return this.select.find("option")
        },
        _preExtension: function() {
            var d = ""; !! ~this.element[0].className.indexOf("ui-btn-left") && (d = " ui-btn-left"); !! ~this.element[0].className.indexOf("ui-btn-right") && (d = " ui-btn-right");
            this.select = this.element.wrap("<div class='ui-select" + d + "'>");
            var c = this.select.attr("id");
            a("label[for='" + c + "']").addClass("ui-select");
            this.isMultiple = this.select[0].multiple
        },
        _bind: function(d) {
            var e = this.options.bind;
            if (a.type(e) !== "string") {
                return
            }
            var c = d[e];
            if (this.isMultiple) { ! c && (c = Math.random() + "")
            } else { ! c && (c = this._getFirstOptionValue())
            }
            this.val(c)
        },
        _getFirstOptionValue: function() {
            return this.placeholder ? "": this.select.find("option:first-child").attr("value")
        },
        _createOptions: function() {
            var h = this.options.provider;
            if (a.type(h) !== "object") {
                return
            }
            var g = h.store,
            f = h.displayAttr || "CODENAME",
            d = h.valueAttr || "CODEVALUE",
            e = dataCenter.getDataStore(g);
            if (! (e instanceof DataStore)) {
                return
            }
            var c = [];
            e.getRowSet().forEach(function(i) {
                c.push("<option value='" + i.getItemValue(d) + "'>");
                c.push(i.getItemValue(f));
                c.push("</option>")
            });
            this.select.html(this.select.html() + c.join(""))
        },
        _create: function() {
            this._preExtension();
            this._trigger("beforeCreate");
            this.button = this._button();
            var c = this,
            d = this.options,
            g = d.icon ? (d.iconpos || this.select.jqmData("iconpos")) : false,
            f;
            var e = ["ui-icon", "ui-btn"];
            d.icon && e.push("ui-icon-" + d.icon, "ui-btn-icon-" + g);
            d.theme && e.push("ui-btn-" + d.theme);
            d.corners && e.push("ui-corner-all");
            f = this.button.insertBefore(this.select).addClass(e.join(" "));
            this.placeholder = d.placeholder;
            d.provider && this._createOptions(); ! (d.bind && d.bind.store) && this.setButtonText();
            if (this.isMultiple) {
                this.buttonCount = a("<span>").addClass("ui-li-count ui-body-inherit").hide().appendTo(f.addClass("ui-li-has-count"))
            }
            if (d.disabled || this.element.attr("disabled")) {
                this.disable()
            }
            this.select.change(function() {
                c.refresh()
            });
            this.build()
        },
        build: function() {
            var c = this;
            this.select.appendTo(c.button);
            if (c.options.preventFocusZoom) {
                c.button.bind("vmousedown",
                function() {
                    a.mobile.zoom.disable(true)
                }).bind("vmouseup",
                function() {
                    a.mobile.zoom.enable(true)
                })
            }
        },
        selected: function() {
            return this._selectOptions().filter(":selected")
        },
        selectedIndices: function() {
            var c = this;
            return this.selected().map(function() {
                return c._selectOptions().index(this)
            }).get()
        },
        setButtonText: function() {
            var c = this,
            e = this.selected(),
            f = this.placeholder,
            d = a(document.createElement("span"));
            this.button.children("span").not(".ui-li-count").remove().end().end().prepend((function() {
                if (e.length) {
                    f = e.map(function() {
                        return a(this).text()
                    }).get().join(", ")
                } else {
                    f = c.placeholder
                }
                if (f) {
                    d.text(f)
                } else {
                    d.html("&nbsp;")
                }
                return d.addClass(c.select.attr("class")).addClass(e.attr("class")).removeClass("ui-screen-hidden")
            })())
        },
        setButtonCount: function() {
            var c = this.selected();
            if (this.isMultiple) {
                this.buttonCount.text(c.length);
                c.length > 1 ? this.buttonCount.show() && this.button.addClass("ui-li-has-count") : this.buttonCount.hide() && this.button.removeClass("ui-li-has-count")
            }
        },
        refresh: function() {
            this.setButtonCount();
            this.setButtonText()
        },
        val: function(c) {
            if (typeof(c) === "undefined" || c === null) {
                c = this.select.val() + "";
                return c == null ? "": c
            } else {
                c.indexOf(",") > -1 && (c = c.split(","));
                return this.select.val(c).selectmenu("refresh")
            }
        },
        text: function() {
            var c = this.selected();
            if (c.length == 0) {
                return ""
            }
            return this.selected().map(function() {
                return a(this).text()
            }).get().join(",")
        },
        open: a.noop,
        close: a.noop,
        disable: function() {
            this._setDisabled(true);
            this.button.addClass("ui-disabled")
        },
        enable: function() {
            this._setDisabled(false);
            this.button.removeClass("ui-disabled")
        },
        _destroy: function() {
            this.button.unbind();
            this.select.unbind()
        }
    });
    a(document).bind("pagecreate create",
    function(c) {
        a.maf.selectmenu.prototype.enhanceWithin(c.target, true)
    })
})(jQuery); (function(h, c) {
    var q = document;
    var d = Math,
    l = (/android/gi).test(navigator.appVersion),
    p = (/iphone|ipad/gi).test(navigator.appVersion),
    i = (/hp-tablet/gi).test(navigator.appVersion),
    j = "ontouchstart" in window && !i,
    a = (function() {
        return window.requestAnimationFrame || window.webkitRequestAnimationFrame ||
        function(m) {
            return setTimeout(m, 1)
        }
    })(),
    o = (function() {
        return window.cancelRequestAnimationFrame || window.webkitCancelAnimationFrame || window.webkitCancelRequestAnimationFrame || clearTimeout
    })(),
    k = "onorientationchange" in window ? "orientationchange": "resize",
    f = j ? "touchstart": "mousedown",
    e = j ? "touchmove": "mousemove",
    g = j ? "touchend": "mouseup",
    b = j ? "touchcancel": "mouseup",
    n = "mousewheel";
    h.widget("maf.scrollview", h.mobile.widget, {
        options: {
            y: 0,
            bounce: true,
            bounceLock: false,
            momentum: true,
            topOffset: 0,
            checkDOMChanges: false,
            vscrollbar: true,
            fixedscrollbar: false,
            hidescrollbar: true,
            fadescrollbar: true,
            pulldistance: 40,
            pulldown: false,
            pullup: false,
            refreshmsg: "Release to refresh...",
            loadingmsg: "loading",
            initSelector: ":jqmData(role='scrollview')"
        },
        _create: function() {
            var r = this,
            m = r.options;
            r.wrapper = r.element;
            r.wrapper.addClass("wrapper");
            if (m.pulldown) {
                r._createPullDown();
                r.pullDownEl = r.wrapper.find(".pullDown");
                r.pullDownEl.css("display", "none");
                r.pullDownOffset = r.pullDownEl.outerHeight()
            }
            if (m.pullup) {
                r._createPullUp();
                r.pullUpEl = r.wrapper.find(".pullUp");
                r.pullUpEl.css("display", "none");
                r.pullUpOffset = r.pullUpEl.outerHeight()
            }
            r.wrapper.wrapInner(function() {
                return "<div></div>"
            });
            r.scroller = r.wrapper.children();
            r.y = m.y;
            r.scroller.addClass("scroller");
            r.scroller.css("-webkit-transform", "translate3d(0px," + r.y + "px, 0)");
            r.refresh();
            r._bind(k, window);
            r._bind(f);
            if (!j) {
                r._bind("mouseout", r.wrapper.get(0))
            }
            if (r.options.checkDOMChanges) {
                r.checkDOMTime = setInterval(function() {
                    r._checkDOMChanges()
                },
                500)
            }
        },
        _createPullDown: function() {
            var m = this;
            h('<div class="pullDown"><span class="pullDownIcon"></span><span class="pullDownLabel">Pull down to refresh...</span></div>').prependTo(m.wrapper)
        },
        _createPullUp: function() {
            var m = this;
            h('<div class="pullUp"><span class="pullUpIcon"></span><span class="pullUpLabel">Pull up to refresh...</span></div>').appendTo(m.wrapper)
        },
        pullDownEl: null,
        pullDownOffset: 0,
        pullUpEl: null,
        pullUpOffset: 0,
        enabled: true,
        y: 0,
        steps: [],
        currPageX: 0,
        currPageY: 0,
        pagesX: [],
        pagesY: [],
        aniTime: null,
        handleEvent: function(r) {
            var m = this;
            switch (r.type) {
            case f:
                if (!j && r.button !== 0) {
                    return
                }
                m._start(r);
                break;
            case e:
                m._move(r);
                break;
            case g:
            case b:
                m._end(r);
                break;
            case k:
                m._resize();
                break;
            case n:
                m._wheel(r);
                break;
            case "mouseout":
                m._mouseout(r);
                break;
            case "webkitTransitionEnd":
                m._transitionEnd(r);
                break
            }
        },
        _checkDOMChanges: function() {
            if (this.moved || this.animating || (this.scrollerW == this.scroller.offsetWidth && this.scrollerH == this.scroller.offsetHeight)) {
                return
            }
            this.refresh()
        },
        _scrollbar: function() {
            var s = this,
            r;
            var m = s.options;
            if (!s.vscrollbar) {
                if (s.vscrollbarWrapper) {
                    s.vscrollbarIndicator.css("transform", "");
                    s.vscrollbarWrapper.parent().remove(s.vscrollbarWrapper);
                    s.vscrollbarWrapper = null;
                    s.vscrollbarIndicator = null
                }
                return
            }
            if (!s.vscrollbarWrapper) {
                r = h("<div class='barWrapper'></div>");
                r.css({
                    "-webkit-transition-duration": (m.fadescrollbar ? "350ms": "0"),
                    opacity: (m.hidescrollbar ? "0": "1")
                });
                s.wrapper.append(r);
                s.vscrollbarWrapper = r;
                r = h("<div class='barIndicator'>");
                s.vscrollbarWrapper.append(r);
                s.vscrollbarIndicator = r
            }
            s.vscrollbarSize = s.vscrollbarWrapper.height();
            s.vscrollbarIndicatorSize = d.max(d.round(s.vscrollbarSize * s.vscrollbarSize / s.scrollerH), 8);
            s.vscrollbarIndicator.css("height", s.vscrollbarIndicatorSize + "px");
            s.vscrollbarMaxScroll = s.vscrollbarSize - s.vscrollbarIndicatorSize;
            s.vscrollbarProp = s.vscrollbarMaxScroll / s.maxScrollY;
            s._scrollbarPos(true)
        },
        _scrollbarPos: function(t) {
            var s = this,
            u = s.y,
            r, m = s.options;
            if (!s.vscrollbar) {
                return
            }
            u = s.vscrollbarProp * u;
            if (u < 0) {
                if (!m.fixedscrollbar) {
                    r = s.vscrollbarIndicatorSize + d.round(u * 3);
                    if (r < 8) {
                        r = 8
                    }
                    s.vscrollbarIndicator.css("height", r + "px")
                }
                u = 0
            } else {
                if (u > s.vscrollbarMaxScroll) {
                    if (!m.fixedscrollbar) {
                        r = s.vscrollbarIndicatorSize - d.round((u - s.vscrollbarMaxScroll) * 3);
                        if (r < 8) {
                            r = 8
                        }
                        s.vscrollbarIndicator.css("height", r + "px");
                        u = s.vscrollbarMaxScroll + (s.vscrollbarIndicatorSize - r)
                    } else {
                        u = s.vscrollbarMaxScroll
                    }
                }
            }
            s.vscrollbarWrapper.css({
                "-webkit-transition-delay": "0",
                opacity: (t && m.hidescrollbar ? "0": "1")
            });
            s.vscrollbarIndicator.css("-webkit-transform", "translate3d(0," + u + "px, 0)")
        },
        _resize: function() {
            var m = this;
            setTimeout(function() {
                m.refresh()
            },
            l ? 200 : 0)
        },
        _pos: function(m) {
            this.scroller.css("-webkit-transform", "translate3d(0px," + m + "px, 0) ");
            this.y = m;
            this._scrollbarPos()
        },
        _start: function(u) {
            var t = this,
            m = j ? u.touches[0] : u,
            r,
            v;
            if (!t.enabled) {
                return
            }
            var s = t.options;
            t.moved = false;
            t.animating = false;
            t.distX = 0;
            t.distY = 0;
            t.absDistX = 0;
            t.absDistY = 0;
            t.dirY = 0;
            if (s.momentum) {
                r = getComputedStyle(t.scroller.get(0), null)["webkitTransform"].replace(/[^0-9\-.,]/g, "").split(",");
                v = r[5] * 1;
                if (v != t.y) {
                    o(t.aniTime);
                    t.steps = [];
                    t._pos(v)
                }
            }
            t.absStartY = t.y;
            t.startY = t.y;
            t.pointX = m.pageX;
            t.pointY = m.pageY;
            t.isCrousel = c;
            t.startTime = u.timeStamp || Date.now();
            h(document).bind("isCrouseling",
            function() {
                t.isCrousel = true
            });
            t._bind(e);
            t._bind(g);
            t._bind(b)
        },
        _move: function(v) {
            l && v.preventDefault();
            var u = this,
            x = j ? v.touches[0] : v,
            s = x.pageX - u.pointX,
            r = x.pageY - u.pointY,
            z = u.y + r,
            w = v.timeStamp || Date.now(),
            A = u.options;
            if (typeof this.isCrousel == "undefined") {
                this.isCrousel = !!(this.isCrousel || Math.abs(s) > Math.abs(r))
            }
            if (!this.isCrousel) {
                var y = h.Event("isScrolling");
                h(document).trigger(y);
                var A = u.options;
                u.pointX = x.pageX;
                u.pointY = x.pageY;
                if (z > u.minScrollY || z < u.maxScrollY) {
                    z = u.options.bounce ? u.y + (r / 2) : z >= u.minScrollY || u.maxScrollY >= 0 ? u.minScrollY: u.maxScrollY
                }
                u.distX += s;
                u.distY += r;
                u.absDistX = d.abs(u.distX);
                u.absDistY = d.abs(u.distY);
                if (u.absDistY < 6) {
                    return
                }
                if (u.absDistX > u.absDistY + 5) {
                    z = u.y;
                    r = 0
                }
                u.moved = true;
                u._pos(z);
                u.dirY = r > 0 ? -1 : r < 0 ? 1 : 0;
                if (w - u.startTime > 300) {
                    u.startTime = w;
                    u.startY = u.y
                }
                if (A.pulldown || A.pullup) {
                    var m = u.pullDownEl,
                    t = u.pullUpEl;
                    if (u.y > A.pulldistance && m && !m.hasClass("flip") && !u.isPulling) {
                        m.css("display", "block");
                        m.addClass("flip");
                        m[0].querySelector(".pullDownLabel").innerHTML = A.refreshmsg;
                        u.minScrollY = 0
                    } else {
                        if (u.y < A.pulldistance && m && m.hasClass("flip")) {
                            m.removeClass("flip")
                        } else {
                            if (u.y < 0 && u.y < (u.maxScrollY - A.pulldistance) && t && !t.hasClass("flip") && !u.isPulling) {
                                t.css("display", "block");
                                t.addClass("flip");
                                t[0].querySelector(".pullUpLabel").innerHTML = A.refreshmsg
                            } else {
                                if (u.y > (u.maxScrollY + A.pulldistance) && t && t.hasClass("flip")) {
                                    t.removeClass("flip");
                                    u.maxScrollY = u.pullUpOffset
                                }
                            }
                        }
                    }
                }
            } else {
                u._end(v)
            }
        },
        _end: function(v) {
            if (j && v.touches.length !== 0) {
                return
            }
            var u = this,
            z = j ? v.changedTouches[0] : v,
            w,
            y,
            m = {
                dist: 0,
                time: 0
            },
            t = (v.timeStamp || Date.now()) - u.startTime,
            x = u.y,
            r;
            u._unbind(e);
            u._unbind(g);
            u._unbind(b);
            h(document).unbind("isCrouseling");
            if (!this.isCrousel || u.moved) {
                var A = u.options;
                if (!u.moved) {
                    if (j) {
                        u.doubleTapTimer = setTimeout(function() {
                            u.doubleTapTimer = null;
                            w = z.target;
                            while (w.nodeType != 1) {
                                w = w.parentNode
                            }
                            if (w.tagName != "SELECT" && w.tagName != "INPUT" && w.tagName != "TEXTAREA") {
                                y = q.createEvent("MouseEvents");
                                y.initMouseEvent("click", true, true, v.view, 1, z.screenX, z.screenY, z.clientX, z.clientY, v.ctrlKey, v.altKey, v.shiftKey, v.metaKey, 0, null);
                                y._fake = true;
                                w.dispatchEvent(y)
                            }
                        },
                        0)
                    }
                    u._resetPos(200);
                    return
                }
                if (t < 300 && A.momentum) {
                    m = x ? u._momentum(x - u.startY, t, -u.y, (u.maxScrollY < 0 ? u.scrollerH - u.wrapperH + u.y - u.minScrollY: 0), u.options.bounce ? u.wrapperH: 0) : m;
                    x = u.y + m.dist;
                    if ((u.y > u.minScrollY && x > u.minScrollY) || (u.y < u.maxScrollY && x < u.maxScrollY)) {
                        m = {
                            dist: 0,
                            time: 0
                        }
                    }
                }
                if (A.pulldown) {
                    var s = u.pullDownEl;
                    if (s && !s.hasClass("flip")) {
                        s.css("display", "none")
                    }
                }
                if (m.dist) {
                    r = d.max(m.time, 10);
                    u.scrollTo(d.round(x), r);
                    return
                }
                u._resetPos(200)
            }
        },
        _resetPos: function(x) {
            var u = this,
            w = u.y >= u.minScrollY || u.maxScrollY > 0 ? u.minScrollY: u.y < u.maxScrollY ? u.maxScrollY: u.y;
            var t = u.options;
            if (w == u.y) {
                if (u.moved) {
                    var m = function() {
                        var y;
                        if (t.pulldown || t.pullup) {
                            y = (u.pullDownEl && u.pullDownEl.css("display") == "block") ? u.pullDownEl: u.pullUpEl;
                            y.css("display", "none");
                            u.refresh();
                            u.isPulling = false
                        }
                    };
                    u.moved = false;
                    if (t.pulldown || t.pullup) {
                        var v = u.pullDownEl,
                        s = u.pullUpEl;
                        if (v && v.hasClass("flip")) {
                            v.removeClass("flip");
                            v.addClass("loading");
                            v[0].querySelector(".pullDownLabel").innerHTML = t.loadingmsg;
                            if (t.pulldown && !u.isPulling) {
                                u.isPulling = true;
                                var r = h.Event("scrollPulldown");
                                u.element.trigger(r, [m])
                            }
                        } else {
                            if (s && s.hasClass("flip")) {
                                s.removeClass("flip");
                                s.addClass("loading");
                                s[0].querySelector(".pullUpLabel").innerHTML = t.loadingmsg;
                                if (t.pullup && !u.isPulling) {
                                    u.isPulling = true;
                                    var r = h.Event("scrollPullup");
                                    u.element.trigger(r, [m])
                                }
                            }
                        }
                    }
                }
                if (u.vscrollbar && t.hidescrollbar) {
                    u.vscrollbarWrapper.css({
                        "transition-delay": "300ms",
                        opacity: "0"
                    })
                }
                return
            }
            u.scrollTo(w, x || 0)
        },
        _wheel: function(u) {
            var s = this,
            t, r, m, v;
            if ("wheelDeltaX" in u) {
                t = u.wheelDeltaX / 12;
                r = u.wheelDeltaY / 12
            } else {
                if ("wheelDelta" in u) {
                    t = r = u.wheelDelta / 12
                } else {
                    if ("detail" in u) {
                        t = r = -u.detail * 3
                    } else {
                        return
                    }
                }
            }
            m = s.y + r;
            if (m > s.minScrollY) {
                m = s.minScrollY
            } else {
                if (m < s.maxScrollY) {
                    m = s.maxScrollY
                }
            }
            if (s.maxScrollY < 0) {
                s.scrollTo(m, 0)
            }
        },
        _mouseout: function(r) {
            var m = r.relatedTarget;
            if (!m) {
                this._end(r);
                return
            }
            while (m = m.parentNode) {
                if (m == this.wrapper.get(0)) {
                    return
                }
            }
            this._end(r)
        },
        _transitionEnd: function(r) {
            var m = this;
            if (r.target != m.scroller) {
                return
            }
            m._unbind("webkitTransitionEnd");
            m._startAni()
        },
        _startAni: function() {
            var w = this,
            m = w.y,
            u = Date.now(),
            v,
            t,
            r,
            s = w.options;
            if (w.animating) {
                return
            }
            if (!w.steps.length) {
                w._resetPos(400);
                return
            }
            v = w.steps.shift();
            if (v.y == m) {
                v.time = 0
            }
            w.animating = true;
            w.moved = true;
            r = function() {
                var x = Date.now(),
                y;
                if (x >= u + v.time) {
                    w._pos(v.y);
                    w.animating = false;
                    w._startAni();
                    return
                }
                x = (x - u) / v.time - 1;
                t = d.sqrt(1 - x * x);
                y = (v.y - m) * t + m;
                w._pos(y);
                if (w.animating) {
                    w.aniTime = a(r)
                }
            };
            r()
        },
        _transitionTime: function(m) {
            m += "ms";
            this.scroller.css("-webkit-transition-duration", m);
            if (this.vscrollbar) {
                this.vscrollbarIndicator.css("-webkit-transition-duration", m)
            }
        },
        _momentum: function(x, r, v, m, z) {
            var w = 0.0006,
            s = d.abs(x) / r,
            t = (s * s) / (2 * w),
            y = 0,
            u = 0;
            if (x > 0 && t > v) {
                u = z / (6 / (t / s * w));
                v = v + u;
                s = s * v / t;
                t = v
            } else {
                if (x < 0 && t > m) {
                    u = z / (6 / (t / s * w));
                    m = m + u;
                    s = s * m / t;
                    t = m
                }
            }
            t = t * (x < 0 ? -1 : 1);
            y = s / w;
            return {
                dist: t,
                time: d.round(y)
            }
        },
        _offset: function(m) {
            var s = -m.offsetLeft,
            r = -m.offsetTop;
            while (m = m.offsetParent) {
                s -= m.offsetLeft;
                r -= m.offsetTop
            }
            return {
                left: s,
                top: r
            }
        },
        _bind: function(s, r, m) { (r || this.scroller.get(0)).addEventListener(s, this, !!m)
        },
        _unbind: function(s, r, m) { (r || this.scroller.get(0)).removeEventListener(s, this, !!m)
        },
        destroy: function() {
            var s = this,
            r = s.options;
            s.scroller.css("-webkit-transform", "");
            s.vscrollbar = false;
            s._scrollbar();
            s._unbind(k, window);
            s._unbind(f);
            s._unbind(e);
            s._unbind(g);
            s._unbind(b);
            if (!r.hasTouch) {
                s._unbind("mouseout", s.wrapper);
                s._unbind(n)
            }
            var m = h.Event("scrollDestroy");
            s.element.trigger(m);
            if (r.checkDOMChanges) {
                clearInterval(s.checkDOMTime)
            }
        },
        refresh: function() {
            var t = this,
            v, s = t.options;
            t.wrapperH = t.wrapper.height() || 1;
            t.minScrollY = -t.options.topOffset || 0;
            t.scrollerW = d.round(t.scroller.width());
            t.scrollerH = d.round((t.scroller.height() + t.minScrollY));
            t.maxScrollY = t.wrapperH - t.scrollerH + t.minScrollY;
            t.dirY = 0;
            t.vScroll = (!t.options.bounceLock || t.scrollerH > t.wrapperH);
            t.vscrollbar = t.vScroll && t.options.vscrollbar && t.scrollerH > t.wrapperH;
            if (s.pulldown || s.pullup) {
                var u = t.pullDownEl,
                r = t.pullUpEl;
                if (u && u.hasClass("loading")) {
                    u.css("display", "none");
                    u.removeClass("loading")
                } else {
                    if (r && r.hasClass("loading")) {
                        r.css("display", "none");
                        r.removeClass("loading")
                    }
                }
            }
            var m = h.Event("scrollRefresh");
            t.element.trigger(m);
            v = t._offset(t.wrapper.get(0));
            t.wrapperOffsetLeft = -v.left;
            t.wrapperOffsetTop = -v.top;
            t._scrollbar();
            t.scroller.css("-webkit-transition-duration", "0");
            t._resetPos(200)
        },
        scrollTo: function(w, v, u) {
            var t = this,
            s, r, m;
            t.stop();
            s = [{
                y: w,
                time: v,
                relative: u
            }];
            for (r = 0, m = s.length; r < m; r++) {
                if (s[r].relative) {
                    s[r].y = t.y - s[r].y
                }
                t.steps.push({
                    y: s[r].y,
                    time: s[r].time || 0
                })
            }
            t._startAni()
        },
        disable: function() {
            this.stop();
            this._resetPos(0);
            this.enabled = false;
            this._unbind(e);
            this._unbind(g);
            this._unbind(b)
        },
        enable: function() {
            this.enabled = true
        },
        stop: function() {
            o(this.aniTime);
            this.steps = [];
            this.moved = false;
            this.animating = false
        }
    });
    h(document).bind("pageshow",
    function(m) {
        h.maf.scrollview.prototype.enhanceWithin(m.target, true)
    })
})(jQuery); (function(a, b) {
    a.widget("maf.switch", a.mobile.widget, {
        options: {
            theme: null,
            trackTheme: "a",
            disabled: false,
            leftLabel: "OFF",
            rightLabel: "ON",
            leftValue: "off",
            rightValue: "on",
            icon: null,
            iconpos: "notext",
            value: "0",
            provider: "",
            bind: "",
            initSelector: ":jqmData(role='switch')",
            mini: false
        },
        _create: function() {
            var r = this,
            e = this.options,
            m = this.element,
            u = a.mobile.getInheritedTheme(m, "c"),
            C = e.theme || u,
            t = e.trackTheme,
            y = "ui-switch-switch",
            f = m.attr("id"),
            H = a("[for='" + f + "']"),
            o = H.attr("id") || f + "-label",
            k = H.attr("id", o),
            I = function() {
                return r.options.value
            },
            s = (e.inline || m.jqmData("inline") == true) ? " ui-switch-inline": "",
            D = (e.mini || m.jqmData("mini")) ? " ui-switch-mini": "",
            z = document.createElement("a"),
            B = a(z),
            c = m.get(0),
            q = a(c),
            A;
            var E = e.provider;
            if (a.type(E) == "object") {
                var l = E.store,
                F = E.displayAttr || "CODEVALUE",
                j = E.valueAttr || "CODENAME",
                p = dataCenter.getDataStore(l);
                if ((p instanceof DataStore)) {
                    var n = p.getRowSet();
                    e.leftValue = n.getRowData(0)[j];
                    e.rightValue = n.getRowData(1)[j];
                    e.leftLabel = n.getRowData(0)[F];
                    e.rightLabel = n.getRowData(1)[F]
                }
            }
            if (e.value == "on") {
                e.value = 1
            } else {
                e.value = 0
            }
            z.setAttribute("href", "#");
            c.className = ["ui-switch ", y, " ui-btn-down", " ui-btn-corner-all", s, D].join("");
            z.className = "ui-switch-handle";
            B.buttonMarkup({
                corners: true,
                theme: C,
                shadow: true,
                icon: e.icon,
                iconpos: e.iconpos
            });
            a.extend(this, {
                iswitch: q,
                handle: B,
                beforeStart: null
            });
            var g = document.createElement("div");
            g.className = "ui-switch-inneroffset";
            g.appendChild(z);
            c.appendChild(g);
            B.addClass("ui-switch-handle-snapping");
            A = [e.leftLabel, e.rightLabel];
            for (var v = 0,
            G = A.length; v < G; v++) {
                var d = !v ? "b": "a",
                h = !v ? " ui-switch-track ui-switch-down": (" ui-switch-track ui-switch-track-" + t),
                x = document.createElement("div"),
                w = document.createElement("span");
                w.className = ["ui-switch-label ui-switch-label-", d, h, " ui-btn-corner-all"].join("");
                w.setAttribute("role", "img");
                w.appendChild(document.createTextNode(A[v]));
                a(w).prependTo(q)
            }
            r._labels = a(".ui-switch-label", q);
            k.addClass("ui-switch");
            B.addClass("ui-switch-handle-snapping");
            B.bind("vmousedown", a.proxy(this._sliderVMouseDown, this));
            B.bind("vmousemove", a.proxy(this._preventDocumentDrag, this));
            B.bind("vmouseup", a.proxy(this._sliderVMouseUp, this));
            m.bind("mouseout", a.proxy(this._sliderVMouseUp, this));
            this.refresh()
        },
        _bind: function(c) {
            var d = this.options.bind;
            if (a.type(d) !== "string") {
                return
            }
            this.val(c[d], true)
        },
        _sliderVMouseDown: function(c) {
            this.dragging = true;
            this.userModified = false;
            this.mouseMoved = false;
            this.movelenght = this.iswitch.width() - this.handle.width();
            this.startx = c.pageX;
            return false
        },
        _preventDocumentDrag: function(d) {
            if (this.dragging && !this.options.disabled) {
                this.mouseMoved = true;
                this.handle.removeClass("ui-switch-handle-snapping");
                var c = d.pageX,
                e;
                if (this.options.value) {
                    e = this.startx - c;
                    if (e < 0) {
                        this.refresh(1)
                    } else {
                        if (e < this.movelenght) {
                            this.refresh(parseFloat(this.movelenght - e) / this.movelenght)
                        } else {
                            this.refresh(0)
                        }
                    }
                } else {
                    e = c - this.startx;
                    if (e < 0) {
                        this.refresh(0)
                    } else {
                        if (e < this.movelenght) {
                            this.refresh(parseFloat(e) / this.movelenght)
                        } else {
                            this.refresh(1)
                        }
                    }
                }
                return false
            }
        },
        _sliderVMouseUp: function(h) {
            if (this.dragging) {
                this.dragging = false;
                this.handle.addClass("ui-switch-handle-snapping");
                var f = this.options;
                if (this.mouseMoved) {
                    var d = h.pageX,
                    i;
                    var e = false,
                    g;
                    if (f.value) {
                        i = this.startx - d;
                        g = parseFloat(this.movelenght - i) / this.movelenght;
                        if (g < 0.5) {
                            this.refresh(0);
                            f.value = 0
                        } else {
                            this.refresh(1)
                        }
                    } else {
                        i = d - this.startx;
                        g = parseFloat(i) / this.movelenght;
                        if (g > 0.5) {
                            this.refresh(1);
                            f.value = 1
                        } else {
                            this.refresh(0);
                            f.value = 0
                        }
                    }
                } else {
                    if (f.value) {
                        this.refresh(0)
                    } else {
                        this.refresh(1)
                    }
                    f.value = f.value ? 0 : 1
                }
                var c = a.Event("switchChange");
                this.element.trigger(c, [f.value]);
                this.mouseMoved = false;
                return false
            }
        },
        refresh: function(h) {
            var d = this.options;
            if (d.disabled || this.element.attr("disabled")) {
                this.disable()
            }
            var g = this.element,
            e;
            if (h == null) {
                h = d.value
            }
            e = h * 100;
            this.handle.css("left", e + "%");
            if (this._labels) {
                var f = this.handle.width() / this.iswitch.width() * 100,
                c = e && f + (100 - f) * e / 100,
                i = e === 100 ? 0 : Math.min(f + 100 - c, 100);
                this._labels.each(function() {
                    var j = a(this).is(".ui-switch-label-a");
                    a(this).width((j ? c: i) + "%")
                })
            }
        },
        enable: function() {
            this.element.attr("disabled", false);
            this.iswitch.removeClass("ui-disabled");
            return this._setOption("disabled", false)
        },
        disable: function() {
            this.element.attr("disabled", true);
            this.iswitch.addClass("ui-disabled");
            return this._setOption("disabled", true)
        },
        val: function(f, c) {
            var e = this.options;
            if (f == b && !c) {
                return e.value ? e.rightValue: e.leftValue
            }
            if (f == e.rightValue) {
                this.refresh(1);
                this.options.value = 1
            } else {
                this.refresh(0);
                this.options.value = 0
            }
            var d = a.Event("switchChange");
            this.element.trigger(d)
        }
    });
    a(document).bind("pagecreate create",
    function(c) {
        a.maf["switch"].prototype.enhanceWithin(c.target, true)
    })
})(jQuery); (function(a, b) {
    a.fn.fieldcontain = function(c) {
        return this.addClass("ui-field-contain ui-body ui-br").contents().filter(function() {
            return (this.nodeType === 3 && !/\S/.test(this.nodeValue))
        }).remove()
    };
    a(document).bind("pagecreate create",
    function(c) {
        a(":jqmData(role='fieldcontain')", c.target).jqmEnhanceable().fieldcontain()
    })
})(jQuery); (function(a, b) {
    a.widget("maf.textinput", a.mobile.widget, {
        options: {
            bind: "",
            theme: null,
            preventFocusZoom: /iPhone|iPad|iPod/.test(navigator.platform) && navigator.userAgent.indexOf("AppleWebKit") > -1,
            initSelector: "input[type='text'], input[type='search'],input[type='password'], input[type='number'],textarea"
        },
        _create: function() {
            var d = this.element,
            i = this.options,
            h = i.theme || a.mobile.getInheritedTheme(this.element, "c"),
            f = " ui-body-" + h,
            g = d.jqmData("mini") == true,
            c = g ? " ui-mini": "",
            e;
            a("label[for='" + d.attr("id") + "']").addClass("ui-input-text");
            e = d.addClass("ui-input-text ui-body-" + h);
            if (d.is("[type='search']")) {
                e = d.wrap("<div class='ui-input-search ui-shadow-inset ui-btn-corner-all ui-btn-shadow ui-icon-searchfield" + f + c + "'></div>").parent();
                this._operateSearch(d, e)
            } else {
                d.addClass("ui-corner-all ui-shadow-inset" + f + c)
            }
            d.focus(function() {
                e.addClass(a.mobile.focusClass)
            }).blur(function() {
                e.removeClass(a.mobile.focusClass)
            }).bind("focus",
            function() {
                if (i.preventFocusZoom) {
                    a.mobile.zoom.disable(true)
                }
            }).bind("blur",
            function() {
                if (i.preventFocusZoom) {
                    a.mobile.zoom.enable(true)
                }
            });
            if (d.is("textarea")) {
                this._operateTextArea(d)
            }
        },
        _operateSearch: function(c, d) {
            var e;
            e = a("<div class='ui-input-clear'></div>").appendTo(d);
            e.bind("vclick",
            function(g) {
                c.val("").focus().trigger("change");
                e.addClass("ui-input-clear-hidden");
                g.stopPropagation();
                g.preventDefault()
            });
            function f() {
                setTimeout(function() {
                    e.toggleClass("ui-input-clear-hidden", !c.val())
                },
                0)
            }
            f();
            c.bind("paste cut keyup focus change blur", f)
        },
        _operateTextArea: function(e) {
            var d = this;
            var c = ["paddingTop", "paddingRight", "paddingBottom", "paddingLeft", "fontSize", "lineHeight", "fontFamily", "width", "fontWeight", "border-top-width", "border-right-width", "border-bottom-width", "border-left-width", "borderTopStyle", "borderTopColor", "borderRightStyle", "borderRightColor", "borderBottomStyle", "borderBottomColor", "borderLeftStyle", "borderLeftColor"];
            var h = a(e),
            g = a("<div />").css({
                position: "absolute",
                display: "none",
                "word-wrap": "break-word",
                "white-space": "pre-wrap"
            });
            d.lineHeight = parseInt(h.css("line-height"), 10) || parseInt(h.css("font-size"), "10"),
            d.minheight = parseInt(h.css("height"), 10) || d.lineHeight * 3,
            d.maxheight = parseInt(h.css("max-height"), 10) || Number.MAX_VALUE;
            g.appendTo(h.parent());
            var f = c.length;
            while (f--) {
                g.css(c[f].toString(), h.css(c[f].toString()))
            }
            h.css({
                overflow: "hidden"
            });
            h.bind("keyup change cut paste",
            function() {
                d._update(h, g)
            });
            a(window).bind("resize", d._setTwinWidth(h, g));
            h.bind("resize", d._setTwinWidth(h, g));
            h.bind("update", d._update(h, g));
            h.bind("blur",
            function() {
                if (g.height() < d.maxheight) {
                    if (g.height() > d.minheight) {
                        h.height(g.height())
                    } else {
                        h.height(d.minheight)
                    }
                }
            });
            h.bind("input paste",
            function(i) {
                setTimeout(d._update(h, g), 250)
            });
            d._update(h, g)
        },
        _setTwinWidth: function(e, d) {
            var c = Math.floor(parseInt(e.width(), 10));
            if (d.width() !== c) {
                d.css({
                    width: c + "px"
                });
                this._update(e, d, true)
            }
        },
        _setHeightAndOverflow: function(c, f, e) {
            var d = Math.floor(parseInt(c, 10));
            if (e.height() !== d) {
                e.css({
                    height: d + "px",
                    overflow: f
                })
            }
        },
        _update: function(h, g, f) {
            var e = h.val().replace(/&/g, "&amp;").replace(/ {2}/g, "&nbsp;").replace(/<|>/g, "&gt;").replace(/\n/g, "<br />");
            var c = g.html().replace(/<br>/ig, "<br />");
            if (f || e + "&nbsp;" !== c) {
                g.html(e + "&nbsp;");
                console.log(Math.abs(g.height() + this.lineHeight - h.height()));
                var d = g.height() + this.lineHeight;
                if (d >= this.maxheight) {
                    this._setHeightAndOverflow(this.maxheight, "auto", h)
                } else {
                    if (d <= this.minheight) {
                        this._setHeightAndOverflow(this.minheight, "hidden", h)
                    } else {
                        this._setHeightAndOverflow(d, "hidden", h)
                    }
                }
            }
        },
        val: function(c) {
            if (c == b) {
                return this.element.val()
            } else {
                this.element.val(c);
                if (this.element.is("[type='search']") || this.element.is("textarea")) {
                    this.element.trigger("change")
                }
            }
        },
        _bind: function(c) {
            var d = this.options.bind;
            if (a.type(d) !== "string") {
                return
            }
            this.val(c[d])
        },
        disable: function() { (this.element.attr("disabled", true).is("[type='search']") ? this.element.parent() : this.element).addClass("ui-disabled")
        },
        enable: function() { (this.element.attr("disabled", false).is("[type='search']") ? this.element.parent() : this.element).removeClass("ui-disabled")
        }
    });
    a(document).bind("pagecreate create",
    function(c) {
        a.maf.textinput.prototype.enhanceWithin(c.target, true)
    })
})(jQuery); (function(a, b) {
    a.widget("maf.dialog", a.mobile.widget, {
        options: {
            mode: "html",
            themeDialog: "b",
            themeInput: false,
            themeButton: false,
            themeHeader: "b",
            headerTitle: false,
            headerClose: false,
            buttonPrompt: false,
            buttonInput: false,
            buttonInputDefault: "",
            buttonPassword: false,
            htmlContent: false,
            htmlAdopt: false,
            modal: true,
            animate: false,
            transition: "",
            clickEvent: (/android/gi).test(navigator.appVersion) ? "vclick": "vmousedown",
            zindex: "500",
            width: "",
            left: false,
            top: false,
            callbackOpenArgs: [],
            callbackCloseArgs: [],
            autoOpen: true
        },
        _create: function() {
            var c = this,
            f = a.extend(this.options, this.element.jqmData("options")),
            e = new Date(),
            d = a("<div class='ui-dlg ui-overlay-shadow ui-corner-all ui-dlg-hidden " + ((f.animate === true) ? f.transition: "") + " ui-body-" + f.themeDialog + "'></div>");
            if (f.themeButton === false) {
                f.themeButton = f.themeDialog
            }
            if (f.themeInput === false) {
                f.themeInput = f.themeDialog
            }
            a.maf.currentDialog = c;
            c.internalID = e.getTime();
            c.displayAnchor = a.mobile.activePage.children(".ui-content").first();
            c.displayAnchor.length === 0 && (c.displayAnchor = a.mobile.activePage);
            c.dialogPage = a("<div data-role='dialog' data-theme='" + f.themeDialog + "'><div data-role='header'></div><div data-role='content'></div></div>");
            c.sdAllContent = c.dialogPage.find(":jqmData(role=content)");
            d.appendTo(c.sdAllContent);
            c.sdIntContent = c.sdAllContent.find(".ui-dlg");
            f.width && c.sdIntContent.css("width", f.width);
            if (f.headerTitle !== false || f.headerClose !== false) {
                c.sdHeader = a('<div  class="ui-header ui-dlg-header ui-bar-' + f.themeHeader + '"></div>');
                if (f.headerClose === true) {
                    a("<a rel='close' href='#' class='ui-btn'></a>").addClass("ui-icon ui-btn-left ui-icon-delete ui-btn-icon-notext").css("background", "transparent").appendTo(c.sdHeader)
                }
                a('<h1 class="ui-title">' + ((f.headerTitle !== false) ? f.headerTitle: "") + "</h1>").appendTo(c.sdHeader);
                c.sdHeader.appendTo(c.sdIntContent)
            }
            if (f.mode === "html") {
                f.htmlAdopt === true && (f.htmlContent = c.element.children());
                a(f.htmlContent).appendTo(c.sdIntContent)
            } else {
                if (f.mode === "button") {
                    c._makeButtons().appendTo(c.sdIntContent)
                }
            }
            c.sdIntContent.appendTo(c.displayAnchor.parent());
            c.dialogPage.appendTo(a.mobile.pageContainer).page().css("minHeight", "0px").css("zIndex", f.zindex);
            if (f.animate === true) {
                c.dialogPage.addClass(f.transition)
            }
            if (f.modal) {
                c.screenMask = a("<div class='ui-dlg-screen ui-dlg-hidden'></div>").css("z-index", (f.zindex - 1)).addClass("ui-dlg-screen-modal").appendTo(c.displayAnchor.parent())
            }
        },
        _init: function() {
            this.options.autoOpen && this.open()
        },
        _makeButtons: function() {
            var c = this,
            f = c.options,
            e = a('<div class="ui-dlg-content"></div>'),
            d = a("<div class='ui-dlg-controls'><input class='ui-dlg-input ui-input-text ui-shadow-inset ui-corner-all ui-body-" + f.themeInput + "' type='" + (f.buttonPassword === true ? "password": "text") + "' value='" + f.buttonInputDefault.replace('"', "&#34;").replace("'", "&#39;") + "' name='p" + c.internalID + "' /></div>");
            pickerChoice = a("<div class='ui-dlg-controls'></div>");
            if (f.buttonPrompt !== false) {
                c.buttonPromptText = a("<p class='ui-dlg-subtitle'>" + f.buttonPrompt + "</p>").appendTo(e)
            }
            if (f.buttonInput !== false || f.buttonPassword !== false) {
                c.thisInput = "";
                d.appendTo(e);
                d.find("input").bind("change",
                function() {
                    c.thisInput = a(this).val()
                })
            }
            pickerChoice.appendTo(e);
            c.butObj = [];
            a.each(f.buttons,
            function(g, h) {
                h = a.isFunction(h) ? {
                    click: h
                }: h;
                h = a.extend({
                    text: g,
                    id: g + c.internalID,
                    theme: f.themeButton,
                    icon: "",
                    iconpos: "",
                    corners: "true",
                    shadow: "false",
                    args: [],
                    close: true
                },
                h);
                c.butObj.push(a("<a href='#'>" + g + "</a>").appendTo(pickerChoice).attr("id", h.id).buttonMarkup({
                    theme: h.theme,
                    icon: h.icon,
                    iconpos: h.iconpos,
                    corners: h.corners,
                    shadow: h.shadow
                }).unbind(f.clickEvent).bind(f.clickEvent,
                function(j) {
                    j.stopPropagation();
                    j.preventDefault();
                    if (f.buttonInput || f.buttonPassword) {
                        c.sdIntContent.find("input[name=p" + c.internalID + "]").trigger("change")
                    }
                    var i = h.click.apply(c, a.merge(arguments, h.args));
                    if (i !== false) {
                        c.close()
                    }
                }))
            });
            return e
        },
        _getCoords: function(g) {
            var k = g,
            c = a.mobile.activePage.width(),
            d = a(window).scrollTop(),
            f = a(window).scrollLeft(),
            j = a(window).height(),
            e = g.sdIntContent.innerWidth(),
            i = g.sdIntContent.outerHeight(),
            h = {
                high: c,
                width: j,
                fullTop: d,
                fullLeft: f,
                winTop: d + ((g.options.top !== false) ? parseInt(g.options.top) : (j - i) / 2),
                winLeft: ((g.options.left !== false) ? g.options.left: (c - e) / 2)
            };
            if (h.winTop < 45) {
                h.winTop = 45
            }
            return h
        },
        _orientChange: function(g) {
            var c = a.Event("dlgOrientChange");
            this.element.trigger(c);
            if (c.isDefaultPrevented()) {
                return
            }
            var d = g.data.widget,
            f = g.data.widget._getCoords(g.data.widget);
            d.sdIntContent.css({
                position: "absolute",
                top: f.winTop,
                left: f.winLeft
            }).removeClass("ui-dlg-hidden")
        },
        repos: function() {
            var c = {
                data: {
                    widget: this
                },
                stopPropagation: function() {
                    return true
                }
            };
            this._orientChange(c)
        },
        open: function() {
            var d = this,
            f = this.options,
            e = this._getCoords(this);
            d.sdAllContent.find(".ui-btn-active").removeClass("ui-btn-active");
            d.sdIntContent.delegate("[rel=close]", f.clickEvent,
            function(h) {
                h.preventDefault();
                d.close()
            }).addClass("ui-overlay-shadow in").css("zIndex", f.zindex).trigger("create").css({
                position: "absolute",
                top: e.winTop,
                left: e.winLeft
            });
            d.sdIntContent.removeClass("ui-dlg-hidden");
            f.modal && d.screenMask.removeClass("ui-dlg-hidden");
            var g;
            if ((g = d.sdIntContent.find(":jqmData(role=scrollview)")).length > 0) {
                g.scrollview()
            }
            a(window).bind("orientationchange." + d.internalID, {
                widget: d
            },
            function(h) {
                d._orientChange(h)
            });
            var c = a.Event("dlgOpen");
            this.element.trigger(c, f.callbackOpenArgs)
        },
        getInputValue: function() {
            return this.sdIntContent.find("input[name=p" + this.internalID + "]").trigger("change").blur().val()
        },
        close: function() {
            var d = this,
            f = this.options;
            var c = a.Event("dlgClose");
            this.element.trigger(c, f.callbackCloseArgs);
            if (c.isDefaultPrevented()) {
                return
            }
            a(window).unbind("orientationchange." + d.internalID);
            f.modal && d.screenMask.addClass("ui-dlg-hidden");
            var e = function() {
                d.sdIntContent.addClass("ui-dlg-hidden");
                if (f.mode === "html" && f.htmlContent !== false && f.htmlAdopt === true) {
                    d.element.append(f.htmlContent);
                    f.htmlContent = true
                }
                d.destroy()
            };
            f.animate && f.transition ? d.sdIntContent.removeClass("in").addClass("out reverse").animationComplete(e) : e()
        },
        destroy: function() {
            var c = this,
            d = c.element;
            c.butObj && c.butObj.forEach(function(e) {
                e.unbind().remove()
            });
            a(c.sdIntContent).remove();
            a(c.dialogPage).remove();
            c.screenMask && a(c.screenMask).remove();
            delete a.mobile.currentDialog;
            a.Widget.prototype.destroy.call(c);
            if (a(d).parents().length === 0 && a(d).contents().length === 0) {
                d.remove()
            }
        },
        updateHTML: function(e) {
            var c = this,
            d = this.options;
            c.sdIntContent.empty();
            if (d.headerTitle !== false || d.headerClose !== false) {
                c.sdHeader = a('<div class="ui-header ui-bar-' + d.themeHeader + '"></div>');
                if (d.headerClose === true) {
                    a("<a class='ui-btn-left' rel='close' href='#'>Close</a>").appendTo(c.sdHeader).buttonMarkup({
                        theme: d.themeHeader,
                        icon: "delete",
                        iconpos: "notext",
                        corners: false,
                        shadow: false
                    })
                }
                a('<h1 class="ui-title">' + ((d.headerTitle !== false) ? d.headerTitle: "") + "</h1>").appendTo(c.sdHeader);
                c.sdHeader.appendTo(c.sdIntContent)
            }
            a(e).appendTo(c.sdIntContent);
            c.sdIntContent.trigger("create");
            return this
        }
    })
})(jQuery); (function(a, b) {
    a.widget("maf.actionsheet", a.mobile.widget, {
        options: {
            theme: "b",
            animate: true,
            initSelector: ":jqmData(role=actionsheet)"
        },
        _create: function() {
            this.internalID = new Date().getTime();
            this._open = false
        },
        getDelta: function() {
            var f = this._$element,
            d = {
                top: 0,
                left: 0
            };
            var e = f.outerHeight(),
            c = a(window).height();
            return {
                left: 0,
                top: c - e
            }
        },
        open: function() {
            if (this._open) {
                return
            }
            var d = this.options,
            c = {
                htmlAdopt: true,
                modal: true,
                headerClose: false,
                themeDialog: d.theme,
                autoOpen: false,
                animate: d.animate,
                transition: "slideup"
            };
            if (!this._dialog) {
                this.element.dialog(c);
                delete a.maf.currentDialog;
                this._dialog = this.element.data("dialog");
                this._$element = this._dialog.sdIntContent.removeClass("ui-dlg").addClass("ui-actionsheet");
                this._dialog.screenMask.bind("vclick", a.proxy(function() {
                    this.close()
                },
                this));
                this.bindEvents()
            }
            delta = this.getDelta();
            this._dialog.options.left = delta.left;
            this._dialog.options.top = delta.top;
            this._dialog.open();
            this._open = true
        },
        close: function() {
            this._dialog && this._dialog.close();
            this._dialog = null;
            this._open = false;
            this.unbindEvents()
        },
        bindEvents: function() {
            var c = this;
            this.element.bind("dlgOrientChange." + c.internalID,
            function(d) {
                d.preventDefault();
                c.close()
            })
        },
        unbindEvents: function() {
            this.element.bind("dlgOrientChange." + +self.internalID)
        },
        isOpen: function() {
            return this._open
        },
        _destroy: function() {
            this.isOpen() && this.close();
            this._dialog = null;
            this._$element = null
        }
    });
    a(document).bind("pageshow",
    function(c) {
        a.maf.actionsheet.prototype.enhanceWithin(c.target, true)
    })
})(jQuery); (function(b, f) {
    var a = b.support.touch,
    c = a ? "touchstart": "mousedown",
    e = a ? "touchmove": "mousemove",
    d = a ? "touchend": "mouseup";
    b.widget("maf.crousel", b.mobile.widget, {
        options: {
            startslide: 0,
            speed: 300,
            showcount: 1,
            auto: 0,
            showpos: true,
            poshtml: "&bull;",
            posclass: "",
            posheight: 35,
            initSelector: ":jqmData(role='crousel')"
        },
        _create: function() {
            var g = this.element;
            g.addClass("ui-crousel");
            this.index = parseInt(this.options.startslide) || 0;
            this.speed = parseInt(this.options.speed) || 300;
            this.delay = parseInt(this.options.auto) || 0;
            this.container = g;
            this.pageContainer = {};
            this.pane = b(this.container.children()[0]);
            this.touchStart = false;
            this.touchMove = false;
            this.container.css("overflow", "hidden");
            this.pane.addClass("pane-class");
            this.pane.children().each(function(i, j) {
                b(j.firstElementChild).addClass("pane-child")
            });
            this.refresh();
            this.begin();
            var h = this.pane;
            h.bind(c, b.proxy(this.onTouchStart, this));
            h.bind(e, b.proxy(this.onTouchMove, this));
            h.bind(d, b.proxy(this.onTouchEnd, this));
            h.bind("orientationchange.crousel", b.proxy(this.refresh, this))
        },
        _createPosition: function() {
            this.pointer = b("<div>").addClass("crousel-position");
            var h = this.pane.children().length;
            for (var g = 0; g < h; g++) {
                this.pointer.append(b("<em>").html(this.options.poshtml).addClass(this.options.posclass).css({
                    height: this.options.posheight + "px",
                    "line-height": this.options.posheight + "px",
                    "font-style": "normal"
                }))
            }
            this.container.append(this.pointer)
        },
        refresh: function() {
            this.pointer && this.pointer.remove();
            this.options.showpos && this._createPosition();
            this.slides = this.pane.children();
            this.length = this.slides.length;
            var h = this.length;
            while (h--) {
                var i = this.slides[h],
                g = this.options;
                i.style.width = this._computeWidth(this.container) / g.showcount + "px";
                i.style.height = this.container.height() - (g.showpos ? g.posheight: 0) + "px";
                i.style.verticalAlign = "top"
            }
            this.slide(this.index, 0)
        },
        _computeWidth: function(g) {
            while (g.width() == 0 || g.width() == 100) {
                g = g.parent()
            }
            return g.width()
        },
        slide: function(i, l) {
            var m = this.pane,
            j = this.slides[i],
            k = b(j).attr("href");
            var g = this.pageContainer;
            l = l || this.speed;
            m.css("-webkit-transition-duration", l + "ms");
            m.css("-webkit-transform", "translate3d(" + -(i * this._computeWidth(this.container) / this.options.showcount) + "px,0,0)");
            this.index = i;
            var h = this;
            if (k && !b(j).children().length) {
                b.mobile.loadPage(k, {
                    showLoadMsg: true
                }).done(function(q, p, r, o) {
                    g[i] = r;
                    r.trigger("pageshow");
                    var s = r.find(":jqmData(role=content)");
                    b(j).append(b("<div>").append(s.children()));
                    var n = b(j).find(":jqmData(role='scrollview')");
                    n && n.scrollview("refresh");
                    h.transitionEnd()
                })
            } else {
                m.animationComplete(this.transitionEnd())
            }
            if (this.options.showpos) {
                this.pointer.children().each(function(n) {
                    if (n == i) {
                        b(this).addClass("on")
                    } else {
                        b(this).hasClass("on") && b(this).removeClass("on")
                    }
                })
            }
        },
        changeCurrentPage: function(j) {
            var i = this.index,
            k = this.slides[i],
            g = this.pageContainer;
            if (g[i]) {
                g[i].trigger("pagehide")
            }
            b(k).empty();
            var h = this;
            if (typeof(j) == "string") {
                b.mobile.loadPage(j, {
                    showLoadMsg: true
                }).done(function(p, o, q, m) {
                    g[i] = q;
                    q.trigger("pageshow");
                    var r = q.find(":jqmData(role=content)");
                    b(k).append(b("<div>").append(r.children()));
                    var l = b(k).find(":jqmData(role=scrollview)");
                    l.length > 0 && l.scrollview("refresh");
                    var n = b.Event("crouselChangeEnd");
                    h.element.trigger(n, []);
                    if (n.isDefaultPrevented()) {
                        return
                    }
                })
            } else {
                delete g[i];
                b(k).append(b("<div>").append(j))
            }
        },
        begin: function() {
            var g = this;
            this.interval = (this.delay) ? setTimeout(function() {
                g.next(g.delay)
            },
            this.delay) : 0
        },
        next: function(g) {
            clearTimeout(this.interval);
            g = g || this.speed;
            if (this.index < this.length - 1) {
                this.slide(this.index + 1, g)
            } else {
                this.slide(0, g)
            }
        },
        getPos: function() {
            return this.index
        },
        prev: function(g) {
            clearTimeout(this.interval);
            g = g || this.speed;
            if (this.index) {
                this.slide(this.index - 1, g)
            } else {
                this.slide(this.length - 1, g)
            }
        },
        stop: function() {
            this.delay = 0;
            clearTimeout(this.interval)
        },
        resume: function() {
            this.delay = this.options.auto || 0;
            this.begin()
        },
        transitionEnd: function() {
            if (this.delay) {
                this.begin()
            }
            var g = b.Event("crouselTransitionEnd");
            this.element.trigger(g, [this.index, this.slides[this.index]]);
            if (g.isDefaultPrevented()) {
                return
            }
        },
        onTouchStart: function(h) {
            this.start = {
                pageX: h.originalEvent.touches ? h.originalEvent.touches[0].pageX: h.pageX,
                pageY: h.originalEvent.touches ? h.originalEvent.touches[0].pageY: h.pageY,
                time: Number(new Date())
            };
            this.touchStart = true;
            this.touchMove = false;
            this.isScrolling = f;
            this.deltaX = 0;
            var g = this;
            b(document).bind("isScrolling",
            function() {
                g.isScrolling = true
            });
            var i = this.pane;
            i.css("-webkit-transition-duration", "0ms")
        },
        onTouchMove: function(h) {
            if (this.touchStart) {
                if (h.originalEvent.touches && h.originalEvent.touches.length > 1 || h.scale && h.scale !== 1) {
                    return
                }
                this.deltaX = (h.originalEvent.touches ? h.originalEvent.touches[0].pageX: h.pageX) - this.start.pageX;
                if (typeof this.isScrolling == "undefined") {
                    this.isScrolling = !!(this.isScrolling || Math.abs(this.deltaX) < Math.abs((h.originalEvent.touches ? h.originalEvent.touches[0].pageY: h.pageY) - this.start.pageY))
                }
                if (!this.isScrolling && this.deltaX != 0) {
                    this.touchMove = true;
                    var g = b.Event("isCrouseling");
                    b(document).trigger(g);
                    h.preventDefault();
                    clearTimeout(this.interval);
                    width = this._computeWidth(this.container) / this.options.showcount;
                    this.deltaX = this.deltaX / ((!this.index && this.deltaX > 0 || this.index == this.length - 1 && this.deltaX < 0) ? (Math.abs(this.deltaX) / width + 1) : 1);
                    this.pane.css("-webkit-transform", "translate3d(" + (this.deltaX - this.index * width) + "px,0,0)")
                }
            }
        },
        onTouchEnd: function(m) {
            var l = this._computeWidth(this.container) / this.options.showcount;
            var k = Number(new Date()) - this.start.time < 250 && Math.abs(this.deltaX) > 20 || Math.abs(this.deltaX) > l / 2,
            j = !this.index && this.deltaX > 0 || this.index == this.length - 1 && this.deltaX < 0;
            if (!this.isScrolling && this.touchMove) {
                this.touchMove = false;
                var h = Math.abs(parseInt(this.deltaX / l));
                var g = parseInt(this.index) + (k && !j ? (this.deltaX < 0 ? (h + 1) : ( - h - 1)) : 0);
                var i = g + this.options.showcount - 1;
                i <= 0 && (g = 0);
                i > this.length && (g = this.length - this.options.showcount);
                this.slide(g, this.speed)
            }
            b(document).unbind("isScrolling");
            this.start = {};
            this.touchStart = false;
            this.deltaX = 0
        },
        _destroy: function() {
            for (var g in this.pageContainer) {
                this.pageContainer[g].trigger("pagehide")
            }
            this.pageContainer = null;
            var h = this.pane;
            h.unbind(c);
            h.unbind(e);
            h.unbind(d);
            h.unbind("orientationchange.crousel")
        }
    });
    b(document).bind("pageshow create",
    function(g) {
        b.maf.crousel.prototype.enhanceWithin(g.target, true)
    })
})(jQuery); (function(a, b) {
    a.widget("maf.popover", a.mobile.widget, {
        options: {
            pos: "bottom",
            theme: "b",
            title: "",
            target: "",
            initSelector: ":jqmData(role=popover)"
        },
        _create: function() {
            this.arrowDiv = a("<div class='ui-dlg-arrow' style='position:absolute;'></div>");
            this.internalID = new Date().getTime();
            this._open = false
        },
        getDelta: function(d) {
            var c = this.options,
            e = c.pos;
            return this[e + "Delta"](d)
        },
        bottomDelta: function(c) {
            return this._topOrBottomDetla("bottom", c)
        },
        topDelta: function(c) {
            return this._topOrBottomDetla("top", c)
        },
        _topOrBottomDetla: function(l, j) {
            var i = this._$element,
            d = j,
            g = {
                top: 0,
                left: 0
            },
            n = j.offset(),
            m = this.arrowDiv;
            var e = i.outerWidth(),
            c = i.outerHeight(),
            f = parseInt(i.css("borderLeftWidth")),
            k = d.outerWidth(),
            h = d.outerHeight();
            if (e >= k) {
                g.left = n.left - (e - k) / 2;
                if (g.left < 0) {
                    g.left = n.left;
                    m.css({
                        left: k / 2 - f
                    })
                } else {
                    if (g.left + e > a(window).innerWidth()) {
                        g.left = n.left - (e - k);
                        m.css({
                            left: e - k / 2 - f
                        })
                    }
                }
            } else {
                g.left = n.left + (k - e) / 2;
                m.css("left", "50%")
            }
            if (l === "bottom") {
                g.top = n.top + h + 10;
                m.addClass("ui-dlg-arrow-u")
            } else {
                g.top = n.top - c - 10;
                m.addClass("ui-dlg-arrow-d")
            }
            g.top -= a(window).scrollTop();
            m.prependTo(i);
            return g
        },
        open: function(e) {
            if (this._open) {
                return
            }
            var c = this.options,
            d = {
                htmlAdopt: true,
                modal: false,
                headerClose: false,
                themeHeader: c.theme,
                autoOpen: false
            };
            c.title && (d.headerTitle = c.title);
            a.type(e) === "undefined" ? (e = a(c.target)) : a.type(e) === "string" && (e = a(e));
            if (!this._dialog) {
                this.element.dialog(d);
                delete a.maf.currentDialog;
                this._dialog = this.element.data("dialog");
                this._$element = this._dialog.sdIntContent;
                this.bindEvents()
            }
            delta = this.getDelta(e);
            this._dialog.options.left = delta.left;
            this._dialog.options.top = delta.top;
            this._dialog.open();
            this._open = true
        },
        close: function() {
            this._dialog && this._dialog.close();
            this.arrowDiv.removeClass("ui-dlg-arrow-u ui-dlg-arrow-d");
            this._dialog = null;
            this._open = false;
            this.unbindEvents()
        },
        bindEvents: function() {
            var c = this;
            this.element.bind("dlgOrientChange." + c.internalID,
            function(d) {
                d.preventDefault();
                c.close()
            })
        },
        unbindEvents: function() {
            this.element.bind("dlgOrientChange." + +self.internalID)
        },
        isOpen: function() {
            return this._open
        },
        _destroy: function() {
            this.isOpen() && this.close();
            this._dialog = null;
            this.arrowDiv.remove()
        }
    });
    a(document).bind("pageshow",
    function(c) {
        a.maf.popover.prototype.enhanceWithin(c.target, true)
    })
})(jQuery); (function(a, b, c) {
    $.widget("maf.splitview", $.mobile.widget, {
        options: {
            defaultLoadPage: "",
            initSelector: ":jqmData(role='splitview')"
        },
        _create: function() {
            var e = this.element;
            $(e.parent()).css("display", "block");
            this.mainPanel = e.find('div:jqmData(id="main")');
            var d = this.options;
            this.mainPanelFirstPage = d.defaultLoadPage || this.mainPanel.children('div:jqmData(role="page"):first');
            this.mainPanelActivePage = this.mainPanelFirstPage;
            this.menuPanel = e.find('div:jqmData(id="menu")');
            this.menuPanelFirstPage = this.menuPanel.children('div:jqmData(role="page"):first');
            this.menuPanelActivePage = this.menuPanelFirstPage,
            this.menuPanelFirstPage.addClass($.mobile.activePageClass);
            $("html").addClass("splitview");
            e.find('div:jqmData(role="panel")').addClass("ui-mobile-viewport ui-panel");
            this._initLayout();
            this.menuPanelFirstPage.trigger("pageshow");
            this._bindClickEvent(e);
            var f = this;
            $(b).bind("resize",
            function() {
                f._initLayout()
            });
            this.baseUrl = f._getClosestBaseUrl(this.menuPanel);
            $.mobile.pageContainer = this.mainPanel;
            $.mobile.changePage(this.mainPanelActivePage, {
                transition: "none",
                changeHash: d.defaultLoadPage ? true: false,
                pageContainer: this.mainPanel
            })
        },
        _bindClickEvent: function(d) {
            var e = this;
            d.live("click",
            function(j) {
                var i = e._findClosestLink(j.target),
                h = $(i).closest(".ui-btn").not(".ui-disabled");
                var f = $(i).closest(".ui-panel");
                if (i && f.data("id") == "menu") { ! h.hasClass($.mobile.activeBtnClass) && h.addClass($.mobile.activeBtnClass);
                    h.siblings().removeClass($.mobile.activeBtnClass);
                    j.stopPropagation();
                    j.preventDefault();
                    var k = i.dataset,
                    g = $.mobile.path.parseUrl(i.getAttribute("href") || "#");
                    if (k.panel == "menu") {
                        e.menuPanelActivePage.removeClass($.mobile.activePageClass);
                        $(g.hash).addClass($.mobile.activePageClass);
                        e.menuPanelActivePage = $(g.hash);
                        e.menuPanelActivePage.trigger("pageshow")
                    } else {
                        var l;
                        if (g.hash) {
                            l = $(g.hash)
                        } else {
                            l = $.mobile.path.makeUrlAbsolute(g.href, e.baseUrl)
                        }
                        if (l.length) {
                            $.mobile.changePage(l, {
                                transition: k.transition || "none",
                                pageContainer: e.mainPanel
                            })
                        }
                    }
                }
            })
        },
        _getClosestBaseUrl: function(g) {
            var d = $.mobile.path.parseUrl(location.href);
            var e = $(g).closest(".ui-page").jqmData("url"),
            f = d.hrefNoHash;
            if (!e || !$.mobile.path.isPath(e)) {
                e = f
            }
            return $.mobile.path.makeUrlAbsolute(e, f)
        },
        _findClosestLink: function(d) {
            while (d) {
                if ((typeof d.nodeName === "string") && d.nodeName.toLowerCase() === "a") {
                    break
                }
                d = d.parentNode
            }
            return d
        },
        _initLayout: function() {
            this.menuPanel.addClass("ui-panel-left");
            var d = this;
            this.mainPanel.addClass("ui-panel-right ui-overlay-c").width(function() {
                return $(b).width() - d.menuPanel.width()
            })
        },
        changePanelPage: function(e, d) {
            var f;
            if (typeof e == "string") {
                f = $.mobile.path.makeUrlAbsolute(e, this.baseUrl)
            } else {
                f = $(e)
            }
            if (f) {
                $.mobile.changePage(f, {
                    transition: (d && d.transition) || "none",
                    pageData: (d && d.pageData) || "",
                    pageContainer: this.mainPanel
                })
            }
        }
    });
    $(document).bind("pagecreate create",
    function(d) {
        $.maf.splitview.prototype.enhanceWithin(d.target, true)
    })
})(jQuery, window); (function() {
    var c = function() {
        var e = [].slice.call(arguments);
        e.push(c.options);
        if (e[0].match(/^\s*#([\w:\-\.]+)\s*$/igm)) {
            e[0].replace(/^\s*#([\w:\-\.]+)\s*$/igm,
            function(h, i) {
                var f = document;
                var g = f && f.getElementById(i);
                e[0] = g ? (g.value || g.innerHTML) : h
            })
        }
        if (arguments.length == 1) {
            return c.compile.apply(c, e)
        }
        if (arguments.length >= 2) {
            return c.to_html.apply(c, e)
        }
    };
    var d = {
        escapehash: {
            "<": "&lt;",
            ">": "&gt;",
            "&": "&amp;",
            '"': "&quot;",
            "'": "&#x27;",
            "/": "&#x2f;"
        },
        escapereplace: function(e) {
            return d.escapehash[e]
        },
        escaping: function(e) {
            return typeof(e) !== "string" ? e: e.replace(/[&<>"]/igm, this.escapereplace)
        },
        detection: function(e) {
            return typeof(e) === "undefined" ? "": e
        }
    };
    var b = function(e) {
        if (console) {
            if (console.warn) {
                console.warn(e);
                return
            }
            if (console.log) {
                console.log(e);
                return
            }
        }
        throw (e)
    };
    var a = function(h, f) {
        h = h !== Object(h) ? {}: h;
        if (h.__proto__) {
            h.__proto__ = f;
            return h
        }
        var g = function() {};
        var j = Object.create ? Object.create(f) : new(g.prototype = f, g);
        for (var e in h) {
            if (h.hasOwnProperty(e)) {
                j[e] = h[e]
            }
        }
        return j
    };
    c.__cache = {};
    c.version = "0.5.7-stable";
    c.settings = {};
    c.tags = {
        operationOpen: "{@",
        operationClose: "}",
        interpolateOpen: "\\${",
        interpolateClose: "}",
        noneencodeOpen: "\\$\\${",
        noneencodeClose: "}",
        commentOpen: "\\{#",
        commentClose: "\\}"
    };
    c.options = {
        cache: true,
        strip: true,
        errorhandling: true,
        detection: true,
        _method: a({
            __escapehtml: d,
            __throw: b
        },
        this)
    };
    c.tagInit = function() {
        var e = c.tags.operationOpen + "each\\s*([\\w\\.]*?)\\s*as\\s*(\\w*?)\\s*(,\\s*\\w*?)?" + c.tags.operationClose;
        var g = c.tags.operationOpen + "\\/each" + c.tags.operationClose;
        var h = c.tags.operationOpen + "if\\s*([^}]*?)" + c.tags.operationClose;
        var i = c.tags.operationOpen + "\\/if" + c.tags.operationClose;
        var m = c.tags.operationOpen + "else" + c.tags.operationClose;
        var n = c.tags.operationOpen + "else if\\s*([^}]*?)" + c.tags.operationClose;
        var j = c.tags.interpolateOpen + "([\\s\\S]+?)" + c.tags.interpolateClose;
        var k = c.tags.noneencodeOpen + "([\\s\\S]+?)" + c.tags.noneencodeClose;
        var l = c.tags.commentOpen + "[^}]*?" + c.tags.commentClose;
        var f = c.tags.operationOpen + "each\\s*(\\w*?)\\s*in\\s*range\\((\\d+?)\\s*,\\s*(\\d+?)\\)" + c.tags.operationClose;
        c.settings.forstart = new RegExp(e, "igm");
        c.settings.forend = new RegExp(g, "igm");
        c.settings.ifstart = new RegExp(h, "igm");
        c.settings.ifend = new RegExp(i, "igm");
        c.settings.elsestart = new RegExp(m, "igm");
        c.settings.elseifstart = new RegExp(n, "igm");
        c.settings.interpolate = new RegExp(j, "igm");
        c.settings.noneencode = new RegExp(k, "igm");
        c.settings.inlinecomment = new RegExp(l, "igm");
        c.settings.rangestart = new RegExp(f, "igm")
    };
    c.tagInit();
    c.set = function(f, j) {
        var h = this;
        var e = function(i) {
            return i.replace(/[\$\(\)\[\]\+\^\{\}\?\*\|\.]/igm,
            function(l) {
                return "\\" + l
            })
        };
        var k = function(l, m) {
            var i = l.match(/^tag::(.*)$/i);
            if (i) {
                h.tags[i[1]] = e(m);
                h.tagInit();
                return
            }
            h.options[l] = m
        };
        if (arguments.length === 2) {
            k(f, j);
            return
        }
        if (f === Object(f)) {
            for (var g in f) {
                if (f.hasOwnProperty(g)) {
                    k(g, f[g])
                }
            }
        }
    };
    c.register = function(g, f) {
        var e = this.options._method;
        if (e.hasOwnProperty(g)) {
            return false
        }
        return e[g] = f
    };
    c.unregister = function(f) {
        var e = this.options._method;
        if (e.hasOwnProperty(f)) {
            return delete e[f]
        }
    };
    c.template = function(e) {
        var f = this;
        this.options = e;
        this.__interpolate = function(g, l, i) {
            var h = g.split("|"),
            k = h[0] || "",
            j;
            if (h.length > 1) {
                g = h.shift();
                j = h.shift().split(",");
                k = "_method." + j.shift() + ".call({}, " + [g].concat(j) + ")"
            }
            return "<%= " + (l ? "_method.__escapehtml.escaping": "") + "(" + (!i || i.detection !== false ? "_method.__escapehtml.detection": "") + "(" + k + ")) %>"
        };
        this.__removeShell = function(h, g) {
            var i = 0;
            h = h.replace(c.settings.forstart,
            function(n, k, m, l) {
                var m = m || "value",
                l = l && l.substr(1);
                var j = "i" + i++;
                return "<% for(var " + j + " in " + k + ") {if(" + k + ".hasOwnProperty(" + j + ")) {var " + m + "=" + k + "[" + j + "];" + (l ? ("var " + l + "=" + j + ";") : "") + " %>"
            }).replace(c.settings.forend, "<% }} %>").replace(c.settings.ifstart,
            function(j, k) {
                return "<% if(" + k + ") { %>"
            }).replace(c.settings.ifend, "<% } %>").replace(c.settings.elsestart,
            function(j) {
                return "<% } else { %>"
            }).replace(c.settings.elseifstart,
            function(j, k) {
                return "<% } else if(" + k + ") { %>"
            }).replace(c.settings.noneencode,
            function(k, j) {
                return f.__interpolate(j, false, g)
            }).replace(c.settings.interpolate,
            function(k, j) {
                return f.__interpolate(j, true, g)
            }).replace(c.settings.inlinecomment, "").replace(c.settings.rangestart,
            function(m, l, n, k) {
                var j = "j" + i++;
                return "<% for(var " + j + "=" + n + ";" + j + "<" + k + ";" + j + "++) {{var " + l + "=" + j + "; %>"
            });
            if (!g || g.errorhandling !== false) {
                h = "<% try { %>" + h;
                h += '<% } catch(e) {_method.__throw("Juicer Render Exception: "+e.message);} %>'
            }
            return h
        };
        this.__toNative = function(h, g) {
            return this.__convert(h, !g || g.strip)
        };
        this.__lexicalAnalyze = function(k) {
            var j = [];
            var n = "";
            var g = ["if", "each", "_", "_method", "console", "break", "case", "catch", "continue", "debugger", "default", "delete", "do", "finally", "for", "function", "in", "instanceof", "new", "return", "switch", "this", "throw", "try", "typeof", "var", "void", "while", "with", "null", "typeof", "class", "enum", "export", "extends", "import", "super", "implements", "interface", "let", "package", "private", "protected", "public", "static", "yield", "const", "arguments", "true", "false", "undefined", "NaN"];
            var m = function(q, p) {
                if (Array.prototype.indexOf && q.indexOf === Array.prototype.indexOf) {
                    return q.indexOf(p)
                }
                for (var o = 0; o < q.length; o++) {
                    if (q[o] === p) {
                        return o
                    }
                }
                return - 1
            };
            var h = function(o, i) {
                i = i.match(/\w+/igm)[0];
                if (m(j, i) === -1 && m(g, i) === -1) {
                    if (typeof(window) !== "undefined" && typeof(window[i]) === "function" && window[i].toString().match(/^\s*?function \w+\(\) \{\s*?\[native code\]\s*?\}\s*?$/i)) {
                        return o
                    }
                    if (typeof(global) !== "undefined" && typeof(global[i]) === "function" && global[i].toString().match(/^\s*?function \w+\(\) \{\s*?\[native code\]\s*?\}\s*?$/i)) {
                        return o
                    }
                    j.push(i)
                }
                return o
            };
            k.replace(c.settings.forstart, h).replace(c.settings.interpolate, h).replace(c.settings.ifstart, h).replace(c.settings.elseifstart, h).replace(/[\+\-\*\/%!\?\|\^&~<>=,\(\)]\s*([A-Za-z_]+)/igm, h);
            for (var l = 0; l < j.length; l++) {
                n += "var " + j[l] + "=_." + j[l] + ";"
            }
            return "<% " + n + " %>"
        };
        this.__convert = function(h, i) {
            var g = [].join("");
            g += "'use strict';";
            g += "var _=_||{};";
            g += "var _out='';_out+='";
            if (i !== false) {
                g += h.replace(/\\/g, "\\\\").replace(/[\r\t\n]/g, " ").replace(/'(?=[^%]*%>)/g, "\t").split("'").join("\\'").split("\t").join("'").replace(/<%=(.+?)%>/g, "';_out+=$1;_out+='").split("<%").join("';").split("%>").join("_out+='") + "';return _out;";
                return g
            }
            g += h.replace(/\\/g, "\\\\").replace(/[\r]/g, "\\r").replace(/[\t]/g, "\\t").replace(/[\n]/g, "\\n").replace(/'(?=[^%]*%>)/g, "\t").split("'").join("\\'").split("\t").join("'").replace(/<%=(.+?)%>/g, "';_out+=$1;_out+='").split("<%").join("';").split("%>").join("_out+='") + "';return _out.replace(/[\\r\\n]\\s+[\\r\\n]/g, '\\r\\n');";
            return g
        };
        this.parse = function(h, g) {
            var i = this;
            if (!g || g.loose !== false) {
                h = this.__lexicalAnalyze(h) + h
            }
            h = this.__removeShell(h, g);
            h = this.__toNative(h, g);
            this._render = new Function("_, _method", h);
            this.render = function(k, j) {
                if (!j || j !== f.options._method) {
                    j = a(j, f.options._method)
                }
                return i._render.call(this, k, j)
            };
            return this
        }
    };
    c.compile = function(g, f) {
        if (!f || f !== this.options) {
            f = a(f, this.options)
        }
        try {
            var h = this.__cache[g] ? this.__cache[g] : new this.template(this.options).parse(g, f);
            if (!f || f.cache !== false) {
                this.__cache[g] = h
            }
            return h
        } catch(i) {
            b("Juicer Compile Exception: " + i.message);
            return {
                render: function() {}
            }
        }
    };
    c.to_html = function(f, g, e) {
        if (!e || e !== this.options) {
            e = a(e, this.options)
        }
        return this.compile(f, e).render(g, e._method)
    };
    jQuery.template = c
})(); (function(a, c) {
    var b = [].slice,
    d = {};
    a.pubsub = {
        publish: function(g) {
            if (typeof g !== "string") {
                throw new Error("You must provide a valid topic to publish.")
            }
            var f = b.call(arguments, 1),
            l,
            k,
            j,
            h = 0,
            e;
            if (!d[g]) {
                return true
            }
            l = d[g].slice();
            for (j = l.length; h < j; h++) {
                k = l[h];
                e = k.callback.apply(k.context, f);
                if (e === false) {
                    break
                }
            }
            return e !== false
        },
        subscribe: function(j, f, o, m) {
            if (typeof j !== "string") {
                throw new Error("You must provide a valid topic to create a subscription.")
            }
            if (arguments.length === 3 && typeof o === "number") {
                m = o;
                o = f;
                f = null
            }
            if (arguments.length === 2) {
                o = f;
                f = null
            }
            m = m || 10;
            var g = 0,
            e = j.split(/\s/),
            n = e.length,
            l;
            for (; g < n; g++) {
                j = e[g];
                l = false;
                if (!d[j]) {
                    d[j] = []
                }
                var h = d[j].length - 1,
                k = {
                    callback: o,
                    context: f,
                    priority: m
                };
                for (; h >= 0; h--) {
                    if (d[j][h].priority <= m) {
                        d[j].splice(h + 1, 0, k);
                        l = true;
                        break
                    }
                }
                if (!l) {
                    d[j].unshift(k)
                }
            }
            return o
        },
        unsubscribe: function(e, h) {
            if (typeof e !== "string") {
                throw new Error("You must provide a valid topic to remove a subscription.")
            }
            if (!d[e]) {
                return
            }
            if (!h) {
                d[e].length = 0;
                delete d[e];
                return
            }
            var g = d[e].length,
            f = 0;
            for (; f < g; f++) {
                if (d[e][f].callback === h) {
                    d[e].splice(f, 1);
                    break
                }
            }
        }
    }
})($.maf); (function($) {
    var dataCenterAvail = typeof(DataCenter) !== "undefined";
    typeof(dataCenter) === "undefined" && dataCenterAvail && (dataCenter = new DataCenter());
    $.maf.showLoading = function(msg) {
        if (typeof(cordova) === "undefined") {
            return
        }
        cordova.require("maf/notification").showLoading("", msg || "正在获取数据……")
    };
    $.maf.hideLoading = function() {
        if (typeof(cordova) === "undefined") {
            return
        }
        setTimeout(function() {
            cordova.require("maf/notification").hideLoading()
        },
        300)
    };
    $.maf.action = {
        requestData: function(data, dc, showLoading) {
            if (Object.prototype.toString.call(data) !== "[object Object]") {
                return
            }
            var _dataCenterAvail = dataCenterAvail && (!dc || (dc && dc.toJSON));
            var requestURL = this.buildRequestPath(data.url, data.parameters),
            method,
            dataType,
            json = _dataCenterAvail ? dc && dc.toJSON() : dc,
            _dc = null,
            isShowingLoading = false,
            self = this;
            method = data.method ? ("" + data.method).toUpperCase() : (json ? "POST": "GET");
            dataType = data.dataType ? data.dataType: (_dataCenterAvail ? "text": "json");
            if (showLoading !== false) {
                isShowingLoading = true;
                $.maf.showLoading()
            }
            var options = {
                url: requestURL,
                type: method,
                async: !data.sync || true,
                data: json,
                dataType: dataType,
                timeout: 30 * 1000,
                processData: (json && _dataCenterAvail) ? false: true
            };
            var derfered = $.ajax(options);
            derfered.success(function(res) {
                isShowingLoading && $.maf.hideLoading();
                var complete = function() {
                    if (data.load) {
                        try {
                            data.context ? data.load.call(data.context || null, _dc) : data.load(_dc)
                        } catch(e) {
                            alert(" 您的成功回调方法出现错误，请检查！错误信息为：" + JSON.stringify(e, true))
                        }
                    }
                };
                _dc = _dataCenterAvail ? new DataCenter(eval("(" + res + ")")) : res;
                self._exceptionProcess(_dc, complete)
            });
            derfered.error(function(xhr, status, msg) {
                isShowingLoading && $.maf.hideLoading();
                data.context ? data.error.call(data.context, msg) : data.error(msg)
            })
        },
        _exceptionProcess: function(dc, complete) {
            complete()
        },
        buildRequestPath: function(url, parameters) {
            var path = [];
            for (var name in parameters) {
                path.push(name + "=" + encodeURIComponent(parameters[name]))
            }
            if (path.length == 0) {
                return url
            }
            path = path.join("&");
            return url.concat(url.lastIndexOf("?") > 0 ? "&": "?").concat(path)
        }
    }
})(jQuery);