(function($, window) {
	FastClick.attach(document.body);
	
	var exit;
	function deviceReady() {
		var deviceApi = $.maf['native'];
		exit = deviceApi.exitApp;
		exitApp();
		//deviceApi.downloader.update();//自动版本更新检查
	}
	// 页面准备好时触发
	$.maf.ready(deviceReady);
	
	function exitApp() {
		// 捕获返回按钮事件
		document.addEventListener("backbutton", function() {
			//backBtnEvent();
			goPageBack();
		}, false);
	}

	var firstpages = "wmac_cont;wmaa_center;wmaa_more";
	/*function exitApp() {
		// 捕获返回按钮事件
		document.addEventListener("backbutton", function() {
			var pageId = $.maf.activePage.attr("id");
			// 如果有未完成的请求，则停止
			window.AGILE_AJAX && window.AGILE_AJAX.abort();
			try{
				if(!_backEvent[pageId] || _backEvent[pageId]()) {
					if(firstpages.indexOf(pageId) > -1) {
						$.mobile.changePage("wmaa_cont.html");
					}else if("wmaa_cont" == pageId){
						exit.exitApp( "您确定要退出当前程序吗？","系统提示");
					}else {
						var btn = $("#" + pageId + "_pageBack");
						btn.length > 0 ? btn.trigger("click") :　goPageBack();
					}
				};
			}catch(e) {
				$.maf.changePage("wmaa_cont.html");
			}
		}, false);
	}*/
	
	var _pageArray = [];
	var _pageRemoveArray = [];
	var _pageChangeData = {};
	var _pageBackData = {};
	var _backEvent = {};
	var _isback = false;
	
	$.mobile.page.prototype.options.domCache = true;
	//$.mobile.phonegapNavigationEnabled = true;
	$.mobile.transitionFallbacks.slideout = "slide"
	
	//返回是否是退回
	var isPageBack = function() {
		return _isback;
	}
	
	//获取页面对应js对象名称
	var getPageObjName = function(g) {
		if (typeof (g) !== "string" || $.trim(g) === "") {
			return g
		}
		return $.map(g.split("_"), function(h) {
			return h[0].toUpperCase() + h.substring(1)
		}).join("") + "Util";
	};
	
	//获取页面对应obj名称
	var getPageName = function(src) {
		return src.substring(src.lastIndexOf("/") + 1, src.lastIndexOf("."));
	}
	
	var setRemovePage = function(page) {
		var index = _pageArray.indexOf(page);
		if(index != -1) {
			var rm = _pageArray.splice(index + 1, _pageArray.length);
			for(var i in rm) {
				_pageRemoveArray.push(rm[i]);
				delete _pageChangeData[rm[i]];
			}
		}
	}
	
	//后退默认使用 $.mobile.back();
	var goPageBack = function(options) {
		var pre = $.mobile.urlHistory.getPrev(),
			page = pre && pre.url && getPageName(pre.url);
		_isback = true;
		if (page) {
			_pageBackData[page] = options;
			$.mobile.back();
        }else {
        	cordova.exec(null, null, "App", "exitApp", []);
        }
	};
	//后退，使用页面进入顺序，倒序方式
	/*var goPageBack = function(options, page) {
		if(page) {
			setRemovePage(page);
		}else {
			_pageRemoveArray.push(_pageArray.pop());
		}
		var page = _pageArray.length > 0 ? _pageArray[_pageArray.length - 1] : "index";
		_pageBackData[page] = options;
		_isback = true;
		$.mobile.changePage(page + ".html");
	};*/
	
	//清楚_pageRemoveArray，（已经返回过的）页面缓存
	var clearnDomCache = function() {
		if(_pageRemoveArray.length > 0) {
			var ids = "#" + _pageRemoveArray.join(",#");
			$(ids).remove();
			_pageRemoveArray.length = 0;
		}
	}
	
	//页面访问入栈
	$(document).bind("pagechange", function(e, data) {
		/*var page = data.toPage,
			ops = data.options,
			pageId = page.attr("id"),
			dataResult = ops["dataResult"] || {},
			back = _isback;
		if(!back) {
			if(_pageArray[_pageArray.length-1] != pageId) {
				_pageArray.push(pageId);
				_pageChangeData[pageId] = dataResult;
			}
		}else {
			_isback = false;
			var obj = getPageObjName(pageId),
				data = $.extend(_pageChangeData[pageId], _pageBackData[pageId]);
			delete _pageChangeData[pageId];
			delete _pageBackData[pageId];
			window[obj] && window[obj].onback && window[obj].onback(data);
			
			clearnDomCache();
		}*/
		
		//清除浏览器向前记录和返回后的缓存dom
		var forword = $.mobile.urlHistory.getNext();
        if (forword) {
            var dataUrl = forword.url;
            var forwordPage=$.mobile.pageContainer.children(":jqmData(url='" + dataUrl + "')");
            //firstpages
            if(forwordPage && firstpages.indexOf(forwordPage.attr("id")) == -1){
                forwordPage.remove();
            }
        };
        $.mobile.urlHistory.clearForward();
        if(_isback) {
        	_isback = false;
			var page = data.toPage,
				pageId = page.attr("id"),
				obj = getPageObjName(pageId),
				data = $.extend(_pageChangeData[pageId], _pageBackData[pageId]);
			window[obj] && window[obj].onback && window[obj].onback(data);
        }
	});
	
	window.goPageBack = goPageBack;
	window.isPageBack = isPageBack;
	window.pageBackEvents = _backEvent;
	
	//防止表单submit
	(function() {
		$(document).on("submit", "form", function(e) {
			e.preventDefault();
			return false;
		});
	}());
	
	//添加底部footer点击事件
	(function() {
		var login = function(callback) {
			var username = localStorage.getItem("username"), 
				password = localStorage.getItem("password");
			if(!!username && !!password) {
				AgileUtil.ajax(AJAX_URL+"login.html", {username : username, password : password},function(result){
					if(result.flag=="success"){
						AgileUtil.showToast('登录成功！');
						sessionStorage.setItem("userid",result.userid);
						sessionStorage.setItem("loginstatus","1");//登录标识符;
						sessionStorage.setItem("username", username);
						sessionStorage.setItem("password", password);
					}else{
						//登录失败
						var reason="";
						if(result.flag=="wrongaccount"){
							reason="登录失败,用户名错误";
						}else if(result.flag=="wrongpass"){
							reason="登录失败,密码错误";
						}else if(result.flag = "errorType") {
							reason = "用户类型错误，本客户端只适用个人用户";
						}
						AgileUtil.showToast("登陆失败：" + reason);
						/*AgileUtil.cofirm("自动登陆失败：" + reason, function(btn) {
							if(btn == 1) {
								$.mobile.changePage();
							}else {
								
							}
						}, "前去登陆,取消")*/
					}
					callback(result.flag == "success");
				}, null);
			}else {
				callback(false);
			}
		}
		
		$(document).bind("pageshow pagehide", function(h) {
			var navs =  $.mobile.activePage.find("[data-role=footer] a[data-pageto]");
			if(h.type === "pageshow") {
				navs.on("click", function(e) {
					var that = $(this), pageto = that.data("pageto");
					switch(pageto) {
						case "groupmap":
							AGILE_PLUGINS.groupMap.open({}, function(result) {
								var pagename = result["return_page"], topage = "";
								switch(pagename) {
								case "page3" : 
									topage = "wmac_cont.html";
									break;
								case "page4" : 
									topage = "wmaa_center.html";
									break; 
								case "page5" : 
									topage = "wmaa_more.html"
									break; 
								default:
									topage = "wmaa_cont.html";
								}
								$.mobile.changePage(topage);
							}, null);
							break;
						case "wmaa_center.html" : 
							var loginstatus = sessionStorage.getItem("loginstatus");// loginstatus=1时：已登录;
							if(!!loginstatus && loginstatus == "1") {
								$.mobile.changePage(pageto);
							}else {
								login(function(flag, errormsg) {
									flag ? $.mobile.changePage(pageto) : AgileUtil.confirm("您还没有登录，前去登录？", function(btn) {
										if(btn == 1) {
											$.mobile.changePage("login.html", {returnPage : pageto});
										}
									});
								});
							}
							break;
						default : 
							$.mobile.changePage(pageto);
					}
					e.preventDefault();
					return false;
				});
			}else {
				navs.off("click");
			}
		});
	}());
	
	
})(jQuery, this);