
(function($,win,undefined){
	var valueArray=new Array();
	var labelArray=new Array();
	var pageHeight=$(window).height();
	var maxSelectItem=5;
	win.WmaaCityUtil = {
		update: function(){
			$.maf.pubsub.subscribe("wmaa_city", this, this.pageChg);
			this.bindEvents();
		},	
		bindEvents:function(){
			var x=this;
			$("#oK").bind("click",function(e){
				x._ok();
				e.preventDefault();
				return false;
			});
			$("#clear").bind("click",function(e){
				x._clearItem();
				e.preventDefault();
				return false;
			})
		},
		pageChg: function( toPage, options ){
			if(options.key==""){
				valueArray=[];labelArray=[];
			}else{
				valueArray=options.key.split(",");labelArray=options.value.split(",");//数组赋值
			}	
			maxSelectItem = options.maxSelectItem || 5;
			this.bList();
		},
		bList:function(){//全国省数据
			$("#list_province").empty();
				var self=this;
				self._initTopValue();
				$("#list_province").append($("<p id='"+istopArray.id+"'>"+istopArray.label+"</p>").click(function(){
						self.createChild(istopArray.id, istopArray.label)
				}));
				for (var b in provinceArray){
					var bId=provinceArray[b].id;
					var bLabel=provinceArray[b].label;
					var isLeaf=provinceArray[b].isleaf;
					var contentP;
					if(bId!=istopArray.id)
						{
							contentP=$("<p id='"+bId+"' >"+bLabel+"</p>").click(function(id,label){
								return function(){
									self.createChild(id, label)
								}
							}(bId,bLabel));;
						}
					contentP.appendTo($("#list_province"));
				}
				self.changeHeight();
				$("#wmaa_city_pageBack").unbind().bind("click",function(e){
					valueArray=[];
					labelArray=["选择地区"];
					//goPageBack({dataResult:{areakey:valueArray,areavalue:labelArray}});
					goPageBack({tree_type : "area", areakey:valueArray,areavalue:labelArray})
					e.preventDefault();
					return false;
				});	
		},
		changeHeight:function(){
			
			var head=$(".ui-header").height();
			var headb=$("#check_title").height();
			var headc=$("#check_area").height();
			$("#list_province").height(pageHeight-head-headb-headc-headb).css("overflow","scroll");
		},
		createChild:function(key,val){//创建市级节点
			var self=this;
			$("#list_province").empty()
			var l_right=$("#list_province");
			var city=cityArray[key];
			var contentP=$("<p class='isleaf'></p>");
			var input=$("<input type='checkbox' id='c_"+key+"' value='"+key+"' name='"+key+"'/>").bind("click",function(e){
				self._selectItem_type(key,val);
				e.stopPropagation();
			});
			contentP.append(input).append($("<label for='c_"+key+"' >"+val+"</label>")).appendTo(l_right);
			for (var i in city){
				if(city[i].isleaf=="true"){
					contentP=$("<p class='isleaf'></p>");
					var input=$("<input type='checkbox' style='cursor: pointer;' value='"+city[i].id+"' id='c_"+city[i].id+"'>").unbind().bind("click",function(i_,l_){								
						return function(e){
							self._selectItem_type2(i_,l_);
							e.stopPropagation();
			            };}(city[i].id,city[i].label)).appendTo(contentP);
					var lv=$("<label for='c_"+city[i].id+"'  class='isleaf'>"+city[i].label+"</label>").appendTo(contentP);
					l_right.append(contentP);
				}
				else{
					contentP=$("<p id='"+city[i].id+"'>"+city[i].label+"</p>").click(function(id,label){
						return function(e){
							self.createThird(id,label)
							e.preventDefault();
							return false;
							}
					}(city[i].id,city[i].label));;
				}
				contentP.appendTo(l_right);	
				}
			self.adddelCheck();
			
			var head=$(".ui-header").height();
			var headb=$("#check_title").height();
			var headc=$("#check_area").height();
			$(l_right).height(pageHeight-head-headb-headc-headb).css("overflow","scroll");
			
			$("#wmaa_city_pageBack").unbind().bind("click",function(e){
				self.bList();
				e.preventDefault();
				return false;
			});	
		},
		createThird:function(key,val){//创建市级节点
			var self=this;
			$("#list_province").empty()
			var l_right=$("#list_province");
			var county=countyArray[key];
			var contentP=$("<p class='isleaf'></p>");
			var input=$("<input type='checkbox' id='c_"+key+"' value='"+key+"' name='"+key+"'/>").bind("click",function(e){
				self._selectItem_type1(key,val);
				e.stopPropagation();
			});
			contentP.append(input).append($("<label for='c_"+key+"' >"+val+"</label>")).appendTo(l_right);
			for (var i in valueArray){
				if (key==valueArray[i]){
					$("#c_"+key+"").attr("checked","checked");
					}
			};
			for (var i in county){
					contentP=$("<p class='isleaf'></p>");
					var input=$("<input type='checkbox' style='cursor: pointer;' value='"+county[i].id+"' id='c_"+county[i].id+"'>").bind("click",(function(i_,l_){								
						return function(e){
							self._selectItem_type2(i_,l_);
							e.stopPropagation()
			            }})(county[i].id,county[i].label)).appendTo(contentP);
					var lv=$("<label for='c_"+county[i].id+"'  class='isleaf'>"+county[i].label+"</label>").appendTo(contentP);
					contentP.appendTo(l_right);	
				}
			
			var head=$(".ui-header").height();
			var headb=$("#check_title").height();
			var headc=$("#check_area").height();
			$(l_right).height(pageHeight-head-headb-headc-headb).css("overflow","scroll");
			self.adddelCheck();
			$("#wmaa_city_pageBack").unbind().bind("click",function(e){
				var k=key.substring(0,2)+"0000000000",v;
				for( var i in provinceArray){
					if(provinceArray[i].id==k){
						v=provinceArray[i].label;
					}
				}
				self.createChild(k,v);
				e.preventDefault();
				return false;
				//goPageBack({dataResult:{key:valueArray,value:labelArray}});
			});	
		},
		_selectItem_type:function(k,v){
			var self=this;
			var checkObj=$("#c_"+k);
			if(checkObj.attr("checked")){
				var array_v=new Array();
				var array_l=new Array();
				for(var i=0;i<valueArray.length;i++){
					if(valueArray[i].substring(0,2)!=k.substring(0,2)){
						array_v.push(valueArray[i]);
						array_l.push(labelArray[i]);
					}
				}
				valueArray=array_v;
				labelArray=array_l;
				if(valueArray.length>=maxSelectItem){
					AgileUtil.showToast("最多选择"+maxSelectItem+"个选项！");
					checkObj.attr("checked",false);
					return;
				}
			}
			if(checkObj.attr("checked")){
				self._addItem(k,v);
			}else{
				self._removeItem(k);
			}
			
			var head=$(".ui-header").height();
			var headb=$("#check_title").height();
			var headc=$("#check_area").height();
			$("#list_province").height(pageHeight-head-headb-headc-headb).css("overflow","scroll");
		},
		_selectItem_type1:function(k,v){
			var self=this;
			var checkObj=$("#c_"+k);
			var parentObjId=k.substring(0,2)+"0000000000";
			var childObjectId=k.substring(0,4)+"00000000";
			//判断最大数
			if(checkObj.attr("checked")){
				var array_v=new Array();
				var array_l=new Array();
				for(var i in valueArray){
					if(valueArray[i]==parentObjId  ){
						valueArray.splice(i,1);//删除数组valueArray元素
						labelArray.splice(i,1);//删除数组labelArray元素
					}
				}
				
				var array_v=new Array();
				var array_l=new Array();
				for(var i=0;i<valueArray.length;i++){
					if(valueArray[i].substring(0,4)+"00000000"!=childObjectId){
						array_v.push(valueArray[i]);
						array_l.push(labelArray[i]);
					}
				}
				valueArray=array_v;
				labelArray=array_l;
				
				if(valueArray.length>=maxSelectItem){
					alert("最多选择"+maxSelectItem+"个选项！");
					checkObj.attr("checked",false);
					return;
				}
			}
			//根据增加/删除设置顶部区域
			if(checkObj.attr("checked")){
				self._addItem(k,v);
			}else{
				self._removeItem(k);
			}
			
			var head=$(".ui-header").height();
			var headb=$("#check_title").height();
			var headc=$("#check_area").height();
			$("#list_city").height(pageHeight-head-headb-headc-headb).css("overflow","scroll");

		},
		_selectItem_type2 :function(k,v){
			var self=this;
			var checkObj=$("#c_"+k);
			var parentObjId=k.substring(0,2)+"0000000000";
			var childObjId=k.substring(0,4)+"00000000";
			var siblingObjId=k.substring(4,6)
			//判断最大数
			if(checkObj.attr("checked")){
				for(var i in valueArray){
					if(valueArray[i]==parentObjId || valueArray[i]==childObjId&&valueArray[i].substring(4,6)!=siblingObjId){
						valueArray.splice(i,1)//删除数组valueArray元素
						labelArray.splice(i,1)//删除数组labelArray元素
					}
				}
				if(valueArray.length>=maxSelectItem){
					alert("最多选择"+maxSelectItem+"个选项！");
					checkObj.attr("checked",false);
					return;
				}
			}
			//处理"父"节点checkbox的互斥状态
			if(checkObj.attr("checked")=="checked"){
				var childObj=$("#c_"+childObjId);
				childObj.attr("checked",false);
			}
			//根据增加/删除设置顶部区域
			if(checkObj.attr("checked")){
				self._addItem(k,v);
				return true;
			}else{
				self._removeItem(k);
			}
			
			var head=$(".ui-header").height();
			var headb=$("#check_title").height();
			var headc=$("#check_area").height();
			$("#list_county").height(pageHeight-head-headb-headc-headb).css("overflow","scroll");

		},
		_addItem:function(key,label){//顶部选择区增加一个选项
			valueArray.push(key);
			labelArray.push(label);
			this._initTopValue();
			console.log(valueArray);
			this.adddelCheck();
			return false;
			
		},
		_removeItem : function(key){//删除顶部选择区选项
			for(i in valueArray){
				if(valueArray[i]==key){
					valueArray.splice(i,1)//删除数组valueArray元素
					labelArray.splice(i,1)//删除数组labelArray元素
					break;
				}
				
			}
			this._initTopValue();//重新初始化顶部菜单
			this.adddelCheck();
		},
		adddelCheck : function(){
			var xx="#c_" + valueArray.join(",#c_")
			$("#province input").prop("checked",false);
			$(xx).prop("checked",true);
			
		},
		_initTopValue : function(){//顶部显示所选
			var self=this;
			$("#check_area").empty();
			var chosePoint,divbox_,spanbox_,removeImg;
			for (var i in labelArray){
				divbox_=$("<div id='"+valueArray[i]+"' class='chose_point'></div>");
				spanbox_=$("<span  title='"+labelArray[i]+"'>"+labelArray[i]+"</span>");
				removeImg=$("<a class='point_close' href='javascript:void(0)'>X</a>");
				divbox_.bind("click",function(i_){
		            return function(e){
		                var key = valueArray[i_];
		                self._removeTopItem(key);
		                e.preventDefault();
						return false;
		            };}(i)).append(spanbox_).append(removeImg);
				$("#check_area").append(divbox_);
			}
		},
		//删除顶部某个已经选择的数据触发的事件
		_removeTopItem:function(key){
			//遍历工作区，是否有删除的选项，如果有这同步取消选择
			var selectObj=$("#c_"+key);
			selectObj.attr("checked",false);
			this._removeItem(key);//删除顶部选择区选项
		},
		_clearItem : function() {
			valueArray=[];
			labelArray=[];
			//goPageBack({dataResult:{areakey:valueArray,areavalue:labelArray}});
			//goPageBack({tree_type : "area", areakey:valueArray,areavalue:labelArray})
			this._initTopValue();//重新初始化顶部菜单
		},
		_ok:function(){
			//goPageBack({dataResult:{areakey:valueArray,areavalue:labelArray}});
			if(valueArray.length == 0) {
				labelArray=["选择地区"];
			}
			var seession = window.sessionStorage;
			seession.setItem("flag",1);
			var localStorage = window.localStorage;
			localStorage.setItem("jglist",valueArray);
			goPageBack({tree_type : "area", areakey:valueArray,areavalue:labelArray})
		},
		destroy: function(){
			$.maf.pubsub.unsubscribe("wmaa_city");
			$("#wmaa_areaback").unbind("click");
			$("#wmaa_city_pageBack").unbind("click");
			
			$("#oK").unbind("click");
			$("#clear").unbind("click");
		}
	}
})(jQuery, this)