(function($, win, undefined) {
	var str="";
	var keyword_aab004="";
	var keyword_acb217="";
	win.WmaaContUtil = {
		update : function() {
			var localStorage = window.localStorage;
			localStorage.setItem("jglist","");
			this.setHistory();
			this.bindEvents();
			if(!isPageBack()){
				this.setSelect();
				//this.setDefaultLocation();
			}
		},
		setHistory : function() {
			var self=this;
			var localStorage = window.localStorage;
			var targetul = $("#historyul");
			var List = localStorage.getItem("postHistoryList");//存放数据的数组
			if (List == undefined || List == "") {
				$(targetul).empty();
				$(targetul).append("<li><span>暂无记录</span></li>");
			} else {
				List = JSON.parse(List);
				List.reverse();
				targetul.find("li").remove();
				var post = "";// 拼接查询条件串
				var title = "";// 最终显示查询条件串
				var i;
				var j;
				for (i in List) {
					post = List[i].post;
					if (post.length > 20) {
						title = (post).substring(0, 20) + "...";
					} else {
						title = post;
					}
					if (post == "" && List[i].searchtype == '1') {
						post = "搜索全部岗位数据";
						title = "搜索全部岗位数据";
					} else if (post == "" && List[i].searchtype == '2') {
						post = "搜索全部公司数据";
						title = "搜索全部公司数据";
					}

//					$("<li><span  title='" + post + "'>" + title + "</span><label>约" + List[i].postNum + "个职位</label></li>").bind("click", function(e) {
//						self.closeHistory();
//						e.preventDefault();
//						return false;
//					}).appendTo(targetul);
					$(targetul).append("<li><span  title='" + post + "'>" + title + "</span><label>约" + List[i].postNum + "个职位</label></li>");
				}
				$("<li class='clear'><span>清空搜索记录</span></li>").bind("click", function(e) {
					localStorage.removeItem("postHistoryList");
					targetul.find("li").remove();
					e.preventDefault();
					return false;
				}).appendTo(targetul);
			}
		},
		setSelect : function() {
			$("#index_education").html(CodeUtil.getCodeListArray("aac011", false, true)).trigger("change");
			$("#index_salary").html(CodeUtil.getCodeListArray("acb21a", false, true)).trigger("change");
			$("#index_time").html(CodeUtil.getCodeListArray("acc2h7", false, true)).trigger("change");
			$("#index_year").html(CodeUtil.getCodeListArray("acc217", false, true)).trigger("change");
			$("#index_jobstyle").html(CodeUtil.getCodeListArray("aab022", false, true)).trigger("change");
		},
		setDefaultLocation : function() {
			if(this.code) return ;
			var self = this;
			var label = $("#index_region");
			var acb21e = $("#index_region_key");
			var acb21f = $("#index_region_val");
			
			AGILE_PLUGINS.location.getLocatoin({}, function(data) {
				var city = data.city, 
					code = data.code,
					lat = data.latitude,
					lng = data.longitude;
				if(city != "" && !!code && code != "-1") {
					label.text(city);
					acb21e.val(city);
					acb21f.val(code);
					
					localStorage.setItem("LOCALCITY_NAME", city);
					localStorage.setItem("LOCALCITY_CODE", code);
					localStorage.setItem("LOCALCITY_LAT", lat);
					localStorage.setItem("LOCALCITY_LNG", lng);
					//self.setDefaultLocalData();
					
					self.code = code;
				}else {
					//AgileUtil.showToast("抱歉系统无法匹配当前城市");
				}
			}, function(data) {
				//AgileUtil.showToast("获取地理位置失败：" + data);
			});
		},
		bindEvents : function() {
			var self=this;
			$("#history_title").click(function(e){
				if($("#history").attr("flag")=="open"){
					self.closeHistory();
				} else {
					self.openHistory();
				}
				e.preventDefault();
				return false;
			});
			
			$("#history_list").click(function(e){
				e.stopPropagation();
				return false;
			});
			$("#wmaa_viewbox").bind("click", function(e){
				if($("#history").attr("flag")=="open") {
					self.closeHistory();
				}
				e.preventDefault();
				return false;
			});
			$("#wmaa_cont_pageBack").bind("click", function(e) {
				goPageBack();
				e.preventDefault();
				return false;
			});			
			$("#wmaaarea_li").bind("click", function(e) {
				var keyArray=$("#index_region_key").val();
				var valueArray=$("#index_region_val").val();
				
				if(valueArray == "" || valueArray == "选择地区"){
					valueArray = "呼和浩特市";
					keyArray = "150100000000";
				}
				//使用原生区划树
				$.mobile.changePage("wmaa_city.html",{key:keyArray,value:valueArray});

				//AGILE_PLUGINS.region.open({

				// AGILE_PLUGINS.hbregion.open({
				// 	code : keyArray,
				// 	name : valueArray
				// }, function(result) {
				// 	var code = result.code, name = result.name;
				// 	$("#index_region_key").val(code);
				// 	$("#index_region_val").val(name);
				// 	$("#index_region").html(name ? name : "请选择");
				// 	if (name.length > 10) {
				// 		name = name.substring(0, 10) + "...";
				// 		$("#index_region").html(name);
				// 	}
				// }, null);
				e.preventDefault();
				return false;
			});
			$("#wmaaindustry_li").bind("click", function(e) {
				var keyArray=$("#index_worktype_key").val();
				var valueArray=$("#index_worktype_val").val();
				//使用原生工种树
				$.mobile.changePage("wmaa_industry.html",{key:keyArray,value:valueArray});

				// AGILE_PLUGINS.worktype.open({
				// 	code : keyArray,
				// 	name : valueArray
				// }, function(result) {
				// 	var code = result.code, name = result.name;
				// 	$("#index_worktype_key").val(code);
				// 	$("#index_worktype_val").val(name);
				// 	$("#index_worktype").html(name ? name : "请选择");
				// 	if (name.length > 10) {
				// 		name = name.substring(0, 10) + "...";
				// 		$("#index_worktype").html(name);
				// 	}
				// }, null);
				e.preventDefault();
				return false;
			});
			$("#index_acb200").bind("click", function(e) {
				$("#index_acb210").removeClass("active");
				$("#index_acb210").find("span").css("color","#000");
				$("#index_acb200").addClass("active");
				$("#index_acb200").find("span").css("color","#eb8121");
			    $("#keyword").val("请输入公司关键字");
				e.preventDefault();
				return false;
			});
			$("#index_acb210").bind("click", function(e) {
				$("#index_acb200").removeClass("active");
				$("#index_acb200").find("span").css("color","#000");
				$("#index_acb210").addClass("active");
				$("#index_acb210").find("span").css("color","#eb8121");
				$("#keyword").val("请输入职位关键字");
				e.preventDefault();
				return false;
			});
			$("#index_reset").bind("click", function(e) {
				$("#index_worktype").text("全部");
				$("#index_worktype_key").val("");
				$("#index_worktype_val").val("");
				$("#index_region").text("选择区域");
				$("#index_region_key").val("");
				$("#index_region_val").val("");
				$("#index_education").html("请选择").trigger("change");
				$("#index_salary").html("请选择").trigger("change");
				$("#index_time").html("请选择").trigger("change");
				$("#index_year").html("请选择").trigger("change");
				$("#index_jobstyle").html("请选择").trigger("change");
				$("#index_education").append(CodeUtil.getCodeListArray("aac011", false, true)).trigger("change");
				$("#index_salary").append(CodeUtil.getCodeListArray("acb21a", false, true)).trigger("change");
				$("#index_time").append(CodeUtil.getCodeListArray("acc2h7", false, true)).trigger("change");
				$("#index_year").append(CodeUtil.getCodeListArray("acc217", false, true)).trigger("change");
				$("#index_jobstyle").append(CodeUtil.getCodeListArray("aab022", false, true)).trigger("change");
				$("#keyword").val("");
				e.preventDefault();
				return false;
			});
			$('#wmaa_seniorsearch').bind("click",function(e){
				$("#wmaayear_li").removeClass("hidden");
				$("#wmaaindustry_li").removeClass("hidden");
				$("#wmaasalary_li").removeClass("hidden");
				$("#wmaatime_li").removeClass("hidden");
				$("#wmaaeducation_li").removeClass("hidden");
				$("#wmaa_seniorsearch").addClass("hidden");
				$("#wmaa_hide").removeClass("hidden");
			});
			$('#wmaa_hide').bind("click",function(e){
				$("#wmaayear_li").addClass("hidden");
				$("#wmaaindustry_li").addClass("hidden");
				$("#wmaasalary_li").addClass("hidden");
				$("#wmaatime_li").addClass("hidden");
				$("#wmaaeducation_li").addClass("hidden");
				$("#wmaa_seniorsearch").removeClass("hidden");
				$("#wmaa_hide").addClass("hidden");
			});
			// 搜索
			$("#wmaa_contsearch").bind("click",function(e) {
				var postLi = document.getElementById("historyul").getElementsByTagName("li").length;
				if (postLi == 0) {
					
				} else {
					postLi = postLi - 1;
				}
				if (!$("#index_acb210").hasClass("active")) {
					// 单位
					var searchdata = {
						searchtype : "2",
						keyword_aab004 : $("#keyword").val(),
						aca111 : $("#index_worktype_key").val(),
						aca97n : $("#index_worktype_val").val(),
						acb21e : $("#index_region_key").val(),
						acb21f : $("#index_region_val").val(),
						aac011 : $("#index_education").val(),
						acb21a : $("#index_salary").val(),
						aae030 : $("#index_time").val(),
						acc217 : $("#index_year").val(),
						aab022 : $("#index_jobstyle").val(),
						aca112 : $("#index_worktype_val").val(),
						aab010 : "",
						region : $("#index_region_val").val(),
						postNum : "0",
						postLi : postLi,
						post : "",
						title : "",
						pageno:"1"
					};
				} else if (!$("#index_acb200").hasClass("active")) {
					// 岗位
					var searchdata = {
						searchtype : "1",
						keyword_acb217 : $("#keyword").val(),
						aca111 : $("#index_worktype_key").val(),
						aca97n : $("#index_worktype_val").val(),
						acb21e : $("#index_region_key").val(),
						acb21f : $("#index_region_val").val(),
						aac011 : $("#index_education").val(),
						acb21a : $("#index_salary").val(),
						aae030 : $("#index_time").val(),
						acc217 : $("#index_year").val(),
						aab022 : $("#index_jobstyle").val(),
						aca112 : $("#index_worktype_val").val(),
						aab010 : "",
						region : $("#index_region_val").val(),
						postNum : "0",
						postLi : postLi,
						post : "",
						title : "",
						pageno:"1"
					};
				}
//				var searchdata = {
//						searchtype : "1",
//						keyword : $("#keyword").val(),
//						aca111 : $("#index_worktype_key").val(),
////						aab301 : $("#index_region_key").val(),
////						aab302 : $("#index_region_val").val(),
//						aac011 : $("#index_education").val(),
//						acb21a : $("#index_salary").val(),
//						aae030 : $("#index_time").val(),
//						acc217 : $("#index_year").val(),
//						aab022 : $("#index_jobstyle").val(),
//						aca112 : $("#index_worktype_val").val(),
//						aab010 : "",
//						postNum : "0",
//						postLi : postLi,
//						post : "",
//						title : ""
//					};
				//$.mobile.changePage("wmaa_jobsearchresult.html", {dataResult : searchdata});
				//var jsonobj=eval(searchdata);   
				if(searchdata.keyword_aab004=="请输入公司关键字" || searchdata.keyword_aab004 ==null){
					searchdata.keyword_aab004="";
				} 
				if (searchdata.keyword_acb217=="请输入职位关键字" || searchdata.keyword_acb217 ==null){
					searchdata.keyword_acb217="";
				}
				str = "<?xml version='1.0' encoding='utf-8'?>"
						 +"<cb21>"
						 +"<aab004>"+searchdata.keyword_aab004+"</aab004>"
						 +"<acb217>"+searchdata.keyword_acb217+"</acb217>"
						 +"<aca111>"+searchdata.aca111+"</aca111>"
						 +"<aab301>"+searchdata.acb21e+"</aab301>"
						 +"<acb241>"+searchdata.acb21a+"</acb241>"
						 +"<aac011>"+searchdata.aac011+"</aac011>"
						 +"<aae397>"+searchdata.aae030+"</aae397>"
						 +"<pageno>"+searchdata.pageno+"</pageno>"
						 +"<pageSize>10</pageSize>"
						 +"</cb21>";
						 AgileUtil.getAdr(str);
						 $(".dv-wait").css("display","block");
						 $.mobile.changePage("wmaa_jobsearchresult.html", {dataResult : searchdata});
				e.preventDefault();
				return false;
			});
			
			$("#wmaa_cont_localcity").on("click", function(e) {
				var that = $(this);
				var localcode = localStorage.getItem("LOCALCITY_CODE");
				AGILE_PLUGINS.selectCity.open({Regioncode : localcode}, function(result) {
					//that.text(result.name);
					localStorage.setItem("LOCALCITY_NAME", result.name);
					localStorage.setItem("LOCALCITY_CODE", result.code);
					localStorage.setItem("LOCALCITY_LAT", result.lat);
					localStorage.setItem("LOCALCITY_LNG", result.lng);
					
					//设置默认搜索条件
					//setSearchRegion();
				}, null);
			});
			//this.setDefaultLocalData();
			
			var setSearchRegion = function() {
				var name = localStorage.getItem("LOCALCITY_NAME") || "",
					code = localStorage.getItem("LOCALCITY_CODE") || "";
				$("#index_region_key").val(code);
				$("#index_region_val").val(name);
				$("#index_region").text("请选择");
			};
			//setSearchRegion();
			
			$("#wmaa_cont_near").on("click", function(e){
				var lat = localStorage.getItem("LOCALCITY_LAT"),
					lng = localStorage.getItem("LOCALCITY_LNG");
				if(!lat) {
					AgileUtil.showToast("请先选择当前城市!");
					return ;
				}
				$.mobile.changePage("wmaa_jobsearchresult.html", {dataResult : {
					searchtype : "3",
					lat : lat,
					lng : lng
				}});
				
			});
		},
//		setDefaultLocalData : function() {
//			if(!localStorage.getItem("LOCALCITY_CODE")) {
////				localStorage.setItem("LOCALCITY_NAME", "南宁市");
////				localStorage.setItem("LOCALCITY_CODE", "450100");
////				localStorage.setItem("LOCALCITY_LAT", "30.5611616");
////				localStorage.setItem("LOCALCITY_LNG", "114.3814194");
//			}
//			$("#wmaa_cont_localcity").text(localStorage.getItem("LOCALCITY_NAME"));
//		},
		openHistory:function(){
			var self=this;
			$(".wrap").show();
			$(".wrap").bind("click",function(e){
				self.closeHistory();
				e.preventDefault();
				return false;
			})
			$("#history").attr("flag","open")
			$("#history").css("height","40em");
			$("#history_list").height($("#history").height()-$("#history_title").height()).css("overflow","scroll");
			pageBackEvents.wmaa_cont = function() {
				self.closeHistory();
				return false;
			}
		},
		closeHistory:function(){
			$(".wrap").hide();
			$("#history").css("height","5em");	
			$("#history").attr("flag","closed")
			delete pageBackEvents.wmaa_cont;
		},
		pageChg : function(toPage, options) {
			// var industryid = options.dataResult.industrykey;
			// var industrylabel = options.dataResult.industryvalue;
			// var areaid = options.dataResult.areakey;
			// var arealabel = options.dataResult.areavalue;
			// if(!industryid){
			// 	$("#index_worktype_key").val("");
			// 	$("#index_worktype_val").val("");
			// 	$("#index_worktype").html("全部");
			// } else{
			// 	$("#index_worktype_key").val(industryid.join(","));
			// 	$("#index_worktype_val").val(industrylabel.join(","));
			// 	$("#index_worktype").html(industrylabel.join(","));
			// 	var worktype=$("#index_worktype").html();
			// 	if(worktype.length>10){
			// 		worktype=worktype.substring(0, 10)+"...";
			// 		$("#index_worktype").html(worktype);
			// 	}
			// }
			// if(!areaid){
			// 	$("#index_region_key").val("");
			// 	$("#index_region_val").val("");
			// 	$("#index_region").val("选择区域");
			// } else{
			// 	$("#index_region_key").val(areaid.join(","));
			// 	$("#index_region_val").val(arealabel.join(","));
			// 	$("#index_region").html(arealabel.join(","));
			// 	var region=$("#index_region").html();
			// 	if(region.length>10){
			// 		region=region.substring(0, 10)+"...";
			// 		$("#index_region").html(region);
			// 	}
			// }
		},
		onback : function(data) {
			var treetype = data.tree_type;
			if(treetype) {
				switch(treetype) {
				case "area":
					var areaid = data.areakey;
					var arealabel = data.areavalue;
					$("#index_region_key").val(areaid.join(","));
					$("#index_region_val").val(arealabel.join(","));
					$("#index_region").html(arealabel.join(","));
					var region = $("#index_region").html();
					if (region.length > 7) {
						region = region.substring(0, 7) + "...";
						$("#index_region").html(region);
					}
					break;
				case "industry":
					var industryid = data.industrykey;
					var industrylabel = data.industryvalue;
					$("#index_worktype_key").val(industryid.join(","));
					$("#index_worktype_val").val(industrylabel.join(","));
					$("#index_worktype").html(industrylabel.join(","));
					var worktype = $("#index_worktype").html();
					if (worktype.length > 7) {
						worktype = worktype.substring(0, 7) + "...";
						$("#index_worktype").html(worktype);
					}
					break;
				}
			}
		},
		postSearch : function(post) {
				
		},
		destroy : function() {
			$.maf.pubsub.unsubscribe("wmaa_cont");
			$("#wmaa_cont_pageBack").unbind("click");
			$("#index_region").unbind("click");
			$("#index_acb200").unbind("click");
			$("#index_acb210").unbind("click");
			$("#index_reset").unbind("click");
			$("#wmaa_contsearch").unbind("click");
			$("#wmaa_seniorsearch").unbind("click");
			//$(document).unbind("click");
			$("#history_title").unbind("click");
			//tree
			$("#wmaaarea_li").unbind("click");
			$(".wrap").unbind("click");
			$("#wmaaindustry_li").unbind("click");
			
			$("#wmaa_cont_localcity").off("click");
			$("#wmaa_cont_near").off("click");
		}
	}
})(jQuery, this);